(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*                                                                             *)
(*         This file has been automatically generated by FeynRules.            *)
(*                                                                             *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)


FR$ModelInformation={
  ModelName->"SMEFT: SM extended with dim 5 and dim 6 operators",
  Authors -> {"A. Dedes, M. Paraskevas, J. Rosiek, K. Suxho, L. Trifyllis"},
  Version -> "2.01",
  Date -> "05. 09. 2019"};

FR$ClassesTranslation={};

FR$InteractionOrderPerturbativeExpansion={{QCD, 0}, {NP, 0}, {QED, 0}};

FR$GoldstoneList={S[2], S[3]};

(*     Declared indices    *)

IndexRange[ Index[Gluon] ] = NoUnfold[ Range[ 8 ] ]

IndexRange[ Index[Generation] ] = Range[ 3 ]

IndexRange[ Index[Colour] ] = NoUnfold[ Range[ 3 ] ]

(*     Declared particles    *)

M$ClassesDescription = {
V[1] == {
    SelfConjugate -> True,
    PropagatorLabel -> "A",
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> 0,
    Indices -> {} },

V[2] == {
    SelfConjugate -> True,
    PropagatorLabel -> "Z",
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> MZ,
    Indices -> {} },

V[3] == {
    SelfConjugate -> False,
    QuantumNumbers -> {Q},
    PropagatorLabel -> "W",
    PropagatorType -> Sine,
    PropagatorArrow -> Forward,
    Mass -> MW,
    Indices -> {} },

V[4] == {
    SelfConjugate -> True,
    Indices -> {Index[Gluon]},
    PropagatorLabel -> "g",
    PropagatorType -> Cycles,
    PropagatorArrow -> None,
    Mass -> 0 },

F[1] == {
    Indices -> {Index[Generation]},
    SelfConjugate -> False,
    QuantumNumbers -> {LeptonNumber},
    PropagatorLabel -> "v",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mvdiag },

F[2] == {
    Indices -> {Index[Generation]},
    SelfConjugate -> False,
    QuantumNumbers -> {-Q, LeptonNumber},
    PropagatorLabel -> "l",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mldiag },

F[3] == {
    Indices -> {Index[Generation], Index[Colour]},
    SelfConjugate -> False,
    QuantumNumbers -> {(2*Q)/3},
    PropagatorLabel -> "uq",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mudiag },

F[4] == {
    Indices -> {Index[Generation], Index[Colour]},
    SelfConjugate -> False,
    QuantumNumbers -> {-Q/3},
    PropagatorLabel -> "dq",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mddiag },

S[1] == {
    SelfConjugate -> True,
    PropagatorLabel -> "H",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MH,
    Indices -> {} },

S[2] == {
    SelfConjugate -> True,
    PropagatorLabel -> "G0",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MG0,
    Indices -> {} },

S[3] == {
    SelfConjugate -> False,
    QuantumNumbers -> {Q},
    PropagatorLabel -> "GP",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MGP,
    Indices -> {} },

U[1] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> "\[Eta]A",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0,
    Indices -> {} },

U[2] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> "\[Eta]Z",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MgZ,
    Indices -> {} },

U[31] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber, Q},
    PropagatorLabel -> "\[Eta]Wp",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MgW,
    Indices -> {} },

U[32] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber, -Q},
    PropagatorLabel -> "\[Eta]Wm",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MgW,
    Indices -> {} },

U[4] == {
    SelfConjugate -> False,
    Indices -> {Index[Gluon]},
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> "\[Eta]G",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0 }
}


(*        Definitions       *)

GaugeXi[ V[1] ] = GaugeXi[A];
GaugeXi[ V[2] ] = GaugeXi[Z];
GaugeXi[ V[3] ] = GaugeXi[W];
GaugeXi[ V[4] ] = GaugeXi[G];
GaugeXi[ S[1] ] = 1;
GaugeXi[ S[2] ] = GaugeXi[Z];
GaugeXi[ S[3] ] = GaugeXi[W];
GaugeXi[ U[1] ] = GaugeXi[A];
GaugeXi[ U[2] ] = GaugeXi[Z];
GaugeXi[ U[31] ] = GaugeXi[W];
GaugeXi[ U[32] ] = GaugeXi[W];
GaugeXi[ U[4] ] = GaugeXi[G];

MZ[ ___ ] := MZ;
MW[ ___ ] := MW;
mvdiag[ 1 ] := mve;
mvdiag[ 2 ] := mvm;
mvdiag[ 3 ] := mvt;
mldiag[ 1 ] := mle;
mldiag[ 2 ] := mlm;
mldiag[ 3 ] := mlt;
mudiag[ 1, _ ] := mqu;
mudiag[ 1 ] := mqu;
mudiag[ 2, _ ] := mqc;
mudiag[ 2 ] := mqc;
mudiag[ 3, _ ] := mqt;
mudiag[ 3 ] := mqt;
mddiag[ 1, _ ] := mqd;
mddiag[ 1 ] := mqd;
mddiag[ 2, _ ] := mqs;
mddiag[ 2 ] := mqs;
mddiag[ 3, _ ] := mqb;
mddiag[ 3 ] := mqb;
MH[ ___ ] := MH;
MG0[ ___ ] := MG0;
MGP[ ___ ] := MGP;
MgZ[ ___ ] := MgZ;
MgW[ ___ ] := MgW;


TheLabel[ V[4, {__}] ] := TheLabel[V[4]];
TheLabel[ F[1, {1}] ] := "ve";
TheLabel[ F[1, {2}] ] := "vm";
TheLabel[ F[1, {3}] ] := "vt";
TheLabel[ F[2, {1}] ] := "e";
TheLabel[ F[2, {2}] ] := "mu";
TheLabel[ F[2, {3}] ] := "ta";
TheLabel[ F[3, {1, _}] ] := "u";
TheLabel[ F[3, {1}] ] := "u";
TheLabel[ F[3, {2, _}] ] := "c";
TheLabel[ F[3, {2}] ] := "c";
TheLabel[ F[3, {3, _}] ] := "t";
TheLabel[ F[3, {3}] ] := "t";
TheLabel[ F[4, {1, _}] ] := "d";
TheLabel[ F[4, {1}] ] := "d";
TheLabel[ F[4, {2, _}] ] := "s";
TheLabel[ F[4, {2}] ] := "s";
TheLabel[ F[4, {3, _}] ] := "b";
TheLabel[ F[4, {3}] ] := "b";
TheLabel[ U[4, {__}] ] := TheLabel[U[4]];


(*      Couplings (calculated by FeynRules)      *)

M$CouplingMatrices = {

C[ S[2] , S[2] , S[2] , S[2] ] == {{((-3*I)*gc1*hlambda*(-1 + CphiD*Lam*vev^2))/(CphiD*Lam), 0}, {I*gc1, 0}, {I*gc1, 0}, {I*gc1, 0}, {I*gc1, 0}, {I*gc1, 0}, {I*gc1, 0}},

C[ S[2] , S[2] , S[3] , -S[3] ] == {{((-I)*gc2*hlambda*(-2 + CphiD*Lam*vev^2))/(CphiD*Lam), 0}, {0, 0}, {I*gc2, 0}, {I*gc2, 0}, {I*gc2, 0}, {I*gc2, 0}, {0, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] ] == {{(2*I)*gc3*hlambda, 0}, {0, 0}, {I*CphiD*gc3*Lam, 0}, {I*CphiD*gc3*Lam, 0}, {I*CphiD*gc3*Lam, 0}, {I*CphiD*gc3*Lam, 0}, {0, 0}},

C[ S[2] , S[2] , S[1] , S[1] ] == {{((-I)*gc4*hlambda*(-1 + CphiD*Lam*vev^2))/(CphiD*Lam), 0}, {I*gc4, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc4, 0}},

C[ S[3] , -S[3] , S[1] , S[1] ] == {{((-I)*gc5*hlambda*(-2 + CphiD*Lam*vev^2))/(CphiD*Lam), 0}, {0, 0}, {I*gc5, 0}, {I*gc5, 0}, {I*gc5, 0}, {I*gc5, 0}, {0, 0}},

C[ S[1] , S[1] , S[1] , S[1] ] == {{((-3*I)*gc6*hlambda*(-1 + CphiD*Lam*vev^2))/(CphiD*Lam), 0}, {I*gc6, 0}, {I*gc6, 0}, {I*gc6, 0}, {I*gc6, 0}, {I*gc6, 0}, {I*gc6, 0}},

C[ S[2] , S[2] , S[1] ] == {{((-I/4)*gc7*hlambda*(-4 + 3*CphiD*Lam*vev^2))/(CphiD*Lam), 0}, {I*gc7, 0}, {0, 0}, {0, 0}},

C[ S[3] , -S[3] , S[1] ] == {{((-I/2)*gc8*hlambda*(-4 + CphiD*Lam*vev^2))/(CphiD*Lam), 0}, {0, 0}, {I*gc8, 0}, {I*gc8, 0}},

C[ S[1] , S[1] , S[1] ] == {{(((-3*I)/4)*gc9*hlambda*(-4 + 3*CphiD*Lam*vev^2))/(CphiD*Lam), 0}, {I*gc9, 0}, {I*gc9, 0}, {I*gc9, 0}},

C[ S[2] , -U[32] , U[32] ] == {{(GW^2*vev*(4 + CphiD*Lam*vev^2)*xiW)/16, 0}},

C[ S[2] , -U[31] , U[31] ] == {{-(GW^2*vev*(4 + CphiD*Lam*vev^2)*xiW)/16, 0}},

C[ S[3] , -U[31] , U[2] ] == {{((-I/4)*(G1 - GW)*GW*(G1 + GW)*vev*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*xiW)/(G1^2 + GW^2)^(3/2), 0}},

C[ -S[3] , -U[32] , U[2] ] == {{((-I/4)*(G1 - GW)*GW*(G1 + GW)*vev*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*xiW)/(G1^2 + GW^2)^(3/2), 0}},

C[ S[3] , -U[31] , U[1] ] == {{((I/2)*G1*GW^2*vev*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*xiW)/(G1^2 + GW^2)^(3/2), 0}},

C[ -S[3] , -U[32] , U[1] ] == {{((I/2)*G1*GW^2*vev*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*xiW)/(G1^2 + GW^2)^(3/2), 0}},

C[ S[1] , -U[32] , U[32] ] == {{(I/16)*GW^2*vev*(4 + CphiD*Lam*vev^2)*xiW, 0}},

C[ S[1] , -U[31] , U[31] ] == {{(I/16)*GW^2*vev*(4 + CphiD*Lam*vev^2)*xiW, 0}},

C[ S[3] , -U[2] , U[32] ] == {{((I/8)*GW*vev*(-2*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-2 + CphiD*Lam*vev^2) + GW^2*(-2 + CphiD*Lam*vev^2))*xiZ)/Sqrt[G1^2 + GW^2], 0}},

C[ -S[3] , -U[2] , U[31] ] == {{((I/8)*GW*vev*(-2*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-2 + CphiD*Lam*vev^2) + GW^2*(-2 + CphiD*Lam*vev^2))*xiZ)/Sqrt[G1^2 + GW^2], 0}},

C[ S[1] , -U[2] , U[2] ] == {{(-I/16)*vev*(-8*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-4 + CphiD*Lam*vev^2) + GW^2*(-4 + CphiD*Lam*vev^2))*xiZ, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , V[1] , V[1] ] == {{((8*I)*CphiD*G1^2*GW^2*Lam)/(G1^2 + GW^2), 0}},

C[ S[3] , -S[3] , V[1] , V[1] ] == {{(-2*I)*CphiWB*gc22*(G1^2 + GW^2)*Lam, 0}, {(-I)*G1*gc22*GW*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CphiWB*gc22*(G1^2 + GW^2)*Lam, 0}},

C[ S[2] , S[3] , -S[3] , S[1] , V[1] ] == {{-gc23, 0}, {gc23, 0}, {0, 0}, {0, 0}},

C[ S[2] , S[3] , -S[3] , V[1] ] == {{gc24, 0}, {0, 0}, {0, 0}},

C[ -U[32] , U[32] , V[1] ] == {{I*gc25, 0}, {0, 0}},

C[ -U[31] , U[31] , V[1] ] == {{I*gc26, 0}, {0, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , V[1] ] == {{(-I)*gc27, 0}, {I*gc27, 0}, {(-I)*gc27, 0}, {I*gc27, 0}},

C[ S[2] , S[3] , -S[3] , S[1] ] == {{0, 0}, {gc28, 0}, {-gc28, 0}, {0, 0}, {0, 0}, {-gc28, 0}, {gc28, 0}},

C[ S[2] , S[3] , -S[3] ] == {{0, 0}, {-gc29, 0}, {gc29, 0}, {0, 0}},

C[ S[3] , -S[3] , V[1] ] == {{(-I)*gc30, 0}, {I*gc30, 0}},

C[ S[2] , S[2] , V[1] , V[1] ] == {{(-I)*gc31, 0}, {0, 0}, {I*gc31, 0}},

C[ S[1] , S[1] , V[1] , V[1] ] == {{(-I)*gc32, 0}, {0, 0}, {I*gc32, 0}},

C[ S[1] , V[1] , V[1] ] == {{(-I)*gc33, 0}, {I*gc33, 0}, {0, 0}},

C[ S[2] , -S[3] , V[1] , V[3] ] == {{-16*CphiWB*gc34*(G1^2 + GW^2)*Lam, 0}, {G1*gc34*GW*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-4 + CphiD*Lam*vev^2) + GW^2*(-4 + CphiD*Lam*vev^2)), 0}, {16*CphiWB*gc34*(G1^2 + GW^2)*Lam, 0}},

C[ -S[3] , S[1] , V[1] , V[3] ] == {{(-16*I)*CphiWB*gc35*(G1^2 + GW^2)*Lam, 0}, {I*G1*gc35*GW*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-4 + CphiD*Lam*vev^2) + GW^2*(-4 + CphiD*Lam*vev^2)), 0}, {(16*I)*CphiWB*gc35*(G1^2 + GW^2)*Lam, 0}},

C[ -S[3] , V[1] , V[3] ] == {{(4*I)*CphiWB*gc36*(G1^2 + GW^2)*Lam, 0}, {(-4*I)*CphiWB*gc36*(G1^2 + GW^2)*Lam, 0}, {I*G1*gc36*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}},

C[ S[2] , S[3] , V[1] , -V[3] ] == {{-16*CphiWB*gc37*(G1^2 + GW^2)*Lam, 0}, {G1*gc37*GW*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-4 + CphiD*Lam*vev^2) + GW^2*(-4 + CphiD*Lam*vev^2)), 0}, {16*CphiWB*gc37*(G1^2 + GW^2)*Lam, 0}},

C[ S[3] , S[1] , V[1] , -V[3] ] == {{(-16*I)*CphiWB*gc38*(G1^2 + GW^2)*Lam, 0}, {I*G1*gc38*GW*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-4 + CphiD*Lam*vev^2) + GW^2*(-4 + CphiD*Lam*vev^2)), 0}, {(16*I)*CphiWB*gc38*(G1^2 + GW^2)*Lam, 0}},

C[ S[3] , V[1] , -V[3] ] == {{(4*I)*CphiWB*gc39*(G1^2 + GW^2)*Lam, 0}, {(-4*I)*CphiWB*gc39*(G1^2 + GW^2)*Lam, 0}, {I*G1*gc39*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}},

C[ V[1] , V[3] , -V[3] ] == {{(-6*I)*CW*G1*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc40*(G1^2 + GW^2)*Lam, 0}, {I*gc40*GW*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2), 0}, {(-I)*G1*gc40*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(-I)*gc40*GW*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2), 0}, {I*G1*gc40*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {I*G1*gc40*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(-I)*G1*gc40*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(-6*I)*CW*G1*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*G1*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*G1*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc40*(G1^2 + GW^2)*Lam, 0}},

C[ S[2] , S[2] , V[1] , V[2] ] == {{(-I)*gc41, 0}, {0, 0}, {I*gc41, 0}},

C[ S[3] , -S[3] , V[1] , V[2] ] == {{(-4*I)*CphiWB*gc42*(G1^4 - GW^4)*Lam, 0}, {(-I)*G1*gc42*GW*(-4*CphiWB*G1^3*GW*Lam*vev^2 + 2*CphiD*G1^2*GW^2*Lam*vev^2 + 4*CphiWB*G1*GW^3*Lam*vev^2 + GW^4*(-2 + CphiD*Lam*vev^2) + G1^4*(2 + CphiD*Lam*vev^2)), 0}, {(4*I)*CphiWB*gc42*(G1^4 - GW^4)*Lam, 0}},

C[ S[1] , S[1] , V[1] , V[2] ] == {{(-I)*gc43, 0}, {0, 0}, {I*gc43, 0}},

C[ S[1] , V[1] , V[2] ] == {{(-I)*gc44, 0}, {I*gc44, 0}, {0, 0}},

C[ S[2] , -S[3] , V[3] , V[2] ] == {{-16*CphiWB*G1*gc45*(G1^2 + GW^2)*Lam, 0}, {-(gc45*(4*CphiWB*G1*GW^4*Lam*vev^2 + 2*CphiD*GW^5*Lam*vev^2 + G1^4*GW*(4 + CphiD*Lam*vev^2) + G1^2*GW^3*(4 + 3*CphiD*Lam*vev^2))), 0}, {16*CphiWB*G1*gc45*(G1^2 + GW^2)*Lam, 0}},

C[ -S[3] , S[1] , V[3] , V[2] ] == {{(-16*I)*CphiWB*G1*gc46*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc46*(4*CphiWB*G1*GW^4*Lam*vev^2 + 6*CphiD*GW^5*Lam*vev^2 + G1^4*GW*(4 + 5*CphiD*Lam*vev^2) + G1^2*GW^3*(4 + 11*CphiD*Lam*vev^2)), 0}, {(16*I)*CphiWB*G1*gc46*(G1^2 + GW^2)*Lam, 0}},

C[ -S[3] , V[3] , V[2] ] == {{(8*I)*CphiWB*G1*gc47*(G1^2 + GW^2)*Lam, 0}, {(-8*I)*CphiWB*G1*gc47*(G1^2 + GW^2)*Lam, 0}, {I*gc47*GW*(2*CphiWB*G1*GW^3*Lam*vev^2 + CphiD*GW^4*Lam*vev^2 + 2*G1^2*GW^2*(1 + CphiD*Lam*vev^2) + G1^4*(2 + CphiD*Lam*vev^2)), 0}},

C[ S[2] , S[3] , -V[3] , V[2] ] == {{-16*CphiWB*G1*gc48*(G1^2 + GW^2)*Lam, 0}, {-(gc48*GW*(4*CphiWB*G1*GW^3*Lam*vev^2 + 2*CphiD*GW^4*Lam*vev^2 + G1^4*(4 + CphiD*Lam*vev^2) + G1^2*GW^2*(4 + 3*CphiD*Lam*vev^2))), 0}, {16*CphiWB*G1*gc48*(G1^2 + GW^2)*Lam, 0}},

C[ S[3] , S[1] , -V[3] , V[2] ] == {{(-16*I)*CphiWB*G1*gc49*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc49*(4*CphiWB*G1*GW^4*Lam*vev^2 + 6*CphiD*GW^5*Lam*vev^2 + G1^4*GW*(4 + 5*CphiD*Lam*vev^2) + G1^2*GW^3*(4 + 11*CphiD*Lam*vev^2)), 0}, {(16*I)*CphiWB*G1*gc49*(G1^2 + GW^2)*Lam, 0}},

C[ S[3] , -V[3] , V[2] ] == {{(8*I)*CphiWB*G1*gc50*(G1^2 + GW^2)*Lam, 0}, {(-8*I)*CphiWB*G1*gc50*(G1^2 + GW^2)*Lam, 0}, {I*gc50*GW*(2*CphiWB*G1*GW^3*Lam*vev^2 + CphiD*GW^4*Lam*vev^2 + 2*G1^2*GW^2*(1 + CphiD*Lam*vev^2) + G1^4*(2 + CphiD*Lam*vev^2)), 0}},

C[ S[2] , S[2] , V[2] , V[2] ] == {{(-16*I)*CphiWB*G1*gc51*GW*Lam, 0}, {(-I)*gc51*(G1^2 + GW^2)*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(2 + CphiD*Lam*vev^2) + GW^2*(2 + CphiD*Lam*vev^2)), 0}, {(16*I)*CphiWB*G1*gc51*GW*Lam, 0}},

C[ S[3] , -S[3] , V[2] , V[2] ] == {{(-8*I)*CphiWB*G1*gc52*GW*(G1^2 + GW^2)*Lam, 0}, {I*gc52*(G1^2 - GW^2)*(-2*CphiWB*G1^3*GW*Lam*vev^2 + 2*CphiD*G1^2*GW^2*Lam*vev^2 + 2*CphiWB*G1*GW^3*Lam*vev^2 + GW^4*(-1 + CphiD*Lam*vev^2) + G1^4*(1 + CphiD*Lam*vev^2)), 0}, {(8*I)*CphiWB*G1*gc52*GW*(G1^2 + GW^2)*Lam, 0}},

C[ S[1] , S[1] , V[2] , V[2] ] == {{(-16*I)*CphiWB*G1*gc53*GW*Lam, 0}, {(-I)*gc53*(G1^2 + GW^2)*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(2 + 5*CphiD*Lam*vev^2) + GW^2*(2 + 5*CphiD*Lam*vev^2)), 0}, {(16*I)*CphiWB*G1*gc53*GW*Lam, 0}},

C[ S[1] , V[2] , V[2] ] == {{(32*I)*CphiWB*G1*gc54*GW*Lam, 0}, {(-32*I)*CphiWB*G1*gc54*GW*Lam, 0}, {I*gc54*(G1^2 + GW^2)*(8*CphiWB*G1*GW*Lam*vev^2 + G1^2*(4 + 3*CphiD*Lam*vev^2) + GW^2*(4 + 3*CphiD*Lam*vev^2)), 0}},

C[ V[3] , -V[3] , V[2] ] == {{(-6*I)*CW*gc55*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc55*(G1^2 + GW^2)*Lam, 0}, {I*gc55*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {(-I)*gc55*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {(-I)*gc55*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {I*gc55*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {I*gc55*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {(-I)*gc55*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(-6*I)*CW*gc55*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc55*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc55*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc55*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc55*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc55*(G1^2 + GW^2)*Lam, 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{0, 0}, {0, 0}, {-(gc56*SUNF[e1x2, e2x2, e3x2]), 0}, {gc56*SUNF[e1x2, e2x2, e3x2], 0}, {gc56*SUNF[e1x2, e2x2, e3x2], 0}, {-(gc56*SUNF[e1x2, e2x2, e3x2]), 0}, {-(gc56*SUNF[e1x2, e2x2, e3x2]), 0}, {gc56*SUNF[e1x2, e2x2, e3x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{(-I)*gc57*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0}, {I*gc57*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {I*gc57*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -U[4, {e1x1}] , U[4, {e2x1}] , V[4, {e3x2}] ] == {{gc58*SUNF[e3x2, e1x1, e2x1], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] ] == {{I*gc59[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((-I)*gc59[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*mudiag[e2x2])/mddiag[e1x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] ] == {{gc60[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc60[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] ] == {{I*gc61[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc61[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] ] == {{gc62[e1x2]*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {-(gc62[e1x2]*IndexDelta[e1x2, e2x2]), 0}, {0, 0}, {(4*Lam*vev^2*Cphil1[e1x2, e2x2]*gc62[e1x2])/(4*YO*mldiag[e1x2] - CphiD*Lam*vev^2*YO*mldiag[e1x2]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] ] == {{I*gc63[e1x2]*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {I*gc63[e1x2]*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] ] == {{I*gc64[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((-I)*gc64[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*mddiag[e2x2])/mudiag[e1x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] ] == {{gc65[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc65[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] ] == {{I*gc66[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc66[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[2, {e3x2}] , F[4, {e2x2, e2x3}] , F[2, {e4x2}] ] == {{I*gc67*Conjugate[Cledq[e4x2, e3x2, e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc67*Cledq[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] ] == {{0, 0}, {0, 0}, {((-I)*Sqrt[2]*YO*Conjugate[Ul[e2x2, e1x2]]*mldiag[e2x2])/vev, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[1, {e3x2}] , F[2, {e2x2}] , F[3, {e4x2, e4x3}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc69[e1x2, e3x2, e2x2, e4x2]*IndexDelta[e1x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -S[3] ] == {{I*gc70[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , -F[3, {e3x2, e3x3}] , F[4, {e2x2, e2x3}] , F[1, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc71[e1x2, e3x2, e2x2, e4x2]*IndexDelta[e2x3, e3x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -U[1] , U[32] , V[3] ] == {{I*gc72, 0}, {0, 0}},

C[ -U[31] , U[1] , V[3] ] == {{I*gc73, 0}, {0, 0}},

C[ -U[31] , U[2] , V[3] ] == {{I*gc74, 0}, {0, 0}},

C[ -U[2] , U[32] , V[3] ] == {{I*gc75, 0}, {0, 0}},

C[ S[2] , S[3] , -S[3] , -S[3] , V[1] , V[3] ] == {{(-2*CphiD*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[3] , -S[3] , -S[3] , S[1] , V[1] , V[3] ] == {{((2*I)*CphiD*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[3] , -S[3] , -S[3] , V[1] , V[3] ] == {{((2*I)*CphiD*G1*GW^2*Lam*vev)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , S[2] , -S[3] , S[1] , V[3] ] == {{I*gc79, 0}, {(-2*I)*gc79, 0}, {I*gc79, 0}, {0, 0}},

C[ S[2] , -S[3] , S[1] , S[1] , V[3] ] == {{-2*gc80, 0}, {gc80, 0}, {0, 0}, {gc80, 0}},

C[ S[2] , S[2] , -S[3] , V[3] ] == {{I*gc81, 0}, {I*gc81, 0}, {0, 0}},

C[ S[2] , -S[3] , S[1] , V[3] ] == {{-2*gc82, 0}, {0, 0}, {gc82, 0}},

C[ S[2] , -S[3] , V[3] ] == {{gc83*(4 + 3*CphiD*Lam*vev^2), 0}, {gc83*(-4 + CphiD*Lam*vev^2), 0}},

C[ S[2] , S[3] , -S[3] , -S[3] , V[3] ] == {{0, 0}, {gc84, 0}, {-2*gc84, 0}, {gc84, 0}},

C[ S[3] , -S[3] , -S[3] , S[1] , V[3] ] == {{(-2*I)*gc85, 0}, {0, 0}, {I*gc85, 0}, {I*gc85, 0}},

C[ S[3] , -S[3] , -S[3] , V[3] ] == {{(-2*I)*gc86, 0}, {I*gc86, 0}, {I*gc86, 0}},

C[ S[2] , S[2] , -S[3] , -S[3] , V[3] , V[3] ] == {{(-2*I)*CphiD*GW^2*Lam, 0}},

C[ S[2] , -S[3] , -S[3] , S[1] , V[3] , V[3] ] == {{-2*CphiD*GW^2*Lam, 0}},

C[ -S[3] , -S[3] , S[1] , S[1] , V[3] , V[3] ] == {{(2*I)*CphiD*GW^2*Lam, 0}},

C[ S[2] , -S[3] , -S[3] , V[3] , V[3] ] == {{-2*CphiD*GW^2*Lam*vev, 0}},

C[ -S[3] , -S[3] , S[1] , V[3] , V[3] ] == {{(2*I)*CphiD*GW^2*Lam*vev, 0}},

C[ -S[3] , -S[3] , V[3] , V[3] ] == {{0, 0}, {I*gc92, 0}, {0, 0}},

C[ S[2] , -S[3] , V[1] , V[1] , V[3] ] == {{-gc93, 0}, {-gc93, 0}, {gc93, 0}, {gc93, 0}, {0, 0}, {0, 0}},

C[ -S[3] , S[1] , V[1] , V[1] , V[3] ] == {{(-I)*gc94, 0}, {(-I)*gc94, 0}, {I*gc94, 0}, {I*gc94, 0}, {0, 0}, {0, 0}},

C[ -S[3] , V[1] , V[1] , V[3] ] == {{(-I)*gc95, 0}, {(-I)*gc95, 0}, {I*gc95, 0}, {I*gc95, 0}, {0, 0}, {0, 0}},

C[ S[2] , -S[3] , V[1] , V[3] , V[2] ] == {{-(gc96*GW^2), 0}, {0, 0}, {gc96*GW^2, 0}, {0, 0}, {-(G1^2*gc96), 0}, {G1^2*gc96, 0}},

C[ -S[3] , S[1] , V[1] , V[3] , V[2] ] == {{(-I)*gc97*GW^2, 0}, {0, 0}, {I*gc97*GW^2, 0}, {0, 0}, {(-I)*G1^2*gc97, 0}, {I*G1^2*gc97, 0}},

C[ -S[3] , V[1] , V[3] , V[2] ] == {{(-I)*gc98*GW^2, 0}, {0, 0}, {I*gc98*GW^2, 0}, {0, 0}, {(-I)*G1^2*gc98, 0}, {I*G1^2*gc98, 0}},

C[ V[1] , V[1] , V[3] , -V[3] ] == {{I*gc99*GW*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {I*gc99*GW*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {(-2*I)*gc99*GW*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc99*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[3] , -V[3] , V[2] ] == {{(2*I)*gc100*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2 - CphiWB*G1*GW^2*Lam*vev^2), 0}, {(-I)*gc100*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2 - CphiWB*G1*GW^2*Lam*vev^2), 0}, {(-I)*gc100*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2 - CphiWB*G1*GW^2*Lam*vev^2), 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc100*(G1^2 + GW^2)*Lam, 0}},

C[ -S[3] , S[1] , V[3] ] == {{(-I)*gc101, 0}, {I*gc101, 0}},

C[ -U[1] , U[31] , -V[3] ] == {{I*gc102, 0}, {0, 0}},

C[ -U[32] , U[1] , -V[3] ] == {{I*gc103, 0}, {0, 0}},

C[ -U[32] , U[2] , -V[3] ] == {{I*gc104, 0}, {0, 0}},

C[ -U[2] , U[31] , -V[3] ] == {{I*gc105, 0}, {0, 0}},

C[ S[2] , S[3] , S[3] , -S[3] , V[1] , -V[3] ] == {{(2*CphiD*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[3] , S[3] , -S[3] , S[1] , V[1] , -V[3] ] == {{((2*I)*CphiD*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[3] , S[3] , -S[3] , V[1] , -V[3] ] == {{((2*I)*CphiD*G1*GW^2*Lam*vev)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , S[2] , S[3] , S[1] , -V[3] ] == {{I*gc109, 0}, {(-2*I)*gc109, 0}, {I*gc109, 0}, {0, 0}},

C[ S[2] , S[3] , S[1] , S[1] , -V[3] ] == {{-2*gc110, 0}, {gc110, 0}, {0, 0}, {gc110, 0}},

C[ S[2] , S[2] , S[3] , -V[3] ] == {{I*gc111, 0}, {I*gc111, 0}, {0, 0}},

C[ S[2] , S[3] , S[1] , -V[3] ] == {{-2*gc112, 0}, {0, 0}, {gc112, 0}},

C[ S[2] , S[3] , -V[3] ] == {{gc113*(4 + 3*CphiD*Lam*vev^2), 0}, {gc113*(-4 + CphiD*Lam*vev^2), 0}},

C[ S[2] , S[3] , S[3] , -S[3] , -V[3] ] == {{0, 0}, {-2*gc114, 0}, {gc114, 0}, {gc114, 0}},

C[ S[3] , S[3] , -S[3] , S[1] , -V[3] ] == {{(-I)*gc115, 0}, {0, 0}, {(-I)*gc115, 0}, {(2*I)*gc115, 0}},

C[ S[3] , S[3] , -S[3] , -V[3] ] == {{(-I)*gc116, 0}, {(-I)*gc116, 0}, {(2*I)*gc116, 0}},

C[ S[2] , S[2] , S[3] , -S[3] , V[3] , -V[3] ] == {{I*CphiD*GW^2*Lam, 0}},

C[ S[3] , -S[3] , S[1] , S[1] , V[3] , -V[3] ] == {{I*CphiD*GW^2*Lam, 0}},

C[ S[3] , -S[3] , S[1] , V[3] , -V[3] ] == {{I*CphiD*GW^2*Lam*vev, 0}},

C[ S[3] , -S[3] , V[3] , -V[3] ] == {{0, 0}, {I*gc120, 0}, {0, 0}},

C[ S[2] , S[2] , S[3] , S[3] , -V[3] , -V[3] ] == {{(-2*I)*CphiD*GW^2*Lam, 0}},

C[ S[2] , S[3] , S[3] , S[1] , -V[3] , -V[3] ] == {{2*CphiD*GW^2*Lam, 0}},

C[ S[3] , S[3] , S[1] , S[1] , -V[3] , -V[3] ] == {{(2*I)*CphiD*GW^2*Lam, 0}},

C[ S[2] , S[3] , S[3] , -V[3] , -V[3] ] == {{2*CphiD*GW^2*Lam*vev, 0}},

C[ S[3] , S[3] , S[1] , -V[3] , -V[3] ] == {{(2*I)*CphiD*GW^2*Lam*vev, 0}},

C[ S[3] , S[3] , -V[3] , -V[3] ] == {{0, 0}, {I*gc126, 0}, {0, 0}},

C[ S[2] , S[3] , V[1] , V[1] , -V[3] ] == {{-gc127, 0}, {-gc127, 0}, {gc127, 0}, {gc127, 0}, {0, 0}, {0, 0}},

C[ S[3] , S[1] , V[1] , V[1] , -V[3] ] == {{(-I)*gc128, 0}, {(-I)*gc128, 0}, {I*gc128, 0}, {I*gc128, 0}, {0, 0}, {0, 0}},

C[ S[3] , V[1] , V[1] , -V[3] ] == {{(-I)*gc129, 0}, {(-I)*gc129, 0}, {I*gc129, 0}, {I*gc129, 0}, {0, 0}, {0, 0}},

C[ S[2] , S[3] , V[1] , -V[3] , V[2] ] == {{-(gc130*GW^2), 0}, {0, 0}, {gc130*GW^2, 0}, {0, 0}, {-(G1^2*gc130), 0}, {G1^2*gc130, 0}},

C[ S[3] , S[1] , V[1] , -V[3] , V[2] ] == {{(-I)*gc131*GW^2, 0}, {0, 0}, {I*gc131*GW^2, 0}, {0, 0}, {(-I)*G1^2*gc131, 0}, {I*G1^2*gc131, 0}},

C[ S[3] , V[1] , -V[3] , V[2] ] == {{(-I)*gc132*GW^2, 0}, {0, 0}, {I*gc132*GW^2, 0}, {0, 0}, {(-I)*G1^2*gc132, 0}, {I*G1^2*gc132, 0}},

C[ S[2] , S[2] , V[1] , V[3] , -V[3] ] == {{(-I)*gc133, 0}, {0, 0}, {I*gc133, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ S[3] , -S[3] , V[1] , V[3] , -V[3] ] == {{(-I)*gc134, 0}, {0, 0}, {I*gc134, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ S[1] , S[1] , V[1] , V[3] , -V[3] ] == {{(-I)*gc135, 0}, {0, 0}, {I*gc135, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ S[1] , V[1] , V[3] , -V[3] ] == {{(-I)*gc136, 0}, {0, 0}, {I*gc136, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ S[2] , S[2] , V[3] , -V[3] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc137, 0}, {I*gc137, 0}},

C[ S[3] , -S[3] , V[3] , -V[3] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc138, 0}, {I*gc138, 0}},

C[ S[1] , S[1] , V[3] , -V[3] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc139, 0}, {I*gc139, 0}},

C[ S[1] , V[3] , -V[3] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc140, 0}, {I*gc140, 0}},

C[ V[1] , V[1] , V[1] , V[3] , -V[3] ] == {{(2*I)*gc141, 0}, {(-I)*gc141, 0}, {(-I)*gc141, 0}, {(-2*I)*gc141, 0}, {I*gc141, 0}, {I*gc141, 0}, {(-I)*gc141, 0}, {(2*I)*gc141, 0}, {(-I)*gc141, 0}, {I*gc141, 0}, {(-I)*gc141, 0}, {I*gc141, 0}, {(-2*I)*gc141, 0}, {I*gc141, 0}, {(-I)*gc141, 0}, {I*gc141, 0}, {(-I)*gc141, 0}, {(-I)*gc141, 0}, {(2*I)*gc141, 0}, {I*gc141, 0}, {(-I)*gc141, 0}, {I*gc141, 0}, {(-I)*gc141, 0}, {I*gc141, 0}, {I*gc141, 0}, {(-2*I)*gc141, 0}, {(-I)*gc141, 0}, {I*gc141, 0}, {(-I)*gc141, 0}, {I*gc141, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] ] == {{I*gc142*GW, 0}, {I*gc142*GW, 0}, {(-2*I)*gc142*GW, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {(-6*I)*CW*gc142*Lam, 0}, {(6*I)*CW*gc142*Lam, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[1] , V[3] , -V[3] , V[2] ] == {{I*gc143, 0}, {(-I)*gc143, 0}, {0, 0}, {(-I)*gc143, 0}, {(2*I)*gc143, 0}, {0, 0}, {(-I)*gc143, 0}, {I*gc143, 0}, {0, 0}, {I*gc143, 0}, {(-2*I)*gc143, 0}, {(2*I)*gc143, 0}, {(-I)*gc143, 0}, {0, 0}, {(-2*I)*gc143, 0}, {I*gc143, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc143, 0}, {(-I)*gc143, 0}, {0, 0}, {I*gc143, 0}, {0, 0}, {I*gc143, 0}, {0, 0}, {(-I)*gc143, 0}, {I*gc143, 0}, {(-I)*gc143, 0}, {I*gc143, 0}, {(2*I)*gc143, 0}, {(-I)*gc143, 0}, {(-I)*gc143, 0}, {I*gc143, 0}, {I*gc143, 0}, {(-2*I)*gc143, 0}, {(-I)*gc143, 0}, {I*gc143, 0}, {(-I)*gc143, 0}, {I*gc143, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {I*gc144, 0}, {I*gc144, 0}, {0, 0}, {I*gc144, 0}, {I*gc144, 0}, {0, 0}, {0, 0}, {(-I)*gc144, 0}, {0, 0}, {(-I)*gc144, 0}, {0, 0}, {0, 0}, {(-I)*gc144, 0}, {0, 0}, {(-I)*gc144, 0}, {0, 0}, {(-I)*gc144, 0}, {0, 0}, {0, 0}, {(-I)*gc144, 0}, {I*gc144, 0}, {I*gc144, 0}, {0, 0}, {(-I)*gc144, 0}, {0, 0}, {0, 0}, {(-I)*gc144, 0}, {I*gc144, 0}, {I*gc144, 0}, {(-2*I)*gc144, 0}, {I*gc144, 0}, {I*gc144, 0}, {0, 0}, {I*gc144, 0}, {0, 0}, {(-I)*gc144, 0}, {0, 0}, {(2*I)*gc144, 0}, {(-I)*gc144, 0}, {0, 0}, {(-I)*gc144, 0}, {(-2*I)*gc144, 0}, {(2*I)*gc144, 0}, {(-2*I)*gc144, 0}, {I*gc144, 0}, {I*gc144, 0}, {I*gc144, 0}, {I*gc144, 0}, {(-I)*gc144, 0}, {(-I)*gc144, 0}, {I*gc144, 0}, {(-I)*gc144, 0}, {(-I)*gc144, 0}, {(2*I)*gc144, 0}, {(-I)*gc144, 0}, {(-2*I)*gc144, 0}, {(2*I)*gc144, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[1] , V[3] , V[3] , -V[3] , -V[3] ] == {{(-2*I)*gc145, 0}, {(-2*I)*gc145, 0}, {I*gc145, 0}, {I*gc145, 0}, {I*gc145, 0}, {I*gc145, 0}, {I*gc145, 0}, {I*gc145, 0}, {(-2*I)*gc145, 0}, {I*gc145, 0}, {I*gc145, 0}, {(-2*I)*gc145, 0}, {(-2*I)*gc145, 0}, {(-2*I)*gc145, 0}, {(4*I)*gc145, 0}},

C[ S[3] , S[1] , -V[3] ] == {{(-I)*gc146, 0}, {I*gc146, 0}},

C[ S[2] , S[2] , V[3] , -V[3] ] == {{0, 0}, {I*gc147, 0}, {0, 0}},

C[ S[1] , S[1] , V[3] , -V[3] ] == {{0, 0}, {I*gc148, 0}, {0, 0}},

C[ S[1] , V[3] , -V[3] ] == {{0, 0}, {0, 0}, {I*gc149, 0}},

C[ -U[32] , U[32] , V[2] ] == {{I*gc150, 0}, {0, 0}},

C[ -U[31] , U[31] , V[2] ] == {{I*gc151, 0}, {0, 0}},

C[ S[2] , S[2] , S[3] , -S[3] , V[1] , V[2] ] == {{(-I)*CphiD*G1*GW*Lam, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , V[1] , V[2] ] == {{((-4*I)*CphiD*G1*(G1 - GW)*GW*(G1 + GW)*Lam)/(G1^2 + GW^2), 0}},

C[ S[3] , -S[3] , S[1] , S[1] , V[1] , V[2] ] == {{(-I)*CphiD*G1*GW*Lam, 0}},

C[ S[3] , -S[3] , S[1] , V[1] , V[2] ] == {{(-I)*CphiD*G1*GW*Lam*vev, 0}},

C[ S[2] , S[2] , S[2] , S[1] , V[2] ] == {{gc156, 0}, {-3*gc156, 0}, {gc156, 0}, {gc156, 0}},

C[ S[2] , S[3] , -S[3] , S[1] , V[2] ] == {{-gc157, 0}, {gc157, 0}, {0, 0}, {0, 0}},

C[ S[2] , S[1] , S[1] , S[1] , V[2] ] == {{-3*gc158, 0}, {gc158, 0}, {gc158, 0}, {gc158, 0}},

C[ S[2] , S[2] , S[2] , V[2] ] == {{gc159, 0}, {gc159, 0}, {gc159, 0}},

C[ S[2] , S[3] , -S[3] , V[2] ] == {{gc160, 0}, {0, 0}, {0, 0}},

C[ S[2] , S[1] , S[1] , V[2] ] == {{-3*gc161, 0}, {gc161, 0}, {gc161, 0}},

C[ S[2] , S[1] , V[2] ] == {{-(gc162*(CphiWB*G1*GW*Lam*vev^2 + G1^2*(1 + CphiD*Lam*vev^2) + GW^2*(1 + CphiD*Lam*vev^2))), 0}, {gc162*(G1^2 + GW^2 + CphiWB*G1*GW*Lam*vev^2), 0}},

C[ S[2] , S[2] , S[3] , -S[3] , V[2] ] == {{0, 0}, {(-I)*gc163, 0}, {0, 0}, {I*gc163, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , V[2] ] == {{(-I)*gc164, 0}, {I*gc164, 0}, {(-I)*gc164, 0}, {I*gc164, 0}},

C[ S[3] , -S[3] , S[1] , S[1] , V[2] ] == {{(-I)*gc165, 0}, {0, 0}, {I*gc165, 0}, {0, 0}},

C[ S[3] , -S[3] , S[1] , V[2] ] == {{(-I)*gc166, 0}, {I*gc166, 0}, {0, 0}},

C[ S[3] , -S[3] , V[2] ] == {{(-I)*gc167, 0}, {I*gc167, 0}},

C[ S[2] , S[2] , S[2] , -S[3] , V[3] , V[2] ] == {{(3*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam)/2, 0}},

C[ S[2] , S[3] , -S[3] , -S[3] , V[3] , V[2] ] == {{(CphiD*(G1 - GW)*GW*(G1 + GW)*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , S[2] , -S[3] , S[1] , V[3] , V[2] ] == {{(-I/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam, 0}},

C[ S[3] , -S[3] , -S[3] , S[1] , V[3] , V[2] ] == {{((-I)*CphiD*(G1 - GW)*GW*(G1 + GW)*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , -S[3] , S[1] , S[1] , V[3] , V[2] ] == {{(CphiD*GW*Sqrt[G1^2 + GW^2]*Lam)/2, 0}},

C[ -S[3] , S[1] , S[1] , S[1] , V[3] , V[2] ] == {{((-3*I)/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam, 0}},

C[ S[2] , S[2] , -S[3] , V[3] , V[2] ] == {{(-I/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev, 0}},

C[ S[3] , -S[3] , -S[3] , V[3] , V[2] ] == {{((-I)*CphiD*(G1 - GW)*GW*(G1 + GW)*Lam*vev)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , -S[3] , S[1] , V[3] , V[2] ] == {{(CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev)/2, 0}},

C[ -S[3] , S[1] , S[1] , V[3] , V[2] ] == {{((-3*I)/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev, 0}},

C[ S[2] , S[2] , S[2] , S[3] , -V[3] , V[2] ] == {{(-3*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam)/2, 0}},

C[ S[2] , S[3] , S[3] , -S[3] , -V[3] , V[2] ] == {{-((CphiD*(G1 - GW)*GW*(G1 + GW)*Lam)/Sqrt[G1^2 + GW^2]), 0}},

C[ S[2] , S[2] , S[3] , S[1] , -V[3] , V[2] ] == {{(-I/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam, 0}},

C[ S[3] , S[3] , -S[3] , S[1] , -V[3] , V[2] ] == {{((-I)*CphiD*(G1 - GW)*GW*(G1 + GW)*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , S[3] , S[1] , S[1] , -V[3] , V[2] ] == {{-(CphiD*GW*Sqrt[G1^2 + GW^2]*Lam)/2, 0}},

C[ S[3] , S[1] , S[1] , S[1] , -V[3] , V[2] ] == {{((-3*I)/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam, 0}},

C[ S[2] , S[2] , S[3] , -V[3] , V[2] ] == {{(-I/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev, 0}},

C[ S[3] , S[3] , -S[3] , -V[3] , V[2] ] == {{((-I)*CphiD*(G1 - GW)*GW*(G1 + GW)*Lam*vev)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , S[3] , S[1] , -V[3] , V[2] ] == {{-(CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev)/2, 0}},

C[ S[3] , S[1] , S[1] , -V[3] , V[2] ] == {{((-3*I)/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev, 0}},

C[ S[2] , S[2] , S[2] , S[2] , V[2] , V[2] ] == {{3*CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam, 0}},

C[ S[2] , S[2] , S[3] , -S[3] , V[2] , V[2] ] == {{I*CphiD*(G1 - GW)*(G1 + GW)*Lam, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , V[2] , V[2] ] == {{((2*I)*CphiD*(G1 - GW)^2*(G1 + GW)^2*Lam)/(G1^2 + GW^2), 0}},

C[ S[2] , S[2] , S[1] , S[1] , V[2] , V[2] ] == {{CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam, 0}},

C[ S[3] , -S[3] , S[1] , S[1] , V[2] , V[2] ] == {{I*CphiD*(G1 - GW)*(G1 + GW)*Lam, 0}},

C[ S[1] , S[1] , S[1] , S[1] , V[2] , V[2] ] == {{3*CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam, 0}},

C[ S[2] , S[2] , S[1] , V[2] , V[2] ] == {{CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam*vev, 0}},

C[ S[3] , -S[3] , S[1] , V[2] , V[2] ] == {{I*CphiD*(G1 - GW)*(G1 + GW)*Lam*vev, 0}},

C[ S[1] , S[1] , S[1] , V[2] , V[2] ] == {{3*CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam*vev, 0}},

C[ S[2] , -S[3] , V[3] , V[2] , V[2] ] == {{0, 0}, {-gc197, 0}, {0, 0}, {gc197, 0}, {-gc197, 0}, {gc197, 0}},

C[ -S[3] , S[1] , V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*gc198, 0}, {0, 0}, {I*gc198, 0}, {(-I)*gc198, 0}, {I*gc198, 0}},

C[ -S[3] , V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*gc199, 0}, {0, 0}, {I*gc199, 0}, {(-I)*gc199, 0}, {I*gc199, 0}},

C[ S[2] , S[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {-gc200, 0}, {0, 0}, {gc200, 0}, {-gc200, 0}, {gc200, 0}},

C[ S[3] , S[1] , -V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*gc201, 0}, {0, 0}, {I*gc201, 0}, {(-I)*gc201, 0}, {I*gc201, 0}},

C[ S[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*gc202, 0}, {0, 0}, {I*gc202, 0}, {(-I)*gc202, 0}, {I*gc202, 0}},

C[ V[3] , -V[3] , V[2] , V[2] ] == {{I*gc203*(G1^2*GW + GW^3 + 2*CphiWB*G1^3*Lam*vev^2), 0}, {I*gc203*(G1^2*GW + GW^3 + 2*CphiWB*G1^3*Lam*vev^2), 0}, {(-2*I)*gc203*(G1^2*GW + GW^3 + 2*CphiWB*G1^3*Lam*vev^2), 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc203*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc204, 0}, {0, 0}, {0, 0}, {I*gc204, 0}, {0, 0}, {(-I)*gc204, 0}, {0, 0}, {0, 0}, {I*gc204, 0}, {0, 0}, {I*gc204, 0}, {0, 0}, {0, 0}, {(-I)*gc204, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc204, 0}, {0, 0}, {0, 0}, {(-I)*gc204, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc204, 0}, {I*gc204, 0}, {(-2*I)*gc204, 0}, {(-I)*gc204, 0}, {(2*I)*gc204, 0}, {(-I)*gc204, 0}, {(-2*I)*gc204, 0}, {0, 0}, {I*gc204, 0}, {(2*I)*gc204, 0}, {(-I)*gc204, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc204, 0}, {I*gc204, 0}, {(-I)*gc204, 0}, {(-I)*gc204, 0}, {(-I)*gc204, 0}, {I*gc204, 0}, {(-I)*gc204, 0}, {I*gc204, 0}, {I*gc204, 0}, {0, 0}, {(-I)*gc204, 0}, {0, 0}, {0, 0}, {(-2*I)*gc204, 0}, {(2*I)*gc204, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] , V[2] ] == {{(-I)*gc205, 0}, {(-I)*gc205, 0}, {I*gc205, 0}, {I*gc205, 0}, {0, 0}, {(-I)*gc205, 0}, {(-I)*gc205, 0}, {(-I)*gc205, 0}, {I*gc205, 0}, {I*gc205, 0}, {0, 0}, {0, 0}, {I*gc205, 0}, {(-I)*gc205, 0}, {0, 0}, {I*gc205, 0}, {(2*I)*gc205, 0}, {(2*I)*gc205, 0}, {(-2*I)*gc205, 0}, {(-2*I)*gc205, 0}, {I*gc205, 0}, {(-2*I)*gc205, 0}, {I*gc205, 0}, {(-I)*gc205, 0}, {(-I)*gc205, 0}, {(2*I)*gc205, 0}, {I*gc205, 0}, {(-I)*gc205, 0}, {I*gc205, 0}, {(-I)*gc205, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc205, 0}, {(-I)*gc205, 0}, {0, 0}, {I*gc205, 0}, {0, 0}, {I*gc205, 0}, {0, 0}, {I*gc205, 0}, {I*gc205, 0}, {(-I)*gc205, 0}, {(-2*I)*gc205, 0}, {0, 0}, {I*gc205, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc205, 0}, {0, 0}, {(-I)*gc205, 0}, {0, 0}, {(-I)*gc205, 0}, {(-I)*gc205, 0}, {I*gc205, 0}},

C[ V[1] , V[3] , V[3] , -V[3] , -V[3] , V[2] ] == {{(-2*I)*gc206, 0}, {I*gc206, 0}, {(-2*I)*gc206, 0}, {I*gc206, 0}, {I*gc206, 0}, {I*gc206, 0}, {(4*I)*gc206, 0}, {(-2*I)*gc206, 0}, {(-2*I)*gc206, 0}, {(-2*I)*gc206, 0}, {I*gc206, 0}, {I*gc206, 0}, {(-2*I)*gc206, 0}, {I*gc206, 0}, {I*gc206, 0}},

C[ V[3] , -V[3] , V[2] , V[2] , V[2] ] == {{0, 0}, {0, 0}, {(-I)*gc207, 0}, {0, 0}, {0, 0}, {(-I)*gc207, 0}, {0, 0}, {0, 0}, {I*gc207, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc207, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc207, 0}, {0, 0}, {(-I)*gc207, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc207, 0}, {0, 0}, {(-I)*gc207, 0}, {I*gc207, 0}, {I*gc207, 0}, {(-I)*gc207, 0}, {(-I)*gc207, 0}, {0, 0}, {I*gc207, 0}, {(-I)*gc207, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc207, 0}, {0, 0}, {(-I)*gc207, 0}, {I*gc207, 0}, {(-I)*gc207, 0}, {I*gc207, 0}, {0, 0}, {(-2*I)*gc207, 0}, {(-I)*gc207, 0}, {(2*I)*gc207, 0}, {(-2*I)*gc207, 0}, {(2*I)*gc207, 0}, {0, 0}, {(-2*I)*gc207, 0}, {I*gc207, 0}, {(2*I)*gc207, 0}, {(-I)*gc207, 0}, {(-I)*gc207, 0}, {I*gc207, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] , V[2] , V[2] ] == {{(-2*I)*gc208, 0}, {(-2*I)*gc208, 0}, {I*gc208, 0}, {I*gc208, 0}, {I*gc208, 0}, {I*gc208, 0}, {I*gc208, 0}, {I*gc208, 0}, {(-2*I)*gc208, 0}, {I*gc208, 0}, {I*gc208, 0}, {(-2*I)*gc208, 0}, {(-2*I)*gc208, 0}, {(-2*I)*gc208, 0}, {(4*I)*gc208, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , V[1] ] == {{I*gc209*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {I*gc209*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[1] ] == {{I*gc210*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc210*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[1] ] == {{I*gc211*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc211*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[4, {e3x2}] ] == {{I*gc212*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc212*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[4, {e3x2}] ] == {{I*gc213*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc213*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[3] ] == {{I*gc214[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -V[3] ] == {{I*gc215[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , V[3] ] == {{I*gc216[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -V[3] ] == {{I*gc217[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[2] ] == {{I*gc218*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((4*I)*G1*gc218*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(G1^4 - 2*G1^2*GW^2 - 3*GW^4 - 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[2] ] == {{I*gc219*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((-2*I)*G1*gc219*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2), 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , V[2] ] == {{(-I)*gc220*((G1^2 + GW^2 + CphiWB*G1*GW*Lam*vev^2)*IndexDelta[e1x2, e2x2] - (G1^2 + GW^2)*Lam*vev^2*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , V[2] ] == {{(-I)*gc221*((G1^2 + GW^2)^2*Lam*vev^2*Cphil1[e1x2, e2x2] - (G1^2 - GW^2)*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*IndexDelta[e1x2, e2x2]), 0}, {0, 0}, {(2*I)*G1*gc221*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[3] , -S[3] ] == {{(-I)*gc222[e1x2, e2x2], 0}, {0, 0}, {I*gc222[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , -S[3] ] == {{(-I)*gc223[e1x2, e2x2], 0}, {0, 0}, {I*gc223[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[2] , S[1] ] == {{-gc224[e1x2, e2x2], 0}, {0, 0}, {gc224[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {-(Lam*vev*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[1] ] == {{-gc226[e1x2, e2x2], 0}, {0, 0}, {gc226[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[3] , -S[3] , V[1] ] == {{I*gc227[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , -S[3] , V[1] ] == {{I*gc228[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[3] , -S[3] , V[2] ] == {{I*gc229[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , -S[3] , V[2] ] == {{I*gc230[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[2] , S[2] , V[2] ] == {{I*gc231[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[1] , S[1] , V[2] ] == {{I*gc232[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[1] , V[2] ] == {{I*gc233[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[2] , V[2] ] == {{I*gc234[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , S[1] , V[2] ] == {{I*gc235[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , V[2] ] == {{I*gc236[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[2] , -S[3] , V[3] ] == {{gc237[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , -S[3] , S[1] , V[3] ] == {{I*gc238[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , -S[3] , V[3] ] == {{I*gc239[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , -S[3] , V[3] ] == {{gc240[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , -S[3] , S[1] , V[3] ] == {{I*gc241[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , -S[3] , V[3] ] == {{I*gc242[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[2] , S[3] , -V[3] ] == {{gc243[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[3] , S[1] , -V[3] ] == {{I*gc244[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[3] , -V[3] ] == {{I*gc245[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[3] , -V[3] ] == {{gc246[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , S[1] , -V[3] ] == {{I*gc247[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , -V[3] ] == {{I*gc248[e1x2, e2x2], 0}, {0, 0}}

}

(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)

(* Parameter replacement lists (These lists were created by FeynRules) *)

(* FA Couplings *)

M$FACouplings = {
     gc1 -> -(CphiD*Lam),
     gc2 -> -(CphiD*Lam)/2,
     gc3 -> -1,
     gc4 -> -(CphiD*Lam),
     gc5 -> -(CphiD*Lam)/2,
     gc6 -> -(CphiD*Lam),
     gc7 -> -(CphiD*Lam*vev),
     gc8 -> -(CphiD*Lam*vev)/2,
     gc9 -> -(CphiD*Lam*vev),
     gc22 -> (-2*G1*GW)/(G1^2 + GW^2)^2,
     gc23 -> -((CphiD*G1*GW*Lam)/Sqrt[G1^2 + GW^2]),
     gc24 -> (CphiD*G1*GW*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc25 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc26 -> -((G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc27 -> (2*CphiD*G1*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc28 -> -(CphiD*Lam)/2,
     gc29 -> (CphiD*Lam*vev)/2,
     gc30 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc31 -> (4*CphiWB*G1*GW*Lam)/(G1^2 + GW^2),
     gc32 -> (4*CphiWB*G1*GW*Lam)/(G1^2 + GW^2),
     gc33 -> (4*CphiWB*G1*GW*Lam*vev)/(G1^2 + GW^2),
     gc34 -> GW/(8*(G1^2 + GW^2)^(3/2)),
     gc35 -> -GW/(8*(G1^2 + GW^2)^(3/2)),
     gc36 -> (GW*vev)/(2*(G1^2 + GW^2)^(3/2)),
     gc37 -> -GW/(8*(G1^2 + GW^2)^(3/2)),
     gc38 -> -GW/(8*(G1^2 + GW^2)^(3/2)),
     gc39 -> (GW*vev)/(2*(G1^2 + GW^2)^(3/2)),
     gc40 -> (G1^2 + GW^2)^(-3/2),
     gc41 -> (-2*CphiWB*(G1^2 - GW^2)*Lam)/(G1^2 + GW^2),
     gc42 -> 1/(2*(G1^2 + GW^2)^2),
     gc43 -> (-2*CphiWB*(G1^2 - GW^2)*Lam)/(G1^2 + GW^2),
     gc44 -> (-2*CphiWB*(G1^2 - GW^2)*Lam*vev)/(G1^2 + GW^2),
     gc45 -> -1/(8*(G1^2 + GW^2)^(3/2)),
     gc46 -> 1/(8*(G1^2 + GW^2)^(3/2)),
     gc47 -> -vev/(4*(G1^2 + GW^2)^(3/2)),
     gc48 -> 1/(8*(G1^2 + GW^2)^(3/2)),
     gc49 -> 1/(8*(G1^2 + GW^2)^(3/2)),
     gc50 -> -vev/(4*(G1^2 + GW^2)^(3/2)),
     gc51 -> -1/(4*(G1^2 + GW^2)),
     gc52 -> 1/(2*(G1^2 + GW^2)^2),
     gc53 -> -1/(4*(G1^2 + GW^2)),
     gc54 -> vev/(8*(G1^2 + GW^2)),
     gc55 -> GW/(G1^2 + GW^2)^(3/2),
     gc56 -> GS,
     gc57 -> -GS^2,
     gc58 -> -GS,
     gc59[e1x2_, e2x2_] -> -((Sqrt[2]*YO*Conjugate[Kq[e2x2, e1x2]]*mddiag[e1x2])/vev),
     gc60[e1x2_] -> ((-4 + CphiD*Lam*vev^2)*YO*mddiag[e1x2])/(4*vev),
     gc61[e1x2_] -> ((-4 + CphiD*Lam*vev^2)*YO*mddiag[e1x2])/(4*vev),
     gc62[e1x2_] -> ((-4 + CphiD*Lam*vev^2)*YO*mldiag[e1x2])/(4*vev),
     gc63[e1x2_] -> ((-4 + CphiD*Lam*vev^2)*YO*mldiag[e1x2])/(4*vev),
     gc64[e1x2_, e2x2_] -> (Sqrt[2]*YO*Kq[e1x2, e2x2]*mudiag[e1x2])/vev,
     gc65[e1x2_] -> (YO/vev - (CphiD*Lam*vev*YO)/4)*mudiag[e1x2],
     gc66[e1x2_] -> ((-4 + CphiD*Lam*vev^2)*YO*mudiag[e1x2])/(4*vev),
     gc67 -> Lam,
     gc69[e1x2_, e3x2_, e2x2_, e4x2_] -> Lam*IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Cledq[Generation$1, e2x2, e1x2, Generation$2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], {Generation$2, 1, 3}],
     gc70[e1x2_, e2x2_] -> -((Sqrt[2]*YO*mldiag[e1x2]*Ul[e1x2, e2x2])/vev),
     gc71[e1x2_, e3x2_, e2x2_, e4x2_] -> Lam*IndexSum[IndexSum[Conjugate[Cledq[Generation$1, e1x2, e2x2, Generation$2]]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}],
     gc72 -> -((GW*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc73 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc74 -> (GW*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc75 -> -((GW^2*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc79 -> (CphiD*GW*Lam)/2,
     gc80 -> -(CphiD*GW*Lam)/2,
     gc81 -> (CphiD*GW*Lam*vev)/2,
     gc82 -> -(CphiD*GW*Lam*vev)/2,
     gc83 -> GW/8,
     gc84 -> -(CphiD*GW*Lam)/2,
     gc85 -> (CphiD*GW*Lam)/2,
     gc86 -> (CphiD*GW*Lam*vev)/2,
     gc92 -> CphiD*GW^2*Lam*vev^2,
     gc93 -> (-2*CphiWB*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc94 -> (2*CphiWB*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc95 -> (2*CphiWB*G1*GW^2*Lam*vev)/(G1^2 + GW^2),
     gc96 -> (2*CphiWB*GW*Lam)/(G1^2 + GW^2),
     gc97 -> (-2*CphiWB*GW*Lam)/(G1^2 + GW^2),
     gc98 -> (-2*CphiWB*GW*Lam*vev)/(G1^2 + GW^2),
     gc99 -> (G1^2*GW)/(G1^2 + GW^2)^2,
     gc100 -> -((G1*GW^2)/(G1^2 + GW^2)^2),
     gc101 -> (GW*(-4 + CphiD*Lam*vev^2))/8,
     gc102 -> (GW*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc103 -> -((G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc104 -> -((GW*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc105 -> (GW^2*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc109 -> -(CphiD*GW*Lam)/2,
     gc110 -> -(CphiD*GW*Lam)/2,
     gc111 -> -(CphiD*GW*Lam*vev)/2,
     gc112 -> -(CphiD*GW*Lam*vev)/2,
     gc113 -> GW/8,
     gc114 -> -(CphiD*GW*Lam)/2,
     gc115 -> (CphiD*GW*Lam)/2,
     gc116 -> (CphiD*GW*Lam*vev)/2,
     gc120 -> (GW^2*(1 + CphiD*Lam*vev^2))/2,
     gc126 -> CphiD*GW^2*Lam*vev^2,
     gc127 -> (-2*CphiWB*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc128 -> (-2*CphiWB*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc129 -> (-2*CphiWB*G1*GW^2*Lam*vev)/(G1^2 + GW^2),
     gc130 -> (2*CphiWB*GW*Lam)/(G1^2 + GW^2),
     gc131 -> (2*CphiWB*GW*Lam)/(G1^2 + GW^2),
     gc132 -> (2*CphiWB*GW*Lam*vev)/(G1^2 + GW^2),
     gc133 -> (-2*CphiWB*GW^2*Lam)/Sqrt[G1^2 + GW^2],
     gc134 -> (2*CphiWB*GW^2*Lam)/Sqrt[G1^2 + GW^2],
     gc135 -> (-2*CphiWB*GW^2*Lam)/Sqrt[G1^2 + GW^2],
     gc136 -> (-2*CphiWB*GW^2*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc137 -> (2*CphiWB*G1*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc138 -> (-2*CphiWB*G1*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc139 -> (2*CphiWB*G1*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc140 -> (2*CphiWB*G1*GW*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc141 -> (6*CW*G1^3*GW^2*Lam)/(G1^2 + GW^2)^(3/2),
     gc142 -> -GW,
     gc143 -> (6*CW*G1^2*GW^3*Lam)/(G1^2 + GW^2)^(3/2),
     gc144 -> (6*CW*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2],
     gc145 -> (12*CW*G1^2*GW^3*Lam)/(G1^2 + GW^2),
     gc146 -> -(GW*(-4 + CphiD*Lam*vev^2))/8,
     gc147 -> -(GW^2*(-2 + CphiD*Lam*vev^2))/4,
     gc148 -> -(GW^2*(-2 + CphiD*Lam*vev^2))/4,
     gc149 -> -(GW^2*vev*(-4 + CphiD*Lam*vev^2))/8,
     gc150 -> (GW*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc151 -> -((GW*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc156 -> -(CphiD*Sqrt[G1^2 + GW^2]*Lam)/2,
     gc157 -> (CphiD*(G1^2 - GW^2)*Lam)/(2*Sqrt[G1^2 + GW^2]),
     gc158 -> (CphiD*Sqrt[G1^2 + GW^2]*Lam)/2,
     gc159 -> -(CphiD*Sqrt[G1^2 + GW^2]*Lam*vev)/2,
     gc160 -> (CphiD*(-G1^2 + GW^2)*Lam*vev)/(2*Sqrt[G1^2 + GW^2]),
     gc161 -> (CphiD*Sqrt[G1^2 + GW^2]*Lam*vev)/2,
     gc162 -> 1/(2*Sqrt[G1^2 + GW^2]),
     gc163 -> (CphiD*Sqrt[G1^2 + GW^2]*Lam)/2,
     gc164 -> -((CphiD*(G1^2 - GW^2)*Lam)/Sqrt[G1^2 + GW^2]),
     gc165 -> -(CphiD*Sqrt[G1^2 + GW^2]*Lam)/2,
     gc166 -> -(CphiD*Sqrt[G1^2 + GW^2]*Lam*vev)/2,
     gc167 -> (2*CphiWB*G1^3*GW*Lam*vev^2 - 2*CphiD*G1^2*GW^2*Lam*vev^2 - 2*CphiWB*G1*GW^3*Lam*vev^2 + GW^4*(2 - CphiD*Lam*vev^2) - G1^4*(2 + CphiD*Lam*vev^2))/(4*(G1^2 + GW^2)^(3/2)),
     gc197 -> (-2*CphiWB*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc198 -> (2*CphiWB*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc199 -> (2*CphiWB*G1*GW^2*Lam*vev)/(G1^2 + GW^2),
     gc200 -> (-2*CphiWB*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc201 -> (-2*CphiWB*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc202 -> (-2*CphiWB*G1*GW^2*Lam*vev)/(G1^2 + GW^2),
     gc203 -> GW^3/(G1^2 + GW^2)^2,
     gc204 -> (-6*CW*G1*GW^4*Lam)/(G1^2 + GW^2)^(3/2),
     gc205 -> (-6*CW*GW^3*Lam)/Sqrt[G1^2 + GW^2],
     gc206 -> (12*CW*G1*GW^4*Lam)/(G1^2 + GW^2),
     gc207 -> (-6*CW*GW^5*Lam)/(G1^2 + GW^2)^(3/2),
     gc208 -> (12*CW*GW^5*Lam)/(G1^2 + GW^2),
     gc209 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc210 -> (-2*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(3*(G1^2 + GW^2)^(3/2)),
     gc211 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(3*(G1^2 + GW^2)^(3/2)),
     gc212 -> -GS,
     gc213 -> -GS,
     gc214[e1x2_, e2x2_] -> -((GW*Kq[e1x2, e2x2])/Sqrt[2]),
     gc215[e1x2_, e2x2_] -> -((GW*Conjugate[Kq[e2x2, e1x2]])/Sqrt[2]),
     gc216[e1x2_, e2x2_] -> -((GW*Conjugate[Ul[e2x2, e1x2]])/Sqrt[2]),
     gc217[e1x2_, e2x2_] -> -((GW*Ul[e1x2, e2x2])/Sqrt[2]),
     gc218 -> (G1^4 - 2*G1^2*GW^2 - 3*GW^4 - 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2)/(6*(G1^2 + GW^2)^(3/2)),
     gc219 -> (G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2)/(6*(G1^2 + GW^2)^(3/2)),
     gc220 -> 1/(2*Sqrt[G1^2 + GW^2]),
     gc221 -> -1/(2*(G1^2 + GW^2)^(3/2)),
     gc222[e1x2_, e2x2_] -> -(Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc223[e1x2_, e2x2_] -> -(Lam*Cphil1[e1x2, e2x2]),
     gc224[e1x2_, e2x2_] -> Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}],
     gc226[e1x2_, e2x2_] -> Lam*Cphil1[e1x2, e2x2],
     gc227[e1x2_, e2x2_] -> (-2*G1*GW*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc228[e1x2_, e2x2_] -> (-2*G1*GW*Lam*Cphil1[e1x2, e2x2])/Sqrt[G1^2 + GW^2],
     gc229[e1x2_, e2x2_] -> ((G1^2 - GW^2)*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc230[e1x2_, e2x2_] -> ((G1^2 - GW^2)*Lam*Cphil1[e1x2, e2x2])/Sqrt[G1^2 + GW^2],
     gc231[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}],
     gc232[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}],
     gc233[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*vev*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}],
     gc234[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*Cphil1[e1x2, e2x2],
     gc235[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*Cphil1[e1x2, e2x2],
     gc236[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*vev*Cphil1[e1x2, e2x2],
     gc237[e1x2_, e2x2_] -> GW*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}],
     gc238[e1x2_, e2x2_] -> -(GW*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc239[e1x2_, e2x2_] -> -(GW*Lam*vev*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc240[e1x2_, e2x2_] -> GW*Lam*Cphil1[e1x2, e2x2],
     gc241[e1x2_, e2x2_] -> -(GW*Lam*Cphil1[e1x2, e2x2]),
     gc242[e1x2_, e2x2_] -> -(GW*Lam*vev*Cphil1[e1x2, e2x2]),
     gc243[e1x2_, e2x2_] -> -(GW*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc244[e1x2_, e2x2_] -> -(GW*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc245[e1x2_, e2x2_] -> -(GW*Lam*vev*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc246[e1x2_, e2x2_] -> -(GW*Lam*Cphil1[e1x2, e2x2]),
     gc247[e1x2_, e2x2_] -> -(GW*Lam*Cphil1[e1x2, e2x2]),
     gc248[e1x2_, e2x2_] -> -(GW*Lam*vev*Cphil1[e1x2, e2x2])};

