(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*                                                                             *)
(*         This file has been automatically generated by FeynRules.            *)
(*                                                                             *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)


FR$ModelInformation={
  ModelName->"SMEFT: SM extended with dim 5 and dim 6 operators",
  Authors -> {"A. Dedes, M. Paraskevas, J. Rosiek, K. Suxho, L. Trifyllis"},
  Version -> "2.01",
  Date -> "05. 09. 2019"};

FR$ClassesTranslation={};

FR$InteractionOrderPerturbativeExpansion={{QCD, 0}, {NP, 0}, {QED, 0}};

FR$GoldstoneList={S[2], S[3]};

(*     Declared indices    *)

IndexRange[ Index[Gluon] ] = NoUnfold[ Range[ 8 ] ]

IndexRange[ Index[Generation] ] = Range[ 3 ]

IndexRange[ Index[Colour] ] = NoUnfold[ Range[ 3 ] ]

(*     Declared particles    *)

M$ClassesDescription = {
V[1] == {
    SelfConjugate -> True,
    PropagatorLabel -> "A",
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> 0,
    Indices -> {} },

V[2] == {
    SelfConjugate -> True,
    PropagatorLabel -> "Z",
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> MZ,
    Indices -> {} },

V[3] == {
    SelfConjugate -> False,
    QuantumNumbers -> {Q},
    PropagatorLabel -> "W",
    PropagatorType -> Sine,
    PropagatorArrow -> Forward,
    Mass -> MW,
    Indices -> {} },

V[4] == {
    SelfConjugate -> True,
    Indices -> {Index[Gluon]},
    PropagatorLabel -> "g",
    PropagatorType -> Cycles,
    PropagatorArrow -> None,
    Mass -> 0 },

F[1] == {
    Indices -> {Index[Generation]},
    SelfConjugate -> False,
    QuantumNumbers -> {LeptonNumber},
    PropagatorLabel -> "v",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mvdiag },

F[2] == {
    Indices -> {Index[Generation]},
    SelfConjugate -> False,
    QuantumNumbers -> {-Q, LeptonNumber},
    PropagatorLabel -> "l",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mldiag },

F[3] == {
    Indices -> {Index[Generation], Index[Colour]},
    SelfConjugate -> False,
    QuantumNumbers -> {(2*Q)/3},
    PropagatorLabel -> "uq",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mudiag },

F[4] == {
    Indices -> {Index[Generation], Index[Colour]},
    SelfConjugate -> False,
    QuantumNumbers -> {-Q/3},
    PropagatorLabel -> "dq",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mddiag },

S[1] == {
    SelfConjugate -> True,
    PropagatorLabel -> "H",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MH,
    Indices -> {} },

S[2] == {
    SelfConjugate -> True,
    PropagatorLabel -> "G0",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MG0,
    Indices -> {} },

S[3] == {
    SelfConjugate -> False,
    QuantumNumbers -> {Q},
    PropagatorLabel -> "GP",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MGP,
    Indices -> {} },

U[1] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> "\[Eta]A",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0,
    Indices -> {} },

U[2] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> "\[Eta]Z",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MgZ,
    Indices -> {} },

U[31] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber, Q},
    PropagatorLabel -> "\[Eta]Wp",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MgW,
    Indices -> {} },

U[32] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber, -Q},
    PropagatorLabel -> "\[Eta]Wm",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MgW,
    Indices -> {} },

U[4] == {
    SelfConjugate -> False,
    Indices -> {Index[Gluon]},
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> "\[Eta]G",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0 }
}


(*        Definitions       *)

GaugeXi[ V[1] ] = GaugeXi[A];
GaugeXi[ V[2] ] = GaugeXi[Z];
GaugeXi[ V[3] ] = GaugeXi[W];
GaugeXi[ V[4] ] = GaugeXi[G];
GaugeXi[ S[1] ] = 1;
GaugeXi[ S[2] ] = GaugeXi[Z];
GaugeXi[ S[3] ] = GaugeXi[W];
GaugeXi[ U[1] ] = GaugeXi[A];
GaugeXi[ U[2] ] = GaugeXi[Z];
GaugeXi[ U[31] ] = GaugeXi[W];
GaugeXi[ U[32] ] = GaugeXi[W];
GaugeXi[ U[4] ] = GaugeXi[G];

MZ[ ___ ] := MZ;
MW[ ___ ] := MW;
mvdiag[ 1 ] := mve;
mvdiag[ 2 ] := mvm;
mvdiag[ 3 ] := mvt;
mldiag[ 1 ] := mle;
mldiag[ 2 ] := mlm;
mldiag[ 3 ] := mlt;
mudiag[ 1, _ ] := mqu;
mudiag[ 1 ] := mqu;
mudiag[ 2, _ ] := mqc;
mudiag[ 2 ] := mqc;
mudiag[ 3, _ ] := mqt;
mudiag[ 3 ] := mqt;
mddiag[ 1, _ ] := mqd;
mddiag[ 1 ] := mqd;
mddiag[ 2, _ ] := mqs;
mddiag[ 2 ] := mqs;
mddiag[ 3, _ ] := mqb;
mddiag[ 3 ] := mqb;
MH[ ___ ] := MH;
MG0[ ___ ] := MG0;
MGP[ ___ ] := MGP;
MgZ[ ___ ] := MgZ;
MgW[ ___ ] := MgW;


TheLabel[ V[4, {__}] ] := TheLabel[V[4]];
TheLabel[ F[1, {1}] ] := "ve";
TheLabel[ F[1, {2}] ] := "vm";
TheLabel[ F[1, {3}] ] := "vt";
TheLabel[ F[2, {1}] ] := "e";
TheLabel[ F[2, {2}] ] := "mu";
TheLabel[ F[2, {3}] ] := "ta";
TheLabel[ F[3, {1, _}] ] := "u";
TheLabel[ F[3, {1}] ] := "u";
TheLabel[ F[3, {2, _}] ] := "c";
TheLabel[ F[3, {2}] ] := "c";
TheLabel[ F[3, {3, _}] ] := "t";
TheLabel[ F[3, {3}] ] := "t";
TheLabel[ F[4, {1, _}] ] := "d";
TheLabel[ F[4, {1}] ] := "d";
TheLabel[ F[4, {2, _}] ] := "s";
TheLabel[ F[4, {2}] ] := "s";
TheLabel[ F[4, {3, _}] ] := "b";
TheLabel[ F[4, {3}] ] := "b";
TheLabel[ U[4, {__}] ] := TheLabel[U[4]];


(*      Couplings (calculated by FeynRules)      *)

M$CouplingMatrices = {

C[ S[2] , S[2] , S[2] , S[2] ] == {{(-3*I)*gc1*(3*Cphi*Lam*vev^2 + hlambda*(-1 + CphiD*Lam*vev^2)), 0}, {(3*I)*CphiBox*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {(3*I)*CphiBox*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {(3*I)*CphiBox*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {(3*I)*CphiBox*gc1*Lam, 0}},

C[ S[2] , S[2] , S[3] , -S[3] ] == {{(-I)*gc2*(6*Cphi*Lam*vev^2 + hlambda*(-2 + CphiD*Lam*vev^2)), 0}, {(2*I)*CphiBox*gc2*Lam, 0}, {(4*I)*CphiBox*gc2*Lam, 0}, {I*CphiD*gc2*Lam, 0}, {I*CphiD*gc2*Lam, 0}, {(2*I)*CphiBox*gc2*Lam, 0}, {I*CphiD*gc2*Lam, 0}, {I*CphiD*gc2*Lam, 0}, {(2*I)*CphiBox*gc2*Lam, 0}, {(4*I)*CphiBox*gc2*Lam, 0}, {(2*I)*CphiBox*gc2*Lam, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] ] == {{(2*I)*gc3*(hlambda - 3*Cphi*Lam*vev^2), 0}, {(2*I)*CphiBox*gc3*Lam, 0}, {0, 0}, {I*(2*CphiBox + CphiD)*gc3*Lam, 0}, {I*(2*CphiBox + CphiD)*gc3*Lam, 0}, {(2*I)*CphiBox*gc3*Lam, 0}, {I*(2*CphiBox + CphiD)*gc3*Lam, 0}, {I*(2*CphiBox + CphiD)*gc3*Lam, 0}, {(2*I)*CphiBox*gc3*Lam, 0}, {0, 0}, {(2*I)*CphiBox*gc3*Lam, 0}},

C[ S[2] , S[2] , S[1] , S[1] ] == {{I*gc4*(hlambda - 9*Cphi*Lam*vev^2 + 2*CphiBox*hlambda*Lam*vev^2 - CphiD*hlambda*Lam*vev^2), 0}, {I*CphiBox*gc4*Lam, 0}, {I*(2*CphiBox + CphiD)*gc4*Lam, 0}, {0, 0}, {0, 0}, {I*CphiBox*gc4*Lam, 0}, {0, 0}, {0, 0}, {I*CphiBox*gc4*Lam, 0}, {I*(2*CphiBox + CphiD)*gc4*Lam, 0}, {I*CphiBox*gc4*Lam, 0}},

C[ S[3] , -S[3] , S[1] , S[1] ] == {{(-I)*gc5*(18*Cphi*Lam*vev^2 + hlambda*(-2 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)), 0}, {(2*I)*CphiBox*gc5*Lam, 0}, {(4*I)*CphiBox*gc5*Lam, 0}, {I*CphiD*gc5*Lam, 0}, {I*CphiD*gc5*Lam, 0}, {(2*I)*CphiBox*gc5*Lam, 0}, {I*CphiD*gc5*Lam, 0}, {I*CphiD*gc5*Lam, 0}, {(2*I)*CphiBox*gc5*Lam, 0}, {(4*I)*CphiBox*gc5*Lam, 0}, {(2*I)*CphiBox*gc5*Lam, 0}},

C[ S[1] , S[1] , S[1] , S[1] ] == {{(3*I)*gc6*(hlambda - 15*Cphi*Lam*vev^2 + 4*CphiBox*hlambda*Lam*vev^2 - CphiD*hlambda*Lam*vev^2), 0}, {(3*I)*CphiBox*gc6*Lam, 0}, {I*(2*CphiBox + CphiD)*gc6*Lam, 0}, {I*(2*CphiBox + CphiD)*gc6*Lam, 0}, {I*(2*CphiBox + CphiD)*gc6*Lam, 0}, {(3*I)*CphiBox*gc6*Lam, 0}, {I*(2*CphiBox + CphiD)*gc6*Lam, 0}, {I*(2*CphiBox + CphiD)*gc6*Lam, 0}, {(3*I)*CphiBox*gc6*Lam, 0}, {I*(2*CphiBox + CphiD)*gc6*Lam, 0}, {(3*I)*CphiBox*gc6*Lam, 0}},

C[ S[2] , S[2] , S[2] , S[2] , S[2] , S[2] ] == {{(90*I)*Cphi*Lam, 0}},

C[ S[2] , S[2] , S[2] , S[2] , S[3] , -S[3] ] == {{(18*I)*Cphi*Lam, 0}},

C[ S[2] , S[2] , S[3] , S[3] , -S[3] , -S[3] ] == {{(12*I)*Cphi*Lam, 0}},

C[ S[3] , S[3] , S[3] , -S[3] , -S[3] , -S[3] ] == {{(36*I)*Cphi*Lam, 0}},

C[ S[2] , S[2] , S[2] , S[2] , S[1] , S[1] ] == {{(18*I)*Cphi*Lam, 0}},

C[ S[2] , S[2] , S[3] , -S[3] , S[1] , S[1] ] == {{(6*I)*Cphi*Lam, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , S[1] , S[1] ] == {{(12*I)*Cphi*Lam, 0}},

C[ S[2] , S[2] , S[1] , S[1] , S[1] , S[1] ] == {{(18*I)*Cphi*Lam, 0}},

C[ S[3] , -S[3] , S[1] , S[1] , S[1] , S[1] ] == {{(18*I)*Cphi*Lam, 0}},

C[ S[1] , S[1] , S[1] , S[1] , S[1] , S[1] ] == {{(90*I)*Cphi*Lam, 0}},

C[ S[2] , S[2] , S[1] ] == {{I*gc17*(-12*Cphi*Lam*vev^2 + hlambda*(4 + 4*CphiBox*Lam*vev^2 - 3*CphiD*Lam*vev^2)), 0}, {(4*I)*CphiBox*gc17*Lam, 0}, {(4*I)*(2*CphiBox + CphiD)*gc17*Lam, 0}, {(4*I)*CphiBox*gc17*Lam, 0}, {(4*I)*CphiBox*gc17*Lam, 0}, {0, 0}, {0, 0}},

C[ S[3] , -S[3] , S[1] ] == {{I*gc18*(-12*Cphi*Lam*vev^2 + hlambda*(4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2)), 0}, {(4*I)*CphiBox*gc18*Lam, 0}, {(8*I)*CphiBox*gc18*Lam, 0}, {(4*I)*CphiBox*gc18*Lam, 0}, {(4*I)*CphiBox*gc18*Lam, 0}, {(2*I)*CphiD*gc18*Lam, 0}, {(2*I)*CphiD*gc18*Lam, 0}},

C[ S[1] , S[1] , S[1] ] == {{(3*I)*gc19*(-20*Cphi*Lam*vev^2 + hlambda*(4 + 12*CphiBox*Lam*vev^2 - 3*CphiD*Lam*vev^2)), 0}, {(12*I)*CphiBox*gc19*Lam, 0}, {(4*I)*(2*CphiBox + CphiD)*gc19*Lam, 0}, {(12*I)*CphiBox*gc19*Lam, 0}, {(12*I)*CphiBox*gc19*Lam, 0}, {(4*I)*(2*CphiBox + CphiD)*gc19*Lam, 0}, {(4*I)*(2*CphiBox + CphiD)*gc19*Lam, 0}},

C[ S[2] , S[2] , S[2] , S[2] , S[1] ] == {{(18*I)*Cphi*Lam*vev, 0}},

C[ S[2] , S[2] , S[3] , -S[3] , S[1] ] == {{(6*I)*Cphi*Lam*vev, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , S[1] ] == {{(12*I)*Cphi*Lam*vev, 0}},

C[ S[2] , S[2] , S[1] , S[1] , S[1] ] == {{(18*I)*Cphi*Lam*vev, 0}},

C[ S[3] , -S[3] , S[1] , S[1] , S[1] ] == {{(18*I)*Cphi*Lam*vev, 0}},

C[ S[1] , S[1] , S[1] , S[1] , S[1] ] == {{(90*I)*Cphi*Lam*vev, 0}},

C[ S[2] , -U[32] , U[32] ] == {{(GW^2*vev*(4 + CphiD*Lam*vev^2)*xiW)/16, 0}},

C[ S[2] , -U[31] , U[31] ] == {{-(GW^2*vev*(4 + CphiD*Lam*vev^2)*xiW)/16, 0}},

C[ S[3] , -U[31] , U[2] ] == {{((-I/4)*(G1 - GW)*GW*(G1 + GW)*vev*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*xiW)/(G1^2 + GW^2)^(3/2), 0}},

C[ -S[3] , -U[32] , U[2] ] == {{((-I/4)*(G1 - GW)*GW*(G1 + GW)*vev*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*xiW)/(G1^2 + GW^2)^(3/2), 0}},

C[ S[3] , -U[31] , U[1] ] == {{((I/2)*G1*GW^2*vev*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*xiW)/(G1^2 + GW^2)^(3/2), 0}},

C[ -S[3] , -U[32] , U[1] ] == {{((I/2)*G1*GW^2*vev*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*xiW)/(G1^2 + GW^2)^(3/2), 0}},

C[ S[1] , -U[32] , U[32] ] == {{(-I/16)*GW^2*vev*(-4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2)*xiW, 0}},

C[ S[1] , -U[31] , U[31] ] == {{(-I/16)*GW^2*vev*(-4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2)*xiW, 0}},

C[ S[3] , -U[2] , U[32] ] == {{((I/8)*GW*vev*(-2*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-2 + CphiD*Lam*vev^2) + GW^2*(-2 + CphiD*Lam*vev^2))*xiZ)/Sqrt[G1^2 + GW^2], 0}},

C[ -S[3] , -U[2] , U[31] ] == {{((I/8)*GW*vev*(-2*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-2 + CphiD*Lam*vev^2) + GW^2*(-2 + CphiD*Lam*vev^2))*xiZ)/Sqrt[G1^2 + GW^2], 0}},

C[ S[1] , -U[2] , U[2] ] == {{(-I/16)*vev*(-8*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-4 + 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2) + GW^2*(-4 + 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2))*xiZ, 0}},

C[ S[3] , -S[3] , V[1] , V[1] ] == {{(-2*I)*gc37*(G1^2 + GW^2)*(CphiWtilde*G1^2 + GW*(CphiWtildeB*G1 + CphiBtilde*GW))*Lam, 0}, {(-2*I)*gc37*(G1^2 + GW^2)*(CphiW*G1^2 + GW*(CphiWB*G1 + CphiB*GW))*Lam, 0}, {(-I)*G1^2*gc37*GW^2*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*gc37*(G1^2 + GW^2)*(CphiW*G1^2 + GW*(CphiWB*G1 + CphiB*GW))*Lam, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , V[1] , V[1] ] == {{((8*I)*CphiD*G1^2*GW^2*Lam)/(G1^2 + GW^2), 0}},

C[ S[2] , S[3] , -S[3] , S[1] , V[1] ] == {{-gc39, 0}, {gc39, 0}, {0, 0}, {0, 0}},

C[ S[2] , S[3] , -S[3] , V[1] ] == {{gc40, 0}, {0, 0}, {0, 0}},

C[ -U[32] , U[32] , V[1] ] == {{I*gc41, 0}, {0, 0}},

C[ -U[31] , U[31] , V[1] ] == {{I*gc42, 0}, {0, 0}},

C[ S[3] , -S[3] , V[1] ] == {{(-I)*gc43, 0}, {I*gc43, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , V[1] ] == {{(-I)*gc44, 0}, {I*gc44, 0}, {(-I)*gc44, 0}, {I*gc44, 0}},

C[ S[2] , S[3] , -S[3] , S[1] ] == {{0, 0}, {0, 0}, {gc45, 0}, {-gc45, 0}, {0, 0}, {0, 0}, {0, 0}, {-gc45, 0}, {0, 0}, {gc45, 0}, {0, 0}},

C[ S[2] , S[3] , -S[3] ] == {{0, 0}, {0, 0}, {-gc46, 0}, {0, 0}, {0, 0}, {gc46, 0}, {0, 0}},

C[ S[2] , S[2] , V[1] , V[1] ] == {{I*gc47*(CphiWtilde*G1^2 + GW*(-(CphiWtildeB*G1) + CphiBtilde*GW)), 0}, {I*gc47*(CphiW*G1^2 + GW*(-(CphiWB*G1) + CphiB*GW)), 0}, {0, 0}, {(-I)*gc47*(CphiW*G1^2 + GW*(-(CphiWB*G1) + CphiB*GW)), 0}},

C[ S[1] , S[1] , V[1] , V[1] ] == {{I*gc48*(CphiWtilde*G1^2 + GW*(-(CphiWtildeB*G1) + CphiBtilde*GW)), 0}, {I*gc48*(CphiW*G1^2 + GW*(-(CphiWB*G1) + CphiB*GW)), 0}, {0, 0}, {(-I)*gc48*(CphiW*G1^2 + GW*(-(CphiWB*G1) + CphiB*GW)), 0}},

C[ S[1] , V[1] , V[1] ] == {{I*gc49*(CphiWtilde*G1^2 + GW*(-(CphiWtildeB*G1) + CphiBtilde*GW)), 0}, {I*gc49*(CphiW*G1^2 + GW*(-(CphiWB*G1) + CphiB*GW)), 0}, {(-I)*gc49*(CphiW*G1^2 + GW*(-(CphiWB*G1) + CphiB*GW)), 0}, {0, 0}},

C[ S[2] , S[2] , V[4, {e1x2}] , V[4, {e2x2}] ] == {{(-I)*CphiGtilde*gc50*IndexDelta[e1x2, e2x2], 0}, {(-I)*CphiG*gc50*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {I*CphiG*gc50*IndexDelta[e1x2, e2x2], 0}},

C[ S[3] , -S[3] , V[4, {e1x2}] , V[4, {e2x2}] ] == {{(-I)*CphiGtilde*gc51*IndexDelta[e1x2, e2x2], 0}, {(-I)*CphiG*gc51*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {I*CphiG*gc51*IndexDelta[e1x2, e2x2], 0}},

C[ S[1] , S[1] , V[4, {e1x2}] , V[4, {e2x2}] ] == {{(-I)*CphiGtilde*gc52*IndexDelta[e1x2, e2x2], 0}, {(-I)*CphiG*gc52*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {I*CphiG*gc52*IndexDelta[e1x2, e2x2], 0}},

C[ S[1] , V[4, {e1x2}] , V[4, {e2x2}] ] == {{(-I)*CphiGtilde*gc53*IndexDelta[e1x2, e2x2], 0}, {(-I)*CphiG*gc53*IndexDelta[e1x2, e2x2], 0}, {I*CphiG*gc53*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ S[2] , -S[3] , V[1] , V[3] ] == {{-16*CphiWtildeB*gc54*(G1^2 + GW^2)*Lam, 0}, {-16*CphiWB*gc54*(G1^2 + GW^2)*Lam, 0}, {G1*gc54*GW*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-4 + CphiD*Lam*vev^2) + GW^2*(-4 + CphiD*Lam*vev^2)), 0}, {16*CphiWB*gc54*(G1^2 + GW^2)*Lam, 0}},

C[ -S[3] , S[1] , V[1] , V[3] ] == {{(-16*I)*CphiWtildeB*gc55*(G1^2 + GW^2)*Lam, 0}, {(-16*I)*CphiWB*gc55*(G1^2 + GW^2)*Lam, 0}, {(-I)*G1*gc55*GW*(-4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2) + GW^2*(4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2)), 0}, {(16*I)*CphiWB*gc55*(G1^2 + GW^2)*Lam, 0}},

C[ -S[3] , V[1] , V[3] ] == {{(4*I)*CphiWtildeB*gc56*(G1^2 + GW^2)*Lam, 0}, {(4*I)*CphiWB*gc56*(G1^2 + GW^2)*Lam, 0}, {(-4*I)*CphiWB*gc56*(G1^2 + GW^2)*Lam, 0}, {I*G1*gc56*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}},

C[ S[2] , S[2] , V[3] , -V[3] ] == {{(-16*I)*CphiWtilde*gc57*Lam, 0}, {(-16*I)*CphiW*gc57*Lam, 0}, {I*gc57*GW^2*(-2 + CphiD*Lam*vev^2), 0}, {(16*I)*CphiW*gc57*Lam, 0}},

C[ S[3] , -S[3] , V[3] , -V[3] ] == {{(-8*I)*CphiWtilde*gc58*Lam, 0}, {(-8*I)*CphiW*gc58*Lam, 0}, {(-I)*gc58*GW^2*(1 + CphiD*Lam*vev^2), 0}, {(8*I)*CphiW*gc58*Lam, 0}},

C[ S[1] , S[1] , V[3] , -V[3] ] == {{(-16*I)*CphiWtilde*gc59*Lam, 0}, {(-16*I)*CphiW*gc59*Lam, 0}, {(-I)*gc59*GW^2*(2 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2), 0}, {(16*I)*CphiW*gc59*Lam, 0}},

C[ S[1] , V[3] , -V[3] ] == {{(32*I)*CphiWtilde*gc60*Lam, 0}, {(32*I)*CphiW*gc60*Lam, 0}, {(-32*I)*CphiW*gc60*Lam, 0}, {I*gc60*GW^2*(4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2), 0}},

C[ S[2] , S[3] , V[1] , -V[3] ] == {{-16*CphiWtildeB*gc61*(G1^2 + GW^2)*Lam, 0}, {-16*CphiWB*gc61*(G1^2 + GW^2)*Lam, 0}, {G1*gc61*GW*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(-4 + CphiD*Lam*vev^2) + GW^2*(-4 + CphiD*Lam*vev^2)), 0}, {16*CphiWB*gc61*(G1^2 + GW^2)*Lam, 0}},

C[ S[3] , S[1] , V[1] , -V[3] ] == {{(-16*I)*CphiWtildeB*gc62*(G1^2 + GW^2)*Lam, 0}, {(-16*I)*CphiWB*gc62*(G1^2 + GW^2)*Lam, 0}, {(-I)*G1*gc62*GW*(-4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2) + GW^2*(4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2)), 0}, {(16*I)*CphiWB*gc62*(G1^2 + GW^2)*Lam, 0}},

C[ S[3] , V[1] , -V[3] ] == {{(4*I)*CphiWtildeB*gc63*(G1^2 + GW^2)*Lam, 0}, {(4*I)*CphiWB*gc63*(G1^2 + GW^2)*Lam, 0}, {(-4*I)*CphiWB*gc63*(G1^2 + GW^2)*Lam, 0}, {I*G1*gc63*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}},

C[ V[1] , V[3] , -V[3] ] == {{(-I)*gc64*GW*(-2*CphiWtilde*G1 + CphiWtildeB*GW)*(G1^2 + GW^2)*Lam*vev^2, 0}, {(2*I)*CphiWtilde*G1*gc64*GW*(G1^2 + GW^2)*Lam*vev^2, 0}, {(2*I)*CphiWtilde*G1*gc64*GW*(G1^2 + GW^2)*Lam*vev^2, 0}, {(-2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {I*gc64*GW*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2), 0}, {(-I)*G1*gc64*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc64*GW*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2), 0}, {I*G1*gc64*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {I*G1*gc64*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(-I)*G1*gc64*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*G1*gc64*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc64*(G1^2 + GW^2)*Lam, 0}},

C[ S[2] , S[2] , V[1] , V[2] ] == {{I*gc65*(2*(-CphiBtilde + CphiWtilde)*G1*GW + CphiWtildeB*(G1^2 - GW^2)), 0}, {I*gc65*(2*(-CphiB + CphiW)*G1*GW + CphiWB*(G1^2 - GW^2)), 0}, {0, 0}, {I*gc65*(2*(CphiB - CphiW)*G1*GW + CphiWB*(-G1^2 + GW^2)), 0}},

C[ S[3] , -S[3] , V[1] , V[2] ] == {{(-4*I)*gc66*(G1^2 + GW^2)*(2*(CphiBtilde - CphiWtilde)*G1*GW + CphiWtildeB*(G1^2 - GW^2))*Lam, 0}, {(-4*I)*gc66*(G1^2 + GW^2)*(2*(CphiB - CphiW)*G1*GW + CphiWB*(G1^2 - GW^2))*Lam, 0}, {(-I)*G1*gc66*GW*(-4*CphiWB*G1^3*GW*Lam*vev^2 + 2*CphiD*G1^2*GW^2*Lam*vev^2 + 4*CphiWB*G1*GW^3*Lam*vev^2 + GW^4*(-2 + CphiD*Lam*vev^2) + G1^4*(2 + CphiD*Lam*vev^2)), 0}, {(4*I)*gc66*(G1^2 + GW^2)*(2*(CphiB - CphiW)*G1*GW + CphiWB*(G1^2 - GW^2))*Lam, 0}},

C[ S[1] , S[1] , V[1] , V[2] ] == {{I*gc67*(2*(-CphiBtilde + CphiWtilde)*G1*GW + CphiWtildeB*(G1^2 - GW^2)), 0}, {I*gc67*(2*(-CphiB + CphiW)*G1*GW + CphiWB*(G1^2 - GW^2)), 0}, {0, 0}, {I*gc67*(2*(CphiB - CphiW)*G1*GW + CphiWB*(-G1^2 + GW^2)), 0}},

C[ S[1] , V[1] , V[2] ] == {{I*gc68*(2*(-CphiBtilde + CphiWtilde)*G1*GW + CphiWtildeB*(G1^2 - GW^2)), 0}, {I*gc68*(2*(-CphiB + CphiW)*G1*GW + CphiWB*(G1^2 - GW^2)), 0}, {I*gc68*(2*(CphiB - CphiW)*G1*GW + CphiWB*(-G1^2 + GW^2)), 0}, {0, 0}},

C[ S[2] , S[2] , V[2] , V[2] ] == {{(-16*I)*gc69*(CphiBtilde*G1^2 + GW*(CphiWtildeB*G1 + CphiWtilde*GW))*Lam, 0}, {(-16*I)*gc69*(CphiB*G1^2 + GW*(CphiWB*G1 + CphiW*GW))*Lam, 0}, {(-I)*gc69*(G1^2 + GW^2)*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(2 + CphiD*Lam*vev^2) + GW^2*(2 + CphiD*Lam*vev^2)), 0}, {(16*I)*gc69*(CphiB*G1^2 + GW*(CphiWB*G1 + CphiW*GW))*Lam, 0}},

C[ S[3] , -S[3] , V[2] , V[2] ] == {{(-8*I)*gc70*(G1^2 + GW^2)*(CphiBtilde*G1^2 + GW*(-(CphiWtildeB*G1) + CphiWtilde*GW))*Lam, 0}, {(-8*I)*gc70*(G1^2 + GW^2)*(CphiB*G1^2 + GW*(-(CphiWB*G1) + CphiW*GW))*Lam, 0}, {(-I)*gc70*(G1 - GW)*(G1 + GW)*(-2*CphiWB*G1^3*GW*Lam*vev^2 + 2*CphiD*G1^2*GW^2*Lam*vev^2 + 2*CphiWB*G1*GW^3*Lam*vev^2 + GW^4*(-1 + CphiD*Lam*vev^2) + G1^4*(1 + CphiD*Lam*vev^2)), 0}, {(8*I)*gc70*(G1^2 + GW^2)*(CphiB*G1^2 + GW*(-(CphiWB*G1) + CphiW*GW))*Lam, 0}},

C[ S[1] , S[1] , V[2] , V[2] ] == {{(-16*I)*gc71*(CphiBtilde*G1^2 + GW*(CphiWtildeB*G1 + CphiWtilde*GW))*Lam, 0}, {(-16*I)*gc71*(CphiB*G1^2 + GW*(CphiWB*G1 + CphiW*GW))*Lam, 0}, {(-I)*gc71*(G1^2 + GW^2)*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(2 + 4*CphiBox*Lam*vev^2 + 5*CphiD*Lam*vev^2) + GW^2*(2 + 4*CphiBox*Lam*vev^2 + 5*CphiD*Lam*vev^2)), 0}, {(16*I)*gc71*(CphiB*G1^2 + GW*(CphiWB*G1 + CphiW*GW))*Lam, 0}},

C[ S[1] , V[2] , V[2] ] == {{(32*I)*gc72*(CphiBtilde*G1^2 + GW*(CphiWtildeB*G1 + CphiWtilde*GW))*Lam, 0}, {(32*I)*gc72*(CphiB*G1^2 + GW*(CphiWB*G1 + CphiW*GW))*Lam, 0}, {(-32*I)*gc72*(CphiB*G1^2 + GW*(CphiWB*G1 + CphiW*GW))*Lam, 0}, {I*gc72*(G1^2 + GW^2)*(8*CphiWB*G1*GW*Lam*vev^2 + G1^2*(4 + 4*CphiBox*Lam*vev^2 + 3*CphiD*Lam*vev^2) + GW^2*(4 + 4*CphiBox*Lam*vev^2 + 3*CphiD*Lam*vev^2)), 0}},

C[ S[2] , -S[3] , V[3] , V[2] ] == {{-16*CphiWtildeB*G1*gc73*(G1^2 + GW^2)*Lam, 0}, {-16*CphiWB*G1*gc73*(G1^2 + GW^2)*Lam, 0}, {-(gc73*GW*(4*CphiWB*G1*GW^3*Lam*vev^2 + 2*CphiD*GW^4*Lam*vev^2 + G1^4*(4 + CphiD*Lam*vev^2) + G1^2*GW^2*(4 + 3*CphiD*Lam*vev^2))), 0}, {16*CphiWB*G1*gc73*(G1^2 + GW^2)*Lam, 0}},

C[ -S[3] , S[1] , V[3] , V[2] ] == {{(-16*I)*CphiWtildeB*G1*gc74*(G1^2 + GW^2)*Lam, 0}, {(-16*I)*CphiWB*G1*gc74*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc74*GW*(4*CphiWB*G1*GW^3*Lam*vev^2 + 6*CphiD*GW^4*Lam*vev^2 + G1^4*(4 + 4*CphiBox*Lam*vev^2 + 5*CphiD*Lam*vev^2) + G1^2*GW^2*(4 + 4*CphiBox*Lam*vev^2 + 11*CphiD*Lam*vev^2)), 0}, {(16*I)*CphiWB*G1*gc74*(G1^2 + GW^2)*Lam, 0}},

C[ -S[3] , V[3] , V[2] ] == {{(8*I)*CphiWtildeB*G1*gc75*(G1^2 + GW^2)*Lam, 0}, {(8*I)*CphiWB*G1*gc75*(G1^2 + GW^2)*Lam, 0}, {(-8*I)*CphiWB*G1*gc75*(G1^2 + GW^2)*Lam, 0}, {I*gc75*GW*(2*CphiWB*G1*GW^3*Lam*vev^2 + CphiD*GW^4*Lam*vev^2 + 2*G1^2*GW^2*(1 + CphiD*Lam*vev^2) + G1^4*(2 + CphiD*Lam*vev^2)), 0}},

C[ S[2] , S[3] , -V[3] , V[2] ] == {{-16*CphiWtildeB*G1*gc76*(G1^2 + GW^2)*Lam, 0}, {-16*CphiWB*G1*gc76*(G1^2 + GW^2)*Lam, 0}, {-(gc76*GW*(4*CphiWB*G1*GW^3*Lam*vev^2 + 2*CphiD*GW^4*Lam*vev^2 + G1^4*(4 + CphiD*Lam*vev^2) + G1^2*GW^2*(4 + 3*CphiD*Lam*vev^2))), 0}, {16*CphiWB*G1*gc76*(G1^2 + GW^2)*Lam, 0}},

C[ S[3] , S[1] , -V[3] , V[2] ] == {{(-16*I)*CphiWtildeB*G1*gc77*(G1^2 + GW^2)*Lam, 0}, {(-16*I)*CphiWB*G1*gc77*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc77*GW*(4*CphiWB*G1*GW^3*Lam*vev^2 + 6*CphiD*GW^4*Lam*vev^2 + G1^4*(4 + 4*CphiBox*Lam*vev^2 + 5*CphiD*Lam*vev^2) + G1^2*GW^2*(4 + 4*CphiBox*Lam*vev^2 + 11*CphiD*Lam*vev^2)), 0}, {(16*I)*CphiWB*G1*gc77*(G1^2 + GW^2)*Lam, 0}},

C[ S[3] , -V[3] , V[2] ] == {{(8*I)*CphiWtildeB*G1*gc78*(G1^2 + GW^2)*Lam, 0}, {(8*I)*CphiWB*G1*gc78*(G1^2 + GW^2)*Lam, 0}, {(-8*I)*CphiWB*G1*gc78*(G1^2 + GW^2)*Lam, 0}, {I*gc78*GW*(2*CphiWB*G1*GW^3*Lam*vev^2 + CphiD*GW^4*Lam*vev^2 + 2*G1^2*GW^2*(1 + CphiD*Lam*vev^2) + G1^4*(2 + CphiD*Lam*vev^2)), 0}},

C[ V[3] , -V[3] , V[2] ] == {{(2*I)*CphiWtilde*gc79*GW*(G1^2 + GW^2)*Lam*vev^2, 0}, {(2*I)*CphiWtilde*gc79*GW*(G1^2 + GW^2)*Lam*vev^2, 0}, {I*gc79*(CphiWtildeB*G1 + 2*CphiWtilde*GW)*(G1^2 + GW^2)*Lam*vev^2, 0}, {(-2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc79*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc79*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {I*gc79*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {(-I)*gc79*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {(2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc79*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {I*gc79*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {I*gc79*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {(-I)*gc79*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc79*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc79*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc79*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc79*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc79*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc79*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc79*(G1^2 + GW^2)*Lam, 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{2*CphiGtilde*gc80*GS*Lam*vev^2*SUNF[e1x2, e2x2, e3x2], 0}, {2*CphiGtilde*gc80*GS*Lam*vev^2*SUNF[e1x2, e2x2, e3x2], 0}, {2*CphiGtilde*gc80*GS*Lam*vev^2*SUNF[e1x2, e2x2, e3x2], 0}, {-2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-6*CG*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {6*CG*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {gc80*GS*SUNF[e1x2, e2x2, e3x2], 0}, {-(gc80*GS*SUNF[e1x2, e2x2, e3x2]), 0}, {2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-(gc80*GS*SUNF[e1x2, e2x2, e3x2]), 0}, {gc80*GS*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {gc80*GS*SUNF[e1x2, e2x2, e3x2], 0}, {-(gc80*GS*SUNF[e1x2, e2x2, e3x2]), 0}, {2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-6*CG*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {6*CG*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {6*CG*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-6*CG*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-6*CG*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {6*CG*gc80*Lam*SUNF[e1x2, e2x2, e3x2], 0}},

C[ S[2] , S[2] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{CphiGtilde*gc81*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc81*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc81*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc81*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc81*SUNF[e1x2, e2x2, e3x2], 0}, {CphiG*gc81*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc81*SUNF[e1x2, e2x2, e3x2]), 0}, {-(CphiG*gc81*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc81*SUNF[e1x2, e2x2, e3x2], 0}},

C[ S[3] , -S[3] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{CphiGtilde*gc82*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc82*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc82*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc82*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc82*SUNF[e1x2, e2x2, e3x2], 0}, {CphiG*gc82*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc82*SUNF[e1x2, e2x2, e3x2]), 0}, {-(CphiG*gc82*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc82*SUNF[e1x2, e2x2, e3x2], 0}},

C[ S[1] , S[1] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{CphiGtilde*gc83*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc83*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc83*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc83*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc83*SUNF[e1x2, e2x2, e3x2], 0}, {CphiG*gc83*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc83*SUNF[e1x2, e2x2, e3x2]), 0}, {-(CphiG*gc83*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc83*SUNF[e1x2, e2x2, e3x2], 0}},

C[ S[1] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{CphiGtilde*gc84*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc84*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc84*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc84*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc84*SUNF[e1x2, e2x2, e3x2], 0}, {CphiG*gc84*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc84*SUNF[e1x2, e2x2, e3x2]), 0}, {-(CphiG*gc84*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc84*SUNF[e1x2, e2x2, e3x2], 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{(2*I)*CphiGtilde*gc85*GS*Lam*vev^2*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {I*gc85*GS*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-I)*gc85*GS*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-I)*gc85*GS*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc85*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}},

C[ S[2] , S[2] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*CphiGtilde*gc86*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(-I)*CphiG*gc86*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0}, {I*CphiG*gc86*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {I*CphiG*gc86*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}},

C[ S[3] , -S[3] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*CphiGtilde*gc87*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(-I)*CphiG*gc87*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0}, {I*CphiG*gc87*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {I*CphiG*gc87*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}},

C[ S[1] , S[1] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*CphiGtilde*gc88*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(-I)*CphiG*gc88*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0}, {I*CphiG*gc88*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {I*CphiG*gc88*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}},

C[ S[1] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*CphiGtilde*gc89*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(-I)*CphiG*gc89*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0}, {I*CphiG*gc89*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {I*CphiG*gc89*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] , V[4, {e5x2}] ] == {{2*CGtilde*gc90*(SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {-2*CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {2*CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {-2*CGtilde*gc90*(SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {2*CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2]), 0}, {2*CGtilde*gc90*(SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2]), 0}, {-2*CGtilde*gc90*(SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {2*CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2]), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2]), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc90*(SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {-2*CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2]), 0}, {-(CGtilde*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e2x2, e5x2, e3x2, e1x2, e4x2])), 0}, {CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {-(CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e2x2, e4x2, e5x2, e1x2, e3x2])), 0}, {2*CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {-(CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e3x2, e5x2, e2x2, e1x2, e4x2])), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {-(CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2])), 0}, {CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-(CGtilde*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2])), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2]), 0}, {CGtilde*gc90*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {2*CGtilde*gc90*(SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {CGtilde*gc90*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-(CGtilde*gc90*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2])), 0}, {CGtilde*gc90*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2]), 0}, {CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2]), 0}, {2*CGtilde*gc90*(SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {CGtilde*gc90*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-(CGtilde*gc90*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2])), 0}, {-3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-(CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2])), 0}, {-2*CGtilde*gc90*(SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {CGtilde*gc90*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2]), 0}, {-(CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2])), 0}, {3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e3x2, e5x2, e2x2, e1x2, e4x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-(CGtilde*gc90*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2])), 0}, {2*CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {CGtilde*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-(CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2])), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e3x2, e5x2, e2x2, e1x2, e4x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {CGtilde*gc90*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {CGtilde*gc90*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e2x2, e5x2, e3x2, e1x2, e4x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2]), 0}, {CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {-2*CGtilde*gc90*(SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e2x2, e5x2, e3x2, e1x2, e4x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e2x2, e4x2, e5x2, e1x2, e3x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-(CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2])), 0}, {-(CGtilde*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2])), 0}, {CGtilde*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {2*CGtilde*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e2x2, e4x2, e5x2, e1x2, e3x2]), 0}, {-3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {3*CG*gc90*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2]), 0}, {3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-3*CG*gc90*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] , V[4, {e5x2}] , V[4, {e6x2}] ] == {{(-I)*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {(-I)*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-I)*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-I)*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-I)*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc91*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {(3*I)*CG*gc91*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {(-3*I)*CG*gc91*(SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {I*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-I)*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {(-I)*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {(-I)*CGtilde*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc91*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc91*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2]), 0}},

C[ -U[4, {e1x1}] , U[4, {e2x1}] , V[4, {e3x2}] ] == {{gc92*SUNF[e3x2, e1x1, e2x1], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] ] == {{I*gc93[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((-I)*gc93[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*mudiag[e2x2])/mddiag[e1x2], 0}, {0, 0}, {(I*Lam*vev^2*gc93[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}])/(YO*Conjugate[Kq[e2x2, e1x2]]*mddiag[e1x2]), 0}, {0, 0}, {((I/2)*Lam*vev^2*Conjugate[Cphiud[e2x2, e1x2]]*gc93[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(YO*Conjugate[Kq[e2x2, e1x2]]*mddiag[e1x2]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] ] == {{gc94[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc94[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {(-4*Lam*vev^2*(Cphiq1[e1x2, e2x2] + Cphiq3[e1x2, e2x2])*gc94[e1x2]*IndexDelta[e1x3, e2x3])/((-4 + CphiD*Lam*vev^2)*YO*mddiag[e1x2]), 0}, {0, 0}, {(4*Lam*vev^2*Cphid[e1x2, e2x2]*gc94[e1x2]*IndexDelta[e1x3, e2x3])/(4*YO*mddiag[e1x2] - CphiD*Lam*vev^2*YO*mddiag[e1x2]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] ] == {{(I*gc95[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*(2*Sqrt[2]*Lam*vev^3*Conjugate[Cdphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mddiag[e1x2]))/(2*Sqrt[2]*Lam*vev^3*Conjugate[Cdphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*mddiag[e1x2]), 0}, {0, 0}, {(I*gc95[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*(2*Sqrt[2]*Lam*vev^3*Cdphi[e1x2, e2x2] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mddiag[e1x2]))/(2*Sqrt[2]*Lam*vev^3*Conjugate[Cdphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*mddiag[e1x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] ] == {{gc96[e1x2]*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {-(gc96[e1x2]*IndexDelta[e1x2, e2x2]), 0}, {0, 0}, {(-4*Lam*vev^2*(Cphil1[e1x2, e2x2] + Cphil3[e1x2, e2x2])*gc96[e1x2])/((-4 + CphiD*Lam*vev^2)*YO*mldiag[e1x2]), 0}, {0, 0}, {(4*Lam*vev^2*Cphie[e1x2, e2x2]*gc96[e1x2])/(4*YO*mldiag[e1x2] - CphiD*Lam*vev^2*YO*mldiag[e1x2]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] ] == {{(-I)*gc97*(2*Sqrt[2]*Lam*vev^3*Conjugate[Cephi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mldiag[e1x2]), 0}, {0, 0}, {(-I)*gc97*(2*Sqrt[2]*Lam*vev^3*Cephi[e1x2, e2x2] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mldiag[e1x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] ] == {{I*gc98[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((-I)*gc98[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*mddiag[e2x2])/mudiag[e1x2], 0}, {0, 0}, {(I*Lam*vev^2*gc98[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}])/(YO*Kq[e1x2, e2x2]*mudiag[e1x2]), 0}, {0, 0}, {((I/2)*Lam*vev^2*Cphiud[e1x2, e2x2]*gc98[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(YO*Kq[e1x2, e2x2]*mudiag[e1x2]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] ] == {{gc99[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc99[e1x2]*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {(4*Lam*vev^2*gc99[e1x2]*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]))/((-4 + CphiD*Lam*vev^2)*YO*mudiag[e1x2]), 0}, {0, 0}, {(-4*Lam*vev^2*Cphiu[e1x2, e2x2]*gc99[e1x2]*IndexDelta[e1x3, e2x3])/(4*YO*mudiag[e1x2] - CphiD*Lam*vev^2*YO*mudiag[e1x2]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] ] == {{(I*gc100[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*(2*Sqrt[2]*Lam*vev^3*Conjugate[Cuphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mudiag[e1x2]))/(2*Sqrt[2]*Lam*vev^3*Conjugate[Cuphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*mudiag[e1x2]), 0}, {0, 0}, {(I*gc100[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*(2*Sqrt[2]*Lam*vev^3*Cuphi[e1x2, e2x2] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mudiag[e1x2]))/(2*Sqrt[2]*Lam*vev^3*Conjugate[Cuphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*mudiag[e1x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[3] , -S[3] ] == {{-(gc101*Conjugate[Cephi[e2x2, e1x2]]), 0}, {0, 0}, {gc101*Cephi[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , -S[3] , S[1] ] == {{I*gc102*Conjugate[Cephi[e2x2, e1x2]], 0}, {0, 0}, {I*gc102*Cephi[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , -S[3] ] == {{(-I)*gc103*vev*Conjugate[Cephi[e2x2, e1x2]], 0}, {0, 0}, {(-I)*gc103*vev*Cephi[e1x2, e2x2], 0}, {0, 0}, {(-I)*Sqrt[2]*gc103*(Cphil1[e1x2, e2x2] - Cphil3[e1x2, e2x2]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc103*Cphie[e1x2, e2x2], 0}, {0, 0}, {I*Sqrt[2]*gc103*(Cphil1[e1x2, e2x2] - Cphil3[e1x2, e2x2]), 0}, {0, 0}, {I*Sqrt[2]*gc103*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[2] , S[2] ] == {{-(gc104*Conjugate[Cephi[e2x2, e1x2]]), 0}, {0, 0}, {gc104*Cephi[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[2] , S[1] ] == {{I*gc105*Conjugate[Cephi[e2x2, e1x2]], 0}, {0, 0}, {I*gc105*Cephi[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[1] , S[1] ] == {{-(gc106*Conjugate[Cephi[e2x2, e1x2]]), 0}, {0, 0}, {gc106*Cephi[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , S[1] , S[1] ] == {{I*gc107*Conjugate[Cephi[e2x2, e1x2]], 0}, {0, 0}, {I*gc107*Cephi[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[2] ] == {{I*gc108*Conjugate[Cephi[e2x2, e1x2]], 0}, {0, 0}, {I*gc108*Cephi[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[1] ] == {{gc109*vev*Conjugate[Cephi[e2x2, e1x2]], 0}, {0, 0}, {-(gc109*vev*Cephi[e1x2, e2x2]), 0}, {0, 0}, {-(Sqrt[2]*gc109*(Cphil1[e1x2, e2x2] + Cphil3[e1x2, e2x2])), 0}, {0, 0}, {-(Sqrt[2]*gc109*Cphie[e1x2, e2x2]), 0}, {0, 0}, {Sqrt[2]*gc109*(Cphil1[e1x2, e2x2] + Cphil3[e1x2, e2x2]), 0}, {0, 0}, {Sqrt[2]*gc109*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , S[1] ] == {{I*gc110*Conjugate[Cephi[e2x2, e1x2]], 0}, {0, 0}, {I*gc110*Cephi[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[2] , S[3] ] == {{(-I)*gc111*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Cuphi[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc111*IndexDelta[e1x3, e2x3]*IndexSum[Cdphi[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , S[3] , -S[3] ] == {{(-I)*gc112*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Cuphi[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc112*IndexDelta[e1x3, e2x3]*IndexSum[Cdphi[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , S[1] , S[1] ] == {{(-I)*gc113*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Cuphi[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc113*IndexDelta[e1x3, e2x3]*IndexSum[Cdphi[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , S[1] ] == {{I*Sqrt[2]*gc114*vev*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Cuphi[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*Sqrt[2]*gc114*vev*IndexDelta[e1x3, e2x3]*IndexSum[Cdphi[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {(-2*I)*gc114*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc114*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(2*I)*gc114*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc114*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[2] , S[2] ] == {{-(gc115*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc115*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[3] , -S[3] ] == {{-(gc116*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc116*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[2] , S[1] ] == {{I*gc117*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc117*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[3] , -S[3] , S[1] ] == {{I*gc118*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc118*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[1] , S[1] ] == {{-(gc119*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc119*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , S[1] , S[1] ] == {{I*gc120*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc120*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[2] ] == {{I*gc121*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc121*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[3] , -S[3] ] == {{(-I)*gc122*vev*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc122*vev*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc122*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc122*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*Sqrt[2]*gc122*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {I*Sqrt[2]*gc122*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[1] ] == {{-(gc123*vev*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc123*vev*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(Sqrt[2]*gc123*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}])), 0}, {0, 0}, {-(Sqrt[2]*gc123*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {Sqrt[2]*gc123*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {Sqrt[2]*gc123*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , S[1] ] == {{I*gc124*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc124*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[3] , -S[3] , -S[3] ] == {{(-I)*gc125*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Cdphi[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc125*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*Cuphi[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[3] , -S[3] ] == {{-(gc126*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc126*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , -S[3] , S[1] ] == {{I*gc127*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc127*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , -S[3] ] == {{(-I)*gc128*vev*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc128*vev*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc128*(Cphiq1[e1x2, e2x2] - Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc128*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*Sqrt[2]*gc128*(Cphiq1[e1x2, e2x2] - Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*Sqrt[2]*gc128*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[2] , -S[3] ] == {{(-I)*gc129*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Cdphi[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc129*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*Cuphi[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , S[1] , S[1] ] == {{(-I)*gc130*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Cdphi[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc130*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*Cuphi[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , S[1] ] == {{I*Sqrt[2]*gc131*vev*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Cdphi[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*Sqrt[2]*gc131*vev*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*Cuphi[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-2*I)*gc131*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc131*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(2*I)*gc131*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc131*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[2] , S[2] ] == {{-(gc132*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc132*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[2] , S[1] ] == {{I*gc133*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc133*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[1] , S[1] ] == {{-(gc134*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc134*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , S[1] , S[1] ] == {{I*gc135*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc135*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[2] ] == {{I*gc136*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc136*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[1] ] == {{gc137*vev*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc137*vev*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-(Sqrt[2]*gc137*(Cphiq1[e1x2, e2x2] + Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-(Sqrt[2]*gc137*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {Sqrt[2]*gc137*(Cphiq1[e1x2, e2x2] + Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {Sqrt[2]*gc137*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , S[1] ] == {{I*gc138*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc138*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , -F[3, {e3x2, e3x3}] , F[2, {e2x2}] , F[3, {e4x2, e4x3}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc139*IndexDelta[e3x3, e4x3]*IndexSum[Conjugate[Clequ1[e2x2, e1x2, Generation$1, e3x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc139*IndexDelta[e3x3, e4x3]*IndexSum[Clequ1[e1x2, e2x2, Generation$1, e4x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc139*IndexDelta[e3x3, e4x3]*(IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Clq1[e1x2, e2x2, Generation$1, Generation$2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}] - IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Clq3[e1x2, e2x2, Generation$1, Generation$2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc139*IndexDelta[e3x3, e4x3]*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqe[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc139*Clu[e1x2, e2x2, e3x2, e4x2]*IndexDelta[e3x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc139*Ceu[e1x2, e2x2, e3x2, e4x2]*IndexDelta[e3x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc139*IndexDelta[e3x3, e4x3]*IndexSum[Conjugate[Clequ3[e2x2, e1x2, Generation$1, e3x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc139*IndexDelta[e3x3, e4x3]*IndexSum[Clequ3[e1x2, e2x2, Generation$1, e4x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc139*IndexDelta[e3x3, e4x3]*IndexSum[Conjugate[Clequ3[e2x2, e1x2, Generation$1, e3x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc139*IndexDelta[e3x3, e4x3]*IndexSum[Clequ3[e1x2, e2x2, Generation$1, e4x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[3, {e3x2, e3x3}] , F[4, {e2x2, e2x3}] , F[3, {e4x2, e4x3}] ] == {{(-I)*gc140*(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(6*IndexSum[Conjugate[Cquqd1[e2x2, e3x2, Generation$1, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}] - IndexSum[Conjugate[Cquqd8[e2x2, e3x2, Generation$1, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*IndexSum[Conjugate[Cquqd8[e2x2, e3x2, Generation$1, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc140*(IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(6*IndexSum[Conjugate[Cquqd1[Generation$1, e3x2, e2x2, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}] - IndexSum[Conjugate[Cquqd8[Generation$1, e3x2, e2x2, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}]) + 3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*IndexSum[Conjugate[Cquqd8[Generation$1, e3x2, e2x2, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc140*(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(6*IndexSum[Cquqd1[e1x2, e4x2, Generation$1, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}] - IndexSum[Cquqd8[e1x2, e4x2, Generation$1, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*IndexSum[Cquqd8[e1x2, e4x2, Generation$1, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc140*(IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(6*IndexSum[Cquqd1[Generation$1, e4x2, e1x2, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}] - IndexSum[Cquqd8[Generation$1, e4x2, e1x2, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}]) + 3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*IndexSum[Cquqd8[Generation$1, e4x2, e1x2, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(12*I)*gc140*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq3[e1x2, Generation$1, Generation$2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq3[Generation$2, e2x2, e1x2, Generation$1], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc140*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq1[e1x2, e2x2, Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq1[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq3[e1x2, e2x2, Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq3[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc140*(IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(6*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqd1[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqd8[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]) + 3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqd8[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc140*(6*Cqu1[e1x2, e2x2, e3x2, e4x2]*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3] + Cqu8[e1x2, e2x2, e3x2, e4x2]*(3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] - IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc140*(6*Cud1[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3] + Cud8[e3x2, e4x2, e1x2, e2x2]*(3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] - IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[2, {e3x2}] , F[4, {e2x2, e2x3}] , F[2, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc141*Conjugate[Cledq[e4x2, e3x2, e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc141*Cledq[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc141*(Clq1[e3x2, e4x2, e1x2, e2x2] + Clq3[e3x2, e4x2, e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc141*Cld[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc141*Cqe[e1x2, e2x2, e3x2, e4x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc141*Ced[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] ] == {{0, 0}, {0, 0}, {((-I)*Sqrt[2]*YO*Conjugate[Ul[e2x2, e1x2]]*mldiag[e2x2])/vev, 0}, {0, 0}, {I*Sqrt[2]*Lam*vev*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] , S[3] , -S[3] ] == {{0, 0}, {0, 0}, {I*gc143[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[2] , S[2] , S[3] ] == {{0, 0}, {0, 0}, {I*gc144[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] , S[1] , S[1] ] == {{0, 0}, {0, 0}, {I*gc145[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] , S[1] ] == {{0, 0}, {0, 0}, {(-I)*gc146*vev*IndexSum[Cephi[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*Sqrt[2]*gc146*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {I*Sqrt[2]*gc146*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[1, {e3x2}] , F[2, {e2x2}] , F[3, {e4x2, e4x3}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc147*IndexDelta[e1x3, e4x3]*IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Cledq[Generation$1, e2x2, e1x2, Generation$2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc147*IndexDelta[e1x3, e4x3]*IndexSum[Clequ1[Generation$1, e2x2, e1x2, e4x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(4*I)*gc147*IndexDelta[e1x3, e4x3]*IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Clq3[Generation$1, e2x2, e1x2, Generation$2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc147*IndexDelta[e1x3, e4x3]*IndexSum[Clequ3[Generation$1, e2x2, e1x2, e4x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc147*IndexDelta[e1x3, e4x3]*IndexSum[Clequ3[Generation$1, e2x2, e1x2, e4x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -S[3] ] == {{I*gc148[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {(I*Lam*vev^2*gc148[e1x2, e2x2]*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/(YO*mldiag[e1x2]*Ul[e1x2, e2x2]), 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[3] , -S[3] , -S[3] ] == {{I*gc149[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[2] , S[2] , -S[3] ] == {{I*gc150[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -S[3] , S[1] , S[1] ] == {{I*gc151[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -S[3] , S[1] ] == {{I*gc152*vev*IndexSum[Conjugate[Cephi[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*Sqrt[2]*gc152*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {I*Sqrt[2]*gc152*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , -F[3, {e3x2, e3x3}] , F[4, {e2x2, e2x3}] , F[1, {e4x2}] ] == {{(2*I)*gc153*IndexDelta[e2x3, e3x3]*IndexSum[Conjugate[Clequ1[Generation$1, e1x2, e2x2, e3x2]]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc153*IndexDelta[e2x3, e3x3]*IndexSum[IndexSum[Conjugate[Cledq[Generation$1, e1x2, e2x2, Generation$2]]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(4*I)*gc153*IndexDelta[e2x3, e3x3]*IndexSum[IndexSum[Clq3[e1x2, Generation$1, Generation$2, e2x2]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc153*IndexDelta[e2x3, e3x3]*IndexSum[Conjugate[Clequ3[Generation$1, e1x2, e2x2, e3x2]]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc153*IndexDelta[e2x3, e3x3]*IndexSum[Conjugate[Clequ3[Generation$1, e1x2, e2x2, e3x2]]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[1] , V[3] , -V[3] ] == {{0, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {I*gc154*GW*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {0, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {I*gc154*GW*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*gc154*GW*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc154*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc154*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[3] , -V[3] , V[2] ] == {{0, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*gc155*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2 - CphiWB*G1*GW^2*Lam*vev^2), 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc155*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2 - CphiWB*G1*GW^2*Lam*vev^2), 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc155*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2 - CphiWB*G1*GW^2*Lam*vev^2), 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc155*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc155*(G1^2 + GW^2)*Lam, 0}},

C[ S[2] , S[2] , V[1] , V[3] , -V[3] ] == {{I*gc156*(2*CphiWtilde*G1 - CphiWtildeB*GW), 0}, {(2*I)*CphiWtilde*G1*gc156, 0}, {(2*I)*CphiWtilde*G1*gc156, 0}, {(-I)*gc156*(2*CphiW*G1 - CphiWB*GW), 0}, {(2*I)*CphiW*G1*gc156, 0}, {I*gc156*(2*CphiW*G1 - CphiWB*GW), 0}, {(-2*I)*CphiW*G1*gc156, 0}, {(-2*I)*CphiW*G1*gc156, 0}, {(2*I)*CphiW*G1*gc156, 0}},

C[ S[3] , -S[3] , V[1] , V[3] , -V[3] ] == {{I*gc157*(2*CphiWtilde*G1 + CphiWtildeB*GW), 0}, {(2*I)*CphiWtilde*G1*gc157, 0}, {(2*I)*CphiWtilde*G1*gc157, 0}, {(-I)*gc157*(2*CphiW*G1 + CphiWB*GW), 0}, {(2*I)*CphiW*G1*gc157, 0}, {I*gc157*(2*CphiW*G1 + CphiWB*GW), 0}, {(-2*I)*CphiW*G1*gc157, 0}, {(-2*I)*CphiW*G1*gc157, 0}, {(2*I)*CphiW*G1*gc157, 0}},

C[ S[1] , S[1] , V[1] , V[3] , -V[3] ] == {{I*gc158*(2*CphiWtilde*G1 - CphiWtildeB*GW), 0}, {(2*I)*CphiWtilde*G1*gc158, 0}, {(2*I)*CphiWtilde*G1*gc158, 0}, {(-I)*gc158*(2*CphiW*G1 - CphiWB*GW), 0}, {(2*I)*CphiW*G1*gc158, 0}, {I*gc158*(2*CphiW*G1 - CphiWB*GW), 0}, {(-2*I)*CphiW*G1*gc158, 0}, {(-2*I)*CphiW*G1*gc158, 0}, {(2*I)*CphiW*G1*gc158, 0}},

C[ S[1] , V[1] , V[3] , -V[3] ] == {{I*gc159*(2*CphiWtilde*G1 - CphiWtildeB*GW), 0}, {(2*I)*CphiWtilde*G1*gc159, 0}, {(2*I)*CphiWtilde*G1*gc159, 0}, {(-I)*gc159*(2*CphiW*G1 - CphiWB*GW), 0}, {(2*I)*CphiW*G1*gc159, 0}, {I*gc159*(2*CphiW*G1 - CphiWB*GW), 0}, {(-2*I)*CphiW*G1*gc159, 0}, {(-2*I)*CphiW*G1*gc159, 0}, {(2*I)*CphiW*G1*gc159, 0}},

C[ S[2] , -S[3] , V[1] , V[1] , V[3] ] == {{CphiWtildeB*gc160, 0}, {-(CphiWtildeB*gc160), 0}, {0, 0}, {-(CphiWB*gc160), 0}, {-(CphiWB*gc160), 0}, {CphiWB*gc160, 0}, {0, 0}, {CphiWB*gc160, 0}, {0, 0}},

C[ -S[3] , S[1] , V[1] , V[1] , V[3] ] == {{I*CphiWtildeB*gc161, 0}, {(-I)*CphiWtildeB*gc161, 0}, {0, 0}, {(-I)*CphiWB*gc161, 0}, {(-I)*CphiWB*gc161, 0}, {I*CphiWB*gc161, 0}, {0, 0}, {I*CphiWB*gc161, 0}, {0, 0}},

C[ -S[3] , V[1] , V[1] , V[3] ] == {{I*CphiWtildeB*gc162, 0}, {(-I)*CphiWtildeB*gc162, 0}, {0, 0}, {(-I)*CphiWB*gc162, 0}, {(-I)*CphiWB*gc162, 0}, {I*CphiWB*gc162, 0}, {0, 0}, {I*CphiWB*gc162, 0}, {0, 0}},

C[ S[2] , -S[3] , V[1] , V[3] , V[2] ] == {{CphiWtildeB*gc163*GW^2, 0}, {0, 0}, {CphiWtildeB*G1^2*gc163, 0}, {-(CphiWB*gc163*GW^2), 0}, {0, 0}, {CphiWB*gc163*GW^2, 0}, {-(CphiWB*G1^2*gc163), 0}, {0, 0}, {CphiWB*G1^2*gc163, 0}},

C[ -S[3] , S[1] , V[1] , V[3] , V[2] ] == {{I*CphiWtildeB*gc164*GW^2, 0}, {0, 0}, {I*CphiWtildeB*G1^2*gc164, 0}, {(-I)*CphiWB*gc164*GW^2, 0}, {0, 0}, {I*CphiWB*gc164*GW^2, 0}, {(-I)*CphiWB*G1^2*gc164, 0}, {0, 0}, {I*CphiWB*G1^2*gc164, 0}},

C[ -S[3] , V[1] , V[3] , V[2] ] == {{I*CphiWtildeB*gc165*GW^2, 0}, {0, 0}, {I*CphiWtildeB*G1^2*gc165, 0}, {(-I)*CphiWB*gc165*GW^2, 0}, {0, 0}, {I*CphiWB*gc165*GW^2, 0}, {(-I)*CphiWB*G1^2*gc165, 0}, {0, 0}, {I*CphiWB*G1^2*gc165, 0}},

C[ -U[1] , U[32] , V[3] ] == {{I*gc166, 0}, {0, 0}},

C[ -U[31] , U[1] , V[3] ] == {{I*gc167, 0}, {0, 0}},

C[ -U[31] , U[2] , V[3] ] == {{I*gc168, 0}, {0, 0}},

C[ -U[2] , U[32] , V[3] ] == {{I*gc169, 0}, {0, 0}},

C[ S[2] , -S[3] , V[3] ] == {{gc170*(4 + 3*CphiD*Lam*vev^2), 0}, {gc170*(-4 + CphiD*Lam*vev^2), 0}},

C[ -S[3] , S[1] , V[3] ] == {{(-I)*gc171, 0}, {I*gc171, 0}},

C[ S[2] , S[3] , -S[3] , -S[3] , V[1] , V[3] ] == {{(-2*CphiD*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[3] , -S[3] , -S[3] , S[1] , V[1] , V[3] ] == {{((2*I)*CphiD*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[3] , -S[3] , -S[3] , V[1] , V[3] ] == {{((2*I)*CphiD*G1*GW^2*Lam*vev)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , S[2] , -S[3] , S[1] , V[3] ] == {{I*gc175, 0}, {(-2*I)*gc175, 0}, {I*gc175, 0}, {0, 0}},

C[ S[2] , -S[3] , S[1] , S[1] , V[3] ] == {{-2*gc176, 0}, {gc176, 0}, {0, 0}, {gc176, 0}},

C[ S[2] , S[2] , -S[3] , V[3] ] == {{I*gc177, 0}, {I*gc177, 0}, {0, 0}},

C[ S[2] , -S[3] , S[1] , V[3] ] == {{-2*gc178, 0}, {0, 0}, {gc178, 0}},

C[ S[2] , S[3] , -S[3] , -S[3] , V[3] ] == {{0, 0}, {gc179, 0}, {-2*gc179, 0}, {gc179, 0}},

C[ S[3] , -S[3] , -S[3] , S[1] , V[3] ] == {{(-2*I)*gc180, 0}, {0, 0}, {I*gc180, 0}, {I*gc180, 0}},

C[ S[3] , -S[3] , -S[3] , V[3] ] == {{(-2*I)*gc181, 0}, {I*gc181, 0}, {I*gc181, 0}},

C[ S[2] , S[2] , -S[3] , -S[3] , V[3] , V[3] ] == {{(-2*I)*CphiD*GW^2*Lam, 0}},

C[ S[2] , -S[3] , -S[3] , S[1] , V[3] , V[3] ] == {{-2*CphiD*GW^2*Lam, 0}},

C[ -S[3] , -S[3] , S[1] , S[1] , V[3] , V[3] ] == {{(2*I)*CphiD*GW^2*Lam, 0}},

C[ S[2] , -S[3] , -S[3] , V[3] , V[3] ] == {{-2*CphiD*GW^2*Lam*vev, 0}},

C[ -S[3] , -S[3] , S[1] , V[3] , V[3] ] == {{(2*I)*CphiD*GW^2*Lam*vev, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {0, 0}, {I*gc187*GW, 0}, {0, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {0, 0}, {I*gc187*GW, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {0, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {0, 0}, {(-6*I)*CW*gc187*Lam, 0}, {0, 0}, {(-2*I)*gc187*GW, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {(2*I)*CWtilde*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {(-2*I)*CWtilde*gc187*Lam, 0}, {(-6*I)*CW*gc187*Lam, 0}, {(6*I)*CW*gc187*Lam, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[1] , V[1] , V[3] , -V[3] ] == {{(2*I)*CWtilde*gc188, 0}, {(2*I)*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc188, 0}, {(-2*I)*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc188, 0}, {(-2*I)*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc188, 0}, {(-2*I)*CWtilde*gc188, 0}, {(-2*I)*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc188, 0}, {(-2*I)*CWtilde*gc188, 0}, {(-2*I)*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc188, 0}, {(-I)*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc188, 0}, {I*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc188, 0}, {(-2*I)*CWtilde*gc188, 0}, {(-2*I)*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc188, 0}, {(-3*I)*CW*gc188, 0}, {(-3*I)*CW*gc188, 0}, {0, 0}, {(-6*I)*CW*gc188, 0}, {(3*I)*CW*gc188, 0}, {(3*I)*CW*gc188, 0}, {0, 0}, {I*CWtilde*gc188, 0}, {0, 0}, {(-I)*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc188, 0}, {(6*I)*CW*gc188, 0}, {(-3*I)*CW*gc188, 0}, {0, 0}, {(3*I)*CW*gc188, 0}, {(-3*I)*CW*gc188, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc188, 0}, {0, 0}, {I*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc188, 0}, {(-6*I)*CW*gc188, 0}, {(3*I)*CW*gc188, 0}, {0, 0}, {(-3*I)*CW*gc188, 0}, {(3*I)*CW*gc188, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc188, 0}, {(-I)*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc188, 0}, {(-3*I)*CW*gc188, 0}, {(6*I)*CW*gc188, 0}, {0, 0}, {(3*I)*CW*gc188, 0}, {(-3*I)*CW*gc188, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc188, 0}, {(-3*I)*CW*gc188, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc188, 0}, {I*CWtilde*gc188, 0}, {0, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc188, 0}, {(3*I)*CW*gc188, 0}, {(-6*I)*CW*gc188, 0}, {0, 0}, {(-3*I)*CW*gc188, 0}, {(3*I)*CW*gc188, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc188, 0}, {(3*I)*CW*gc188, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[1] , V[3] , -V[3] , V[2] ] == {{(2*I)*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc189, 0}, {(2*I)*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc189, 0}, {(-2*I)*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc189, 0}, {(-2*I)*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc189, 0}, {0, 0}, {(-I)*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc189, 0}, {0, 0}, {I*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc189, 0}, {(-2*I)*CWtilde*gc189, 0}, {(-2*I)*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc189, 0}, {(-I)*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc189, 0}, {(3*I)*CW*gc189, 0}, {(-3*I)*CW*gc189, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc189, 0}, {(6*I)*CW*gc189, 0}, {0, 0}, {(-3*I)*CW*gc189, 0}, {I*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc189, 0}, {(-3*I)*CW*gc189, 0}, {(3*I)*CW*gc189, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc189, 0}, {(-6*I)*CW*gc189, 0}, {0, 0}, {(3*I)*CW*gc189, 0}, {(-2*I)*CWtilde*gc189, 0}, {(-2*I)*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc189, 0}, {(6*I)*CW*gc189, 0}, {(-3*I)*CW*gc189, 0}, {0, 0}, {(-3*I)*CW*gc189, 0}, {(-6*I)*CW*gc189, 0}, {(3*I)*CW*gc189, 0}, {0, 0}, {(3*I)*CW*gc189, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc189, 0}, {(-I)*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc189, 0}, {(-3*I)*CW*gc189, 0}, {0, 0}, {(6*I)*CW*gc189, 0}, {(3*I)*CW*gc189, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc189, 0}, {(3*I)*CW*gc189, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc189, 0}, {(-I)*CWtilde*gc189, 0}, {I*CWtilde*gc189, 0}, {0, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc189, 0}, {(3*I)*CW*gc189, 0}, {0, 0}, {(-6*I)*CW*gc189, 0}, {(-3*I)*CW*gc189, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc189, 0}, {(-3*I)*CW*gc189, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc189, 0}},

C[ V[1] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc190, 0}, {(-2*I)*CWtilde*gc190, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc190, 0}, {(2*I)*CWtilde*gc190, 0}, {0, 0}, {(2*I)*CWtilde*gc190, 0}, {(2*I)*CWtilde*gc190, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc190, 0}, {(-2*I)*CWtilde*gc190, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc190, 0}, {(-I)*CWtilde*gc190, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc190, 0}, {(-I)*CWtilde*gc190, 0}, {0, 0}, {(-I)*CWtilde*gc190, 0}, {I*CWtilde*gc190, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc190, 0}, {I*CWtilde*gc190, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc190, 0}, {(2*I)*CWtilde*gc190, 0}, {0, 0}, {(3*I)*CW*gc190, 0}, {(3*I)*CW*gc190, 0}, {(-6*I)*CW*gc190, 0}, {0, 0}, {(3*I)*CW*gc190, 0}, {(3*I)*CW*gc190, 0}, {(-6*I)*CW*gc190, 0}, {0, 0}, {(-2*I)*CWtilde*gc190, 0}, {(-I)*CWtilde*gc190, 0}, {(-2*I)*CWtilde*gc190, 0}, {(-I)*CWtilde*gc190, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc190, 0}, {(3*I)*CW*gc190, 0}, {0, 0}, {(-3*I)*CW*gc190, 0}, {0, 0}, {(3*I)*CW*gc190, 0}, {0, 0}, {(-2*I)*CWtilde*gc190, 0}, {(-I)*CWtilde*gc190, 0}, {(-I)*CWtilde*gc190, 0}, {(-2*I)*CWtilde*gc190, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc190, 0}, {(3*I)*CW*gc190, 0}, {0, 0}, {(-3*I)*CW*gc190, 0}, {(3*I)*CW*gc190, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc190, 0}, {(-2*I)*CWtilde*gc190, 0}, {(-2*I)*CWtilde*gc190, 0}, {(-I)*CWtilde*gc190, 0}, {0, 0}, {(-3*I)*CW*gc190, 0}, {0, 0}, {(3*I)*CW*gc190, 0}, {0, 0}, {(-3*I)*CW*gc190, 0}, {0, 0}, {(3*I)*CW*gc190, 0}, {(3*I)*CW*gc190, 0}, {(3*I)*CW*gc190, 0}, {(-3*I)*CW*gc190, 0}, {(-3*I)*CW*gc190, 0}, {0, 0}, {(-I)*CWtilde*gc190, 0}, {(-2*I)*CWtilde*gc190, 0}, {(-I)*CWtilde*gc190, 0}, {(-2*I)*CWtilde*gc190, 0}, {0, 0}, {(-3*I)*CW*gc190, 0}, {0, 0}, {(3*I)*CW*gc190, 0}, {0, 0}, {(-3*I)*CW*gc190, 0}, {(3*I)*CW*gc190, 0}, {0, 0}, {(3*I)*CW*gc190, 0}, {(3*I)*CW*gc190, 0}, {(-3*I)*CW*gc190, 0}, {(-3*I)*CW*gc190, 0}, {0, 0}, {(2*I)*CWtilde*gc190, 0}, {(-2*I)*CWtilde*gc190, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc190, 0}, {(-3*I)*CW*gc190, 0}, {(-3*I)*CW*gc190, 0}, {0, 0}, {(6*I)*CW*gc190, 0}, {(-3*I)*CW*gc190, 0}, {(-3*I)*CW*gc190, 0}, {(-6*I)*CW*gc190, 0}, {(-6*I)*CW*gc190, 0}, {(6*I)*CW*gc190, 0}, {(6*I)*CW*gc190, 0}},

C[ S[2] , S[2] , V[3] , -V[3] , V[2] ] == {{(2*I)*CphiWtilde*gc191*GW, 0}, {(2*I)*CphiWtilde*gc191*GW, 0}, {I*gc191*(CphiWtildeB*G1 + 2*CphiWtilde*GW), 0}, {(-2*I)*CphiW*gc191*GW, 0}, {(2*I)*CphiW*gc191*GW, 0}, {(2*I)*CphiW*gc191*GW, 0}, {(-I)*gc191*(CphiWB*G1 + 2*CphiW*GW), 0}, {(-2*I)*CphiW*gc191*GW, 0}, {I*gc191*(CphiWB*G1 + 2*CphiW*GW), 0}},

C[ S[3] , -S[3] , V[3] , -V[3] , V[2] ] == {{(-2*I)*CphiWtilde*gc192*GW, 0}, {(-2*I)*CphiWtilde*gc192*GW, 0}, {I*gc192*(CphiWtildeB*G1 - 2*CphiWtilde*GW), 0}, {(2*I)*CphiW*gc192*GW, 0}, {(-2*I)*CphiW*gc192*GW, 0}, {(-2*I)*CphiW*gc192*GW, 0}, {(-I)*gc192*(CphiWB*G1 - 2*CphiW*GW), 0}, {(2*I)*CphiW*gc192*GW, 0}, {I*gc192*(CphiWB*G1 - 2*CphiW*GW), 0}},

C[ S[1] , S[1] , V[3] , -V[3] , V[2] ] == {{(2*I)*CphiWtilde*gc193*GW, 0}, {(2*I)*CphiWtilde*gc193*GW, 0}, {I*gc193*(CphiWtildeB*G1 + 2*CphiWtilde*GW), 0}, {(-2*I)*CphiW*gc193*GW, 0}, {(2*I)*CphiW*gc193*GW, 0}, {(2*I)*CphiW*gc193*GW, 0}, {(-I)*gc193*(CphiWB*G1 + 2*CphiW*GW), 0}, {(-2*I)*CphiW*gc193*GW, 0}, {I*gc193*(CphiWB*G1 + 2*CphiW*GW), 0}},

C[ S[1] , V[3] , -V[3] , V[2] ] == {{(2*I)*CphiWtilde*gc194*GW, 0}, {(2*I)*CphiWtilde*gc194*GW, 0}, {I*gc194*(CphiWtildeB*G1 + 2*CphiWtilde*GW), 0}, {(-2*I)*CphiW*gc194*GW, 0}, {(2*I)*CphiW*gc194*GW, 0}, {(2*I)*CphiW*gc194*GW, 0}, {(-I)*gc194*(CphiWB*G1 + 2*CphiW*GW), 0}, {(-2*I)*CphiW*gc194*GW, 0}, {I*gc194*(CphiWB*G1 + 2*CphiW*GW), 0}},

C[ S[2] , S[2] , V[1] , V[1] , V[3] , -V[3] ] == {{0, 0}, {(-I)*gc195, 0}, {(-I)*gc195, 0}, {(2*I)*gc195, 0}},

C[ S[3] , -S[3] , V[1] , V[1] , V[3] , -V[3] ] == {{0, 0}, {(-I)*gc196, 0}, {(-I)*gc196, 0}, {(2*I)*gc196, 0}},

C[ S[1] , S[1] , V[1] , V[1] , V[3] , -V[3] ] == {{0, 0}, {(-I)*gc197, 0}, {(-I)*gc197, 0}, {(2*I)*gc197, 0}},

C[ S[1] , V[1] , V[1] , V[3] , -V[3] ] == {{0, 0}, {(-I)*gc198, 0}, {(-I)*gc198, 0}, {(2*I)*gc198, 0}},

C[ S[2] , S[3] , V[1] , V[1] , -V[3] ] == {{CphiWtildeB*gc199, 0}, {-(CphiWtildeB*gc199), 0}, {0, 0}, {-(CphiWB*gc199), 0}, {-(CphiWB*gc199), 0}, {CphiWB*gc199, 0}, {0, 0}, {CphiWB*gc199, 0}, {0, 0}},

C[ S[3] , S[1] , V[1] , V[1] , -V[3] ] == {{I*CphiWtildeB*gc200, 0}, {(-I)*CphiWtildeB*gc200, 0}, {0, 0}, {(-I)*CphiWB*gc200, 0}, {(-I)*CphiWB*gc200, 0}, {I*CphiWB*gc200, 0}, {0, 0}, {I*CphiWB*gc200, 0}, {0, 0}},

C[ S[3] , V[1] , V[1] , -V[3] ] == {{I*CphiWtildeB*gc201, 0}, {(-I)*CphiWtildeB*gc201, 0}, {0, 0}, {(-I)*CphiWB*gc201, 0}, {(-I)*CphiWB*gc201, 0}, {I*CphiWB*gc201, 0}, {0, 0}, {I*CphiWB*gc201, 0}, {0, 0}},

C[ S[2] , S[3] , V[1] , -V[3] , V[2] ] == {{CphiWtildeB*gc202*GW^2, 0}, {0, 0}, {CphiWtildeB*G1^2*gc202, 0}, {-(CphiWB*gc202*GW^2), 0}, {0, 0}, {CphiWB*gc202*GW^2, 0}, {-(CphiWB*G1^2*gc202), 0}, {0, 0}, {CphiWB*G1^2*gc202, 0}},

C[ S[3] , S[1] , V[1] , -V[3] , V[2] ] == {{I*CphiWtildeB*gc203*GW^2, 0}, {0, 0}, {I*CphiWtildeB*G1^2*gc203, 0}, {(-I)*CphiWB*gc203*GW^2, 0}, {0, 0}, {I*CphiWB*gc203*GW^2, 0}, {(-I)*CphiWB*G1^2*gc203, 0}, {0, 0}, {I*CphiWB*G1^2*gc203, 0}},

C[ S[3] , V[1] , -V[3] , V[2] ] == {{I*CphiWtildeB*gc204*GW^2, 0}, {0, 0}, {I*CphiWtildeB*G1^2*gc204, 0}, {(-I)*CphiWB*gc204*GW^2, 0}, {0, 0}, {I*CphiWB*gc204*GW^2, 0}, {(-I)*CphiWB*G1^2*gc204, 0}, {0, 0}, {I*CphiWB*G1^2*gc204, 0}},

C[ -U[1] , U[31] , -V[3] ] == {{I*gc205, 0}, {0, 0}},

C[ -U[32] , U[1] , -V[3] ] == {{I*gc206, 0}, {0, 0}},

C[ -U[32] , U[2] , -V[3] ] == {{I*gc207, 0}, {0, 0}},

C[ -U[2] , U[31] , -V[3] ] == {{I*gc208, 0}, {0, 0}},

C[ S[2] , S[3] , -V[3] ] == {{gc209*(4 + 3*CphiD*Lam*vev^2), 0}, {gc209*(-4 + CphiD*Lam*vev^2), 0}},

C[ S[3] , S[1] , -V[3] ] == {{(-I)*gc210, 0}, {I*gc210, 0}},

C[ S[2] , S[3] , S[3] , -S[3] , V[1] , -V[3] ] == {{(2*CphiD*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[3] , S[3] , -S[3] , S[1] , V[1] , -V[3] ] == {{((2*I)*CphiD*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[3] , S[3] , -S[3] , V[1] , -V[3] ] == {{((2*I)*CphiD*G1*GW^2*Lam*vev)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , S[2] , S[3] , S[1] , -V[3] ] == {{I*gc214, 0}, {(-2*I)*gc214, 0}, {I*gc214, 0}, {0, 0}},

C[ S[2] , S[3] , S[1] , S[1] , -V[3] ] == {{-2*gc215, 0}, {gc215, 0}, {0, 0}, {gc215, 0}},

C[ S[2] , S[2] , S[3] , -V[3] ] == {{I*gc216, 0}, {I*gc216, 0}, {0, 0}},

C[ S[2] , S[3] , S[1] , -V[3] ] == {{-2*gc217, 0}, {0, 0}, {gc217, 0}},

C[ S[2] , S[3] , S[3] , -S[3] , -V[3] ] == {{0, 0}, {-2*gc218, 0}, {gc218, 0}, {gc218, 0}},

C[ S[3] , S[3] , -S[3] , S[1] , -V[3] ] == {{(-I)*gc219, 0}, {0, 0}, {(-I)*gc219, 0}, {(2*I)*gc219, 0}},

C[ S[3] , S[3] , -S[3] , -V[3] ] == {{(-I)*gc220, 0}, {(-I)*gc220, 0}, {(2*I)*gc220, 0}},

C[ S[2] , S[2] , S[3] , -S[3] , V[3] , -V[3] ] == {{I*CphiD*GW^2*Lam, 0}},

C[ S[3] , -S[3] , S[1] , S[1] , V[3] , -V[3] ] == {{I*CphiD*GW^2*Lam, 0}},

C[ S[3] , -S[3] , S[1] , V[3] , -V[3] ] == {{I*CphiD*GW^2*Lam*vev, 0}},

C[ S[2] , S[2] , S[3] , S[3] , -V[3] , -V[3] ] == {{(-2*I)*CphiD*GW^2*Lam, 0}},

C[ S[2] , S[3] , S[3] , S[1] , -V[3] , -V[3] ] == {{2*CphiD*GW^2*Lam, 0}},

C[ S[3] , S[3] , S[1] , S[1] , -V[3] , -V[3] ] == {{(2*I)*CphiD*GW^2*Lam, 0}},

C[ S[2] , S[3] , S[3] , -V[3] , -V[3] ] == {{2*CphiD*GW^2*Lam*vev, 0}},

C[ S[3] , S[3] , S[1] , -V[3] , -V[3] ] == {{(2*I)*CphiD*GW^2*Lam*vev, 0}},

C[ S[2] , S[2] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {(-I)*gc229, 0}, {(-I)*gc229, 0}, {(2*I)*gc229, 0}},

C[ S[3] , -S[3] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {(-I)*gc230, 0}, {(-I)*gc230, 0}, {(2*I)*gc230, 0}},

C[ S[1] , S[1] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {(-I)*gc231, 0}, {(-I)*gc231, 0}, {(2*I)*gc231, 0}},

C[ S[1] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {(-I)*gc232, 0}, {(-I)*gc232, 0}, {(2*I)*gc232, 0}},

C[ V[1] , V[1] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc233, 0}, {(-2*I)*gc233, 0}, {0, 0}, {I*gc233, 0}, {I*gc233, 0}, {0, 0}, {I*gc233, 0}, {I*gc233, 0}, {0, 0}, {I*gc233, 0}, {I*gc233, 0}, {(-2*I)*gc233, 0}, {0, 0}, {I*gc233, 0}, {I*gc233, 0}, {(-2*I)*gc233, 0}, {0, 0}, {(-2*I)*gc233, 0}, {(-2*I)*gc233, 0}, {(4*I)*gc233, 0}},

C[ V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {I*gc234*(G1^2*GW + GW^3 + 2*CphiWB*G1^3*Lam*vev^2), 0}, {0, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {I*gc234*(G1^2*GW + GW^3 + 2*CphiWB*G1^3*Lam*vev^2), 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*gc234*(G1^2*GW + GW^3 + 2*CphiWB*G1^3*Lam*vev^2), 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc234*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc234*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {0, 0}, {(2*I)*CWtilde*gc235, 0}, {(2*I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc235, 0}, {(-2*I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc235, 0}, {(-I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc235, 0}, {I*CWtilde*gc235, 0}, {(-2*I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc235, 0}, {(-2*I)*CWtilde*gc235, 0}, {(-2*I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc235, 0}, {(-2*I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc235, 0}, {(3*I)*CW*gc235, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc235, 0}, {(-3*I)*CW*gc235, 0}, {0, 0}, {(6*I)*CW*gc235, 0}, {(-3*I)*CW*gc235, 0}, {(-I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc235, 0}, {0, 0}, {(3*I)*CW*gc235, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc235, 0}, {(-3*I)*CW*gc235, 0}, {0, 0}, {(-3*I)*CW*gc235, 0}, {(6*I)*CW*gc235, 0}, {I*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc235, 0}, {(-3*I)*CW*gc235, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc235, 0}, {(3*I)*CW*gc235, 0}, {0, 0}, {(-6*I)*CW*gc235, 0}, {(3*I)*CW*gc235, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc235, 0}, {(-3*I)*CW*gc235, 0}, {I*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc235, 0}, {0, 0}, {(-3*I)*CW*gc235, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc235, 0}, {(3*I)*CW*gc235, 0}, {0, 0}, {(3*I)*CW*gc235, 0}, {(-6*I)*CW*gc235, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc235, 0}, {(3*I)*CW*gc235, 0}, {(-2*I)*CWtilde*gc235, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc235, 0}, {(-2*I)*CWtilde*gc235, 0}, {(6*I)*CW*gc235, 0}, {0, 0}, {(-3*I)*CW*gc235, 0}, {(-3*I)*CW*gc235, 0}, {(-6*I)*CW*gc235, 0}, {0, 0}, {(3*I)*CW*gc235, 0}, {(3*I)*CW*gc235, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] , V[2] ] == {{0, 0}, {(2*I)*CWtilde*gc236, 0}, {(2*I)*CWtilde*gc236, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc236, 0}, {(-2*I)*CWtilde*gc236, 0}, {0, 0}, {(-2*I)*CWtilde*gc236, 0}, {(-2*I)*CWtilde*gc236, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc236, 0}, {(2*I)*CWtilde*gc236, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc236, 0}, {(2*I)*CWtilde*gc236, 0}, {0, 0}, {(-2*I)*CWtilde*gc236, 0}, {(-I)*CWtilde*gc236, 0}, {(-2*I)*CWtilde*gc236, 0}, {(-I)*CWtilde*gc236, 0}, {0, 0}, {(-2*I)*CWtilde*gc236, 0}, {(-I)*CWtilde*gc236, 0}, {(-I)*CWtilde*gc236, 0}, {(-2*I)*CWtilde*gc236, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc236, 0}, {(-I)*CWtilde*gc236, 0}, {0, 0}, {(-I)*CWtilde*gc236, 0}, {(-2*I)*CWtilde*gc236, 0}, {(-2*I)*CWtilde*gc236, 0}, {(-I)*CWtilde*gc236, 0}, {0, 0}, {(3*I)*CW*gc236, 0}, {(3*I)*CW*gc236, 0}, {(-3*I)*CW*gc236, 0}, {(-3*I)*CW*gc236, 0}, {(-3*I)*CW*gc236, 0}, {0, 0}, {(3*I)*CW*gc236, 0}, {0, 0}, {(-I)*CWtilde*gc236, 0}, {(-2*I)*CWtilde*gc236, 0}, {(-I)*CWtilde*gc236, 0}, {(-2*I)*CWtilde*gc236, 0}, {0, 0}, {(3*I)*CW*gc236, 0}, {(3*I)*CW*gc236, 0}, {(-3*I)*CW*gc236, 0}, {(-3*I)*CW*gc236, 0}, {(-3*I)*CW*gc236, 0}, {0, 0}, {(3*I)*CW*gc236, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc236, 0}, {(-I)*CWtilde*gc236, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc236, 0}, {(3*I)*CW*gc236, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc236, 0}, {(3*I)*CW*gc236, 0}, {0, 0}, {(2*I)*CWtilde*gc236, 0}, {(-2*I)*CWtilde*gc236, 0}, {0, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc236, 0}, {(-6*I)*CW*gc236, 0}, {(6*I)*CW*gc236, 0}, {(6*I)*CW*gc236, 0}, {(6*I)*CW*gc236, 0}, {(-3*I)*CW*gc236, 0}, {(-3*I)*CW*gc236, 0}, {0, 0}, {(6*I)*CW*gc236, 0}, {(-3*I)*CW*gc236, 0}, {(-3*I)*CW*gc236, 0}, {0, 0}, {(-I)*CWtilde*gc236, 0}, {I*CWtilde*gc236, 0}, {0, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc236, 0}, {(3*I)*CW*gc236, 0}, {(-6*I)*CW*gc236, 0}, {0, 0}, {(-3*I)*CW*gc236, 0}, {(3*I)*CW*gc236, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc236, 0}, {(3*I)*CW*gc236, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc236, 0}, {I*CWtilde*gc236, 0}, {0, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc236, 0}, {(3*I)*CW*gc236, 0}, {(-6*I)*CW*gc236, 0}, {0, 0}, {(-3*I)*CW*gc236, 0}, {0, 0}, {(3*I)*CW*gc236, 0}, {0, 0}, {(-3*I)*CW*gc236, 0}, {0, 0}, {(3*I)*CW*gc236, 0}, {0, 0}},

C[ V[1] , V[3] , V[3] , -V[3] , -V[3] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc237, 0}, {I*gc237, 0}, {0, 0}, {(-2*I)*gc237, 0}, {I*gc237, 0}, {0, 0}, {I*gc237, 0}, {I*gc237, 0}, {0, 0}, {(4*I)*gc237, 0}, {(-2*I)*gc237, 0}, {(-2*I)*gc237, 0}, {0, 0}, {(-2*I)*gc237, 0}, {I*gc237, 0}, {I*gc237, 0}, {0, 0}, {(-2*I)*gc237, 0}, {I*gc237, 0}, {I*gc237, 0}},

C[ S[2] , S[2] , V[1] , V[3] , -V[3] , V[2] ] == {{0, 0}, {(-2*I)*gc238, 0}, {I*gc238, 0}, {I*gc238, 0}},

C[ S[3] , -S[3] , V[1] , V[3] , -V[3] , V[2] ] == {{0, 0}, {(-2*I)*gc239, 0}, {I*gc239, 0}, {I*gc239, 0}},

C[ S[1] , S[1] , V[1] , V[3] , -V[3] , V[2] ] == {{0, 0}, {(-2*I)*gc240, 0}, {I*gc240, 0}, {I*gc240, 0}},

C[ S[1] , V[1] , V[3] , -V[3] , V[2] ] == {{0, 0}, {(-2*I)*gc241, 0}, {I*gc241, 0}, {I*gc241, 0}},

C[ S[2] , -S[3] , V[3] , V[2] , V[2] ] == {{0, 0}, {-(CphiWtildeB*gc242), 0}, {CphiWtildeB*gc242, 0}, {0, 0}, {-(CphiWB*gc242), 0}, {0, 0}, {-(CphiWB*gc242), 0}, {CphiWB*gc242, 0}, {CphiWB*gc242, 0}},

C[ -S[3] , S[1] , V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*CphiWtildeB*gc243, 0}, {I*CphiWtildeB*gc243, 0}, {0, 0}, {(-I)*CphiWB*gc243, 0}, {0, 0}, {(-I)*CphiWB*gc243, 0}, {I*CphiWB*gc243, 0}, {I*CphiWB*gc243, 0}},

C[ -S[3] , V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*CphiWtildeB*gc244, 0}, {I*CphiWtildeB*gc244, 0}, {0, 0}, {(-I)*CphiWB*gc244, 0}, {0, 0}, {(-I)*CphiWB*gc244, 0}, {I*CphiWB*gc244, 0}, {I*CphiWB*gc244, 0}},

C[ S[2] , S[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {-(CphiWtildeB*gc245), 0}, {CphiWtildeB*gc245, 0}, {0, 0}, {-(CphiWB*gc245), 0}, {0, 0}, {-(CphiWB*gc245), 0}, {CphiWB*gc245, 0}, {CphiWB*gc245, 0}},

C[ S[3] , S[1] , -V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*CphiWtildeB*gc246, 0}, {I*CphiWtildeB*gc246, 0}, {0, 0}, {(-I)*CphiWB*gc246, 0}, {0, 0}, {(-I)*CphiWB*gc246, 0}, {I*CphiWB*gc246, 0}, {I*CphiWB*gc246, 0}},

C[ S[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*CphiWtildeB*gc247, 0}, {I*CphiWtildeB*gc247, 0}, {0, 0}, {(-I)*CphiWB*gc247, 0}, {0, 0}, {(-I)*CphiWB*gc247, 0}, {I*CphiWB*gc247, 0}, {I*CphiWB*gc247, 0}},

C[ -U[32] , U[32] , V[2] ] == {{I*gc248, 0}, {0, 0}},

C[ -U[31] , U[31] , V[2] ] == {{I*gc249, 0}, {0, 0}},

C[ S[2] , S[1] , V[2] ] == {{gc250*(-(CphiWB*G1*GW*Lam*vev^2) - G1^2*(1 + CphiBox*Lam*vev^2 + CphiD*Lam*vev^2) - GW^2*(1 + CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)), 0}, {gc250*(CphiWB*G1*GW*Lam*vev^2 + G1^2*(1 + CphiBox*Lam*vev^2) + GW^2*(1 + CphiBox*Lam*vev^2)), 0}},

C[ S[3] , -S[3] , V[2] ] == {{(-I)*gc251, 0}, {I*gc251, 0}},

C[ S[2] , S[2] , S[3] , -S[3] , V[1] , V[2] ] == {{(-I)*CphiD*G1*GW*Lam, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , V[1] , V[2] ] == {{((-4*I)*CphiD*G1*(G1 - GW)*GW*(G1 + GW)*Lam)/(G1^2 + GW^2), 0}},

C[ S[3] , -S[3] , S[1] , S[1] , V[1] , V[2] ] == {{(-I)*CphiD*G1*GW*Lam, 0}},

C[ S[3] , -S[3] , S[1] , V[1] , V[2] ] == {{(-I)*CphiD*G1*GW*Lam*vev, 0}},

C[ S[2] , S[2] , S[2] , S[1] , V[2] ] == {{gc256, 0}, {-3*gc256, 0}, {gc256, 0}, {gc256, 0}},

C[ S[2] , S[3] , -S[3] , S[1] , V[2] ] == {{-gc257, 0}, {gc257, 0}, {0, 0}, {0, 0}},

C[ S[2] , S[1] , S[1] , S[1] , V[2] ] == {{-3*gc258, 0}, {gc258, 0}, {gc258, 0}, {gc258, 0}},

C[ S[2] , S[2] , S[2] , V[2] ] == {{gc259, 0}, {gc259, 0}, {gc259, 0}},

C[ S[2] , S[3] , -S[3] , V[2] ] == {{gc260, 0}, {0, 0}, {0, 0}},

C[ S[2] , S[1] , S[1] , V[2] ] == {{-3*gc261, 0}, {gc261, 0}, {gc261, 0}},

C[ S[2] , S[2] , S[3] , -S[3] , V[2] ] == {{0, 0}, {(-I)*gc262, 0}, {0, 0}, {I*gc262, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , V[2] ] == {{(-I)*gc263, 0}, {I*gc263, 0}, {(-I)*gc263, 0}, {I*gc263, 0}},

C[ S[3] , -S[3] , S[1] , S[1] , V[2] ] == {{(-I)*gc264, 0}, {0, 0}, {I*gc264, 0}, {0, 0}},

C[ S[3] , -S[3] , S[1] , V[2] ] == {{(-I)*gc265, 0}, {I*gc265, 0}, {0, 0}},

C[ S[2] , S[2] , S[2] , -S[3] , V[3] , V[2] ] == {{(3*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam)/2, 0}},

C[ S[2] , S[3] , -S[3] , -S[3] , V[3] , V[2] ] == {{(CphiD*(G1 - GW)*GW*(G1 + GW)*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , S[2] , -S[3] , S[1] , V[3] , V[2] ] == {{(-I/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam, 0}},

C[ S[3] , -S[3] , -S[3] , S[1] , V[3] , V[2] ] == {{((-I)*CphiD*(G1 - GW)*GW*(G1 + GW)*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , -S[3] , S[1] , S[1] , V[3] , V[2] ] == {{(CphiD*GW*Sqrt[G1^2 + GW^2]*Lam)/2, 0}},

C[ -S[3] , S[1] , S[1] , S[1] , V[3] , V[2] ] == {{((-3*I)/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam, 0}},

C[ S[2] , S[2] , -S[3] , V[3] , V[2] ] == {{(-I/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev, 0}},

C[ S[3] , -S[3] , -S[3] , V[3] , V[2] ] == {{((-I)*CphiD*(G1 - GW)*GW*(G1 + GW)*Lam*vev)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , -S[3] , S[1] , V[3] , V[2] ] == {{(CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev)/2, 0}},

C[ -S[3] , S[1] , S[1] , V[3] , V[2] ] == {{((-3*I)/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev, 0}},

C[ S[2] , S[2] , S[2] , S[3] , -V[3] , V[2] ] == {{(-3*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam)/2, 0}},

C[ S[2] , S[3] , S[3] , -S[3] , -V[3] , V[2] ] == {{-((CphiD*(G1 - GW)*GW*(G1 + GW)*Lam)/Sqrt[G1^2 + GW^2]), 0}},

C[ S[2] , S[2] , S[3] , S[1] , -V[3] , V[2] ] == {{(-I/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam, 0}},

C[ S[3] , S[3] , -S[3] , S[1] , -V[3] , V[2] ] == {{((-I)*CphiD*(G1 - GW)*GW*(G1 + GW)*Lam)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , S[3] , S[1] , S[1] , -V[3] , V[2] ] == {{-(CphiD*GW*Sqrt[G1^2 + GW^2]*Lam)/2, 0}},

C[ S[3] , S[1] , S[1] , S[1] , -V[3] , V[2] ] == {{((-3*I)/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam, 0}},

C[ S[2] , S[2] , S[3] , -V[3] , V[2] ] == {{(-I/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev, 0}},

C[ S[3] , S[3] , -S[3] , -V[3] , V[2] ] == {{((-I)*CphiD*(G1 - GW)*GW*(G1 + GW)*Lam*vev)/Sqrt[G1^2 + GW^2], 0}},

C[ S[2] , S[3] , S[1] , -V[3] , V[2] ] == {{-(CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev)/2, 0}},

C[ S[3] , S[1] , S[1] , -V[3] , V[2] ] == {{((-3*I)/2)*CphiD*GW*Sqrt[G1^2 + GW^2]*Lam*vev, 0}},

C[ S[2] , S[2] , S[2] , S[2] , V[2] , V[2] ] == {{3*CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam, 0}},

C[ S[2] , S[2] , S[3] , -S[3] , V[2] , V[2] ] == {{I*CphiD*(G1 - GW)*(G1 + GW)*Lam, 0}},

C[ S[3] , S[3] , -S[3] , -S[3] , V[2] , V[2] ] == {{((2*I)*CphiD*(G1 - GW)^2*(G1 + GW)^2*Lam)/(G1^2 + GW^2), 0}},

C[ S[2] , S[2] , S[1] , S[1] , V[2] , V[2] ] == {{CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam, 0}},

C[ S[3] , -S[3] , S[1] , S[1] , V[2] , V[2] ] == {{I*CphiD*(G1 - GW)*(G1 + GW)*Lam, 0}},

C[ S[1] , S[1] , S[1] , S[1] , V[2] , V[2] ] == {{3*CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam, 0}},

C[ S[2] , S[2] , S[1] , V[2] , V[2] ] == {{CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam*vev, 0}},

C[ S[3] , -S[3] , S[1] , V[2] , V[2] ] == {{I*CphiD*(G1 - GW)*(G1 + GW)*Lam*vev, 0}},

C[ S[1] , S[1] , S[1] , V[2] , V[2] ] == {{3*CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam*vev, 0}},

C[ S[2] , S[2] , V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*gc295, 0}, {(-I)*gc295, 0}, {(2*I)*gc295, 0}},

C[ S[3] , -S[3] , V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*gc296, 0}, {(-I)*gc296, 0}, {(2*I)*gc296, 0}},

C[ S[1] , S[1] , V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*gc297, 0}, {(-I)*gc297, 0}, {(2*I)*gc297, 0}},

C[ S[1] , V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*gc298, 0}, {(-I)*gc298, 0}, {(2*I)*gc298, 0}},

C[ V[3] , -V[3] , V[2] , V[2] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc299, 0}, {(2*I)*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc299, 0}, {(-2*I)*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc299, 0}, {(-2*I)*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc299, 0}, {(-I)*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc299, 0}, {0, 0}, {(-I)*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc299, 0}, {(-I)*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc299, 0}, {I*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc299, 0}, {(-3*I)*CW*gc299, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc299, 0}, {(-3*I)*CW*gc299, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc299, 0}, {0, 0}, {I*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc299, 0}, {(3*I)*CW*gc299, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc299, 0}, {(-3*I)*CW*gc299, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc299, 0}, {I*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc299, 0}, {(3*I)*CW*gc299, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc299, 0}, {(3*I)*CW*gc299, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc299, 0}, {(-2*I)*CWtilde*gc299, 0}, {(-2*I)*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc299, 0}, {(-3*I)*CW*gc299, 0}, {(6*I)*CW*gc299, 0}, {0, 0}, {(3*I)*CW*gc299, 0}, {(3*I)*CW*gc299, 0}, {(-6*I)*CW*gc299, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc299, 0}, {(-2*I)*CWtilde*gc299, 0}, {(-2*I)*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc299, 0}, {(6*I)*CW*gc299, 0}, {(-3*I)*CW*gc299, 0}, {0, 0}, {(3*I)*CW*gc299, 0}, {(-6*I)*CW*gc299, 0}, {(3*I)*CW*gc299, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc299, 0}, {(-2*I)*CWtilde*gc299, 0}, {(-2*I)*CWtilde*gc299, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc299, 0}, {(-3*I)*CW*gc299, 0}, {(-3*I)*CW*gc299, 0}, {0, 0}, {(-6*I)*CW*gc299, 0}, {(3*I)*CW*gc299, 0}, {(3*I)*CW*gc299, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc300, 0}, {(-2*I)*gc300, 0}, {0, 0}, {I*gc300, 0}, {I*gc300, 0}, {0, 0}, {I*gc300, 0}, {I*gc300, 0}, {0, 0}, {I*gc300, 0}, {I*gc300, 0}, {(-2*I)*gc300, 0}, {0, 0}, {I*gc300, 0}, {I*gc300, 0}, {(-2*I)*gc300, 0}, {0, 0}, {(-2*I)*gc300, 0}, {(-2*I)*gc300, 0}, {(4*I)*gc300, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , V[1] ] == {{I*gc301*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {I*gc301*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {(I*gc301*(G1^2 + GW^2)*Lam*vev*(-(GW*Conjugate[CeB[e2x2, e1x2]]) + G1*Conjugate[CeW[e2x2, e1x2]]))/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {(I*gc301*(G1^2 + GW^2)*Lam*vev*(-(GW*CeB[e1x2, e2x2]) + G1*CeW[e1x2, e2x2]))/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {((-I)*gc301*(G1^2 + GW^2)*Lam*vev*(-(GW*Conjugate[CeB[e2x2, e1x2]]) + G1*Conjugate[CeW[e2x2, e1x2]]))/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {((-I)*gc301*(G1^2 + GW^2)*Lam*vev*(-(GW*CeB[e1x2, e2x2]) + G1*CeW[e1x2, e2x2]))/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[1] ] == {{I*gc302*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc302*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(((3*I)/2)*gc302*(G1^2 + GW^2)*Lam*vev*(GW*Conjugate[CuB[e2x2, e1x2]] + G1*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {(((3*I)/2)*gc302*(G1^2 + GW^2)*Lam*vev*(GW*CuB[e1x2, e2x2] + G1*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {(((-3*I)/2)*gc302*(G1^2 + GW^2)*Lam*vev*(GW*Conjugate[CuB[e2x2, e1x2]] + G1*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {(((-3*I)/2)*gc302*(G1^2 + GW^2)*Lam*vev*(GW*CuB[e1x2, e2x2] + G1*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[1] ] == {{I*gc303*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc303*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((3*I)*gc303*(G1^2 + GW^2)*Lam*vev*(-(GW*Conjugate[CdB[e2x2, e1x2]]) + G1*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {((3*I)*gc303*(G1^2 + GW^2)*Lam*vev*(-(GW*CdB[e1x2, e2x2]) + G1*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {((-3*I)*gc303*(G1^2 + GW^2)*Lam*vev*(-(GW*Conjugate[CdB[e2x2, e1x2]]) + G1*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {((-3*I)*gc303*(G1^2 + GW^2)*Lam*vev*(-(GW*CdB[e1x2, e2x2]) + G1*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[4, {e3x2}] ] == {{I*gc304*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc304*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(I*gc304*Lam*vev*Conjugate[CuG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {(I*gc304*Lam*vev*CuG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {((-I)*gc304*Lam*vev*Conjugate[CuG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {((-I)*gc304*Lam*vev*CuG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[4, {e3x2}] ] == {{I*gc305*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc305*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(I*gc305*Lam*vev*Conjugate[CdG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {(I*gc305*Lam*vev*CdG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {((-I)*gc305*Lam*vev*Conjugate[CdG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {((-I)*gc305*Lam*vev*CdG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[3] ] == {{I*gc306[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((I/2)*Lam*vev^2*Cphiud[e1x2, e2x2]*gc306[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + Kq[e1x2, e2x2]), 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc306[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + GW*Kq[e1x2, e2x2]), 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc306[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + GW*Kq[e1x2, e2x2]), 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc306[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + GW*Kq[e1x2, e2x2]), 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc306[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + GW*Kq[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -V[3] ] == {{I*gc307[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((I/2)*Lam*vev^2*Conjugate[Cphiud[e2x2, e1x2]]*gc307[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(Conjugate[Kq[e2x2, e1x2]] + Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc307[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}])/(GW*Conjugate[Kq[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc307[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Conjugate[Kq[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc307[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}])/(GW*Conjugate[Kq[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc307[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Conjugate[Kq[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , V[3] ] == {{I*gc308[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc308[e1x2, e2x2]*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/(GW*Conjugate[Ul[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc308[e1x2, e2x2]*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/(GW*Conjugate[Ul[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -V[3] ] == {{I*gc309[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc309[e1x2, e2x2]*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}] + GW*Ul[e1x2, e2x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc309[e1x2, e2x2]*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}] + GW*Ul[e1x2, e2x2]), 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[2] ] == {{I*gc310*IndexDelta[e1x3, e2x3]*((G1^4 - 2*G1^2*GW^2 - 3*GW^4 - 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}])), 0}, {0, 0}, {I*gc310*(3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiu[e1x2, e2x2] + 4*G1*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(3*I)*Sqrt[2]*gc310*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CuB[e2x2, e1x2]] - GW*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(3*I)*Sqrt[2]*gc310*(G1^2 + GW^2)*Lam*vev*(G1*CuB[e1x2, e2x2] - GW*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-3*I)*Sqrt[2]*gc310*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CuB[e2x2, e1x2]] - GW*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-3*I)*Sqrt[2]*gc310*(G1^2 + GW^2)*Lam*vev*(G1*CuB[e1x2, e2x2] - GW*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[2] ] == {{(I*gc311[e1x2, e2x2]*(3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2] + (G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}, {(I*gc311[e1x2, e2x2]*(3*(G1^2 + GW^2)^2*Lam*vev^2*Cphid[e1x2, e2x2] - 2*G1*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}, {((3*I)*Sqrt[2]*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CdB[e2x2, e1x2]] + GW*Conjugate[CdW[e2x2, e1x2]])*gc311[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}, {((3*I)*Sqrt[2]*(G1^2 + GW^2)*Lam*vev*(G1*CdB[e1x2, e2x2] + GW*CdW[e1x2, e2x2])*gc311[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}, {((-3*I)*Sqrt[2]*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CdB[e2x2, e1x2]] + GW*Conjugate[CdW[e2x2, e1x2]])*gc311[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}, {((-3*I)*Sqrt[2]*(G1^2 + GW^2)*Lam*vev*(G1*CdB[e1x2, e2x2] + GW*CdW[e1x2, e2x2])*gc311[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , V[2] ] == {{(-I)*gc312*((G1^2 + GW^2 + CphiWB*G1*GW*Lam*vev^2)*IndexDelta[e1x2, e2x2] - (G1^2 + GW^2)*Lam*vev^2*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , V[2] ] == {{(-I)*gc313*((G1^2 + GW^2)^2*Lam*vev^2*(Cphil1[e1x2, e2x2] + Cphil3[e1x2, e2x2]) - (G1^2 - GW^2)*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*IndexDelta[e1x2, e2x2]), 0}, {0, 0}, {(-I)*gc313*((G1^2 + GW^2)^2*Lam*vev^2*Cphie[e1x2, e2x2] - 2*G1*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc313*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CeB[e2x2, e1x2]] + GW*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc313*(G1^2 + GW^2)*Lam*vev*(G1*CeB[e1x2, e2x2] + GW*CeW[e1x2, e2x2]), 0}, {0, 0}, {I*Sqrt[2]*gc313*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CeB[e2x2, e1x2]] + GW*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {I*Sqrt[2]*gc313*(G1^2 + GW^2)*Lam*vev*(G1*CeB[e1x2, e2x2] + GW*CeW[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , -F[2, {e3x2}] , F[2, {e2x2}] , F[2, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc314*(Cll[e1x2, e4x2, e3x2, e2x2] + Cll[e3x2, e2x2, e1x2, e4x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc314*(Cll[e1x2, e2x2, e3x2, e4x2] + Cll[e3x2, e4x2, e1x2, e2x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc314*Cle[e3x2, e4x2, e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc314*Cle[e3x2, e2x2, e1x2, e4x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc314*Cle[e1x2, e4x2, e3x2, e2x2], 0}, {0, 0}, {I*gc314*Cle[e1x2, e2x2, e3x2, e4x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc314*(Cee[e1x2, e4x2, e3x2, e2x2] + Cee[e3x2, e2x2, e1x2, e4x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc314*(Cee[e1x2, e2x2, e3x2, e4x2] + Cee[e3x2, e4x2, e1x2, e2x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , -F[1, {e3x2}] , F[2, {e2x2}] , F[1, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc315*(IndexSum[IndexSum[Cll[e1x2, e2x2, Generation$1, Generation$2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Cll[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc315*IndexSum[IndexSum[Cle[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , -F[1, {e3x2}] , F[1, {e2x2}] , F[1, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc316*(IndexSum[IndexSum[Conjugate[Ul[Generation$3, e3x2]]*IndexSum[IndexSum[Cll[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}], {Generation$3, 1, 3}]*Ul[Generation$4, e2x2], {Generation$4, 1, 3}] + IndexSum[IndexSum[Conjugate[Ul[Generation$3, e1x2]]*IndexSum[IndexSum[Cll[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}], {Generation$3, 1, 3}]*Ul[Generation$4, e4x2], {Generation$4, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc316*(IndexSum[IndexSum[Conjugate[Ul[Generation$3, e1x2]]*IndexSum[IndexSum[Cll[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}], {Generation$3, 1, 3}]*Ul[Generation$4, e2x2], {Generation$4, 1, 3}] + IndexSum[IndexSum[Conjugate[Ul[Generation$3, e3x2]]*IndexSum[IndexSum[Cll[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}], {Generation$3, 1, 3}]*Ul[Generation$4, e4x2], {Generation$4, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[1, {e3x2}] , F[4, {e2x2, e2x3}] , F[1, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc317*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Clq1[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Clq3[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc317*IndexDelta[e1x3, e2x3]*IndexSum[IndexSum[Cld[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , -F[1, {e3x2}] , F[3, {e2x2, e2x3}] , F[1, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc318*IndexDelta[e1x3, e2x3]*(IndexSum[Conjugate[Kq[e2x2, Generation$4]]*IndexSum[IndexSum[IndexSum[Clq1[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}], {Generation$4, 1, 3}] + IndexSum[Conjugate[Kq[e2x2, Generation$4]]*IndexSum[IndexSum[IndexSum[Clq3[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}], {Generation$4, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc318*IndexDelta[e1x3, e2x3]*IndexSum[IndexSum[Clu[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[4, {e3x2, e3x3}] , F[4, {e2x2, e2x3}] , F[4, {e4x2, e4x3}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc319*(Cqq1[e1x2, e4x2, e3x2, e2x2] + Cqq1[e3x2, e2x2, e1x2, e4x2] + Cqq3[e1x2, e4x2, e3x2, e2x2] + Cqq3[e3x2, e2x2, e1x2, e4x2])*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc319*(Cqq1[e1x2, e2x2, e3x2, e4x2] + Cqq1[e3x2, e4x2, e1x2, e2x2] + Cqq3[e1x2, e2x2, e3x2, e4x2] + Cqq3[e3x2, e4x2, e1x2, e2x2])*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc319*(6*Cqd1[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3] + Cqd8[e3x2, e4x2, e1x2, e2x2]*(3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] - IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc319*(6*Cqd1[e3x2, e2x2, e1x2, e4x2]*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] + Cqd8[e3x2, e2x2, e1x2, e4x2]*(-(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc319*(6*Cqd1[e1x2, e4x2, e3x2, e2x2]*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] + Cqd8[e1x2, e4x2, e3x2, e2x2]*(-(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {I*gc319*(6*Cqd1[e1x2, e2x2, e3x2, e4x2]*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3] + Cqd8[e1x2, e2x2, e3x2, e4x2]*(3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] - IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc319*(Cdd[e1x2, e4x2, e3x2, e2x2] + Cdd[e3x2, e2x2, e1x2, e4x2])*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc319*(Cdd[e1x2, e2x2, e3x2, e4x2] + Cdd[e3x2, e4x2, e1x2, e2x2])*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , -F[3, {e3x2, e3x3}] , F[3, {e2x2, e2x3}] , F[3, {e4x2, e4x3}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc320*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq1[Generation$3, Generation$1, Generation$4, Generation$2], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e3x2, Generation$3], {Generation$3, 1, 3}]*Kq[e1x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq3[Generation$3, Generation$1, Generation$4, Generation$2], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e3x2, Generation$3], {Generation$3, 1, 3}]*Kq[e1x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq1[Generation$3, Generation$2, Generation$4, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}]*Kq[e3x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq3[Generation$3, Generation$2, Generation$4, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}]*Kq[e3x2, Generation$4], {Generation$4, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc320*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq1[Generation$3, Generation$2, Generation$4, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e3x2, Generation$3], {Generation$3, 1, 3}]*Kq[e1x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq3[Generation$3, Generation$2, Generation$4, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e3x2, Generation$3], {Generation$3, 1, 3}]*Kq[e1x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq1[Generation$3, Generation$1, Generation$4, Generation$2], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}]*Kq[e3x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq3[Generation$3, Generation$1, Generation$4, Generation$2], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}]*Kq[e3x2, Generation$4], {Generation$4, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc320*(IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(6*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu1[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]) + 3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc320*(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(6*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu1[Generation$2, Generation$1, e1x2, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e1x2, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e1x2, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc320*(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(6*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu1[Generation$2, Generation$1, e3x2, e2x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e3x2, e2x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e3x2, e2x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {I*gc320*(IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(6*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu1[Generation$2, Generation$1, e3x2, e4x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e3x2, e4x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]) + 3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e3x2, e4x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc320*(Cuu[e1x2, e4x2, e3x2, e2x2] + Cuu[e3x2, e2x2, e1x2, e4x2])*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc320*(Cuu[e1x2, e2x2, e3x2, e4x2] + Cuu[e3x2, e4x2, e1x2, e2x2])*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[3] , -S[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc321[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc321[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[2] , S[1] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {-gc322[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {gc322[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {-(Lam*vev*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}])), 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[3] , -S[3] , V[1] ] == {{I*gc324[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , -S[3] , V[1] ] == {{I*gc325*(Cphil1[e1x2, e2x2] - Cphil3[e1x2, e2x2]), 0}, {0, 0}, {I*gc325*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , V[1] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc326*(GW*Conjugate[CeB[e2x2, e1x2]] - G1*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {I*gc326*(GW*CeB[e1x2, e2x2] - G1*CeW[e1x2, e2x2]), 0}, {0, 0}, {(-I)*gc326*(GW*Conjugate[CeB[e2x2, e1x2]] - G1*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {(-I)*gc326*(GW*CeB[e1x2, e2x2] - G1*CeW[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[3] , -S[3] , V[2] ] == {{I*gc327[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , -S[3] , V[2] ] == {{I*gc328*(Cphil1[e1x2, e2x2] - Cphil3[e1x2, e2x2]), 0}, {0, 0}, {I*gc328*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[2] , S[2] , V[2] ] == {{I*gc329[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[1] , S[1] , V[2] ] == {{I*gc330[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[1] , V[2] ] == {{I*gc331[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[2] , V[2] ] == {{I*gc332*(Cphil1[e1x2, e2x2] + Cphil3[e1x2, e2x2]), 0}, {0, 0}, {I*gc332*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , S[1] , V[2] ] == {{I*gc333*(Cphil1[e1x2, e2x2] + Cphil3[e1x2, e2x2]), 0}, {0, 0}, {I*gc333*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , V[2] ] == {{(-I)*Sqrt[2]*gc334*(G1^2 + GW^2)*vev*(Cphil1[e1x2, e2x2] + Cphil3[e1x2, e2x2]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc334*(G1^2 + GW^2)*vev*Cphie[e1x2, e2x2], 0}, {0, 0}, {(-I)*gc334*(G1*Conjugate[CeB[e2x2, e1x2]] + GW*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {(-I)*gc334*(G1*CeB[e1x2, e2x2] + GW*CeW[e1x2, e2x2]), 0}, {0, 0}, {I*gc334*(G1*Conjugate[CeB[e2x2, e1x2]] + GW*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {I*gc334*(G1*CeB[e1x2, e2x2] + GW*CeW[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[2] , -S[3] , V[3] ] == {{gc335[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , -S[3] , S[1] , V[3] ] == {{I*gc336[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , -S[3] , V[3] ] == {{I*gc337[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , -S[3] , V[3] ] == {{gc338*Cphil1[e1x2, e2x2], 0}, {0, 0}, {gc338*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , -S[3] , S[1] , V[3] ] == {{I*gc339*Cphil1[e1x2, e2x2], 0}, {0, 0}, {I*gc339*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , -S[3] , V[3] ] == {{(-I)*gc340*GW*vev*Cphil1[e1x2, e2x2], 0}, {0, 0}, {(-I)*gc340*GW*vev*Cphie[e1x2, e2x2], 0}, {0, 0}, {(-I)*Sqrt[2]*gc340*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {0, 0}, {0, 0}, {I*Sqrt[2]*gc340*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[2] , S[3] , -V[3] ] == {{gc341[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[3] , S[1] , -V[3] ] == {{I*gc342[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[3] , -V[3] ] == {{I*gc343[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , S[3] , -V[3] ] == {{gc344*Cphil1[e1x2, e2x2], 0}, {0, 0}, {gc344*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , S[1] , -V[3] ] == {{I*gc345*Cphil1[e1x2, e2x2], 0}, {0, 0}, {I*gc345*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , -V[3] ] == {{(-I)*gc346*GW*vev*Cphil1[e1x2, e2x2], 0}, {0, 0}, {(-I)*gc346*GW*vev*Cphie[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*Sqrt[2]*gc346*CeW[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*Sqrt[2]*gc346*CeW[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[2] , S[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {-gc347[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {gc347[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[2] , -S[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {-gc348[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {gc348[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[2] , -S[3] , V[1] ] == {{gc349[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -S[3] , S[1] , V[1] ] == {{I*gc350[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -S[3] , V[1] ] == {{(-I)*Sqrt[2]*G1*gc351*GW*vev*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc351*(GW*IndexSum[Conjugate[CeB[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}] + G1*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc351*(GW*IndexSum[Conjugate[CeB[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}] + G1*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[2] , S[3] , V[1] ] == {{gc352[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] , S[1] , V[1] ] == {{I*gc353[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] , V[1] ] == {{(-I)*Sqrt[2]*G1*gc354*GW*vev*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc354*(GW*IndexSum[CeB[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}] + G1*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc354*(GW*IndexSum[CeB[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}] + G1*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[2] , -S[3] , V[2] ] == {{gc355[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -S[3] , S[1] , V[2] ] == {{I*gc356[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -S[3] , V[2] ] == {{I*Sqrt[2]*G1^2*gc357*vev*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc357*(G1*IndexSum[Conjugate[CeB[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}] - GW*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc357*(G1*IndexSum[Conjugate[CeB[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}] - GW*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[2] , S[3] , V[2] ] == {{gc358[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] , S[1] , V[2] ] == {{I*gc359[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] , V[2] ] == {{I*Sqrt[2]*G1^2*gc360*vev*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc360*(G1*IndexSum[CeB[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}] - GW*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc360*(G1*IndexSum[CeB[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}] - GW*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[3] , -S[3] , -V[3] ] == {{I*gc361[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[2] , S[2] , V[3] ] == {{I*gc362[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[1] , S[1] , V[3] ] == {{I*gc363[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[1] , V[3] ] == {{(-I)*Sqrt[2]*gc364*GW*vev*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc364*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc364*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] , -S[3] , V[3] ] == {{I*gc365[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[2] , S[2] , -V[3] ] == {{I*gc366[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[1] , S[1] , -V[3] ] == {{I*gc367[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[1] , -V[3] ] == {{(-I)*Sqrt[2]*gc368*GW*vev*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc368*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc368*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[3] , -S[3] , V[1] ] == {{I*gc369*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {I*gc369*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , -S[3] , V[1] ] == {{I*gc370*(Cphiq1[e1x2, e2x2] - Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc370*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[1] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc371*(GW*Conjugate[CuB[e2x2, e1x2]] + G1*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc371*(GW*CuB[e1x2, e2x2] + G1*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc371*(GW*Conjugate[CuB[e2x2, e1x2]] + G1*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc371*(GW*CuB[e1x2, e2x2] + G1*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[1] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc372*(GW*Conjugate[CdB[e2x2, e1x2]] - G1*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc372*(GW*CdB[e1x2, e2x2] - G1*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc372*(GW*Conjugate[CdB[e2x2, e1x2]] - G1*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc372*(GW*CdB[e1x2, e2x2] - G1*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[3] , -S[3] , V[2] ] == {{I*gc373*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {I*gc373*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , -S[3] , V[2] ] == {{I*gc374*(Cphiq1[e1x2, e2x2] - Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc374*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[2] , V[2] ] == {{I*gc375*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {I*gc375*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , S[1] , V[2] ] == {{I*gc376*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {I*gc376*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[2] ] == {{I*Sqrt[2]*gc377*(G1^2 + GW^2)*vev*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {I*Sqrt[2]*gc377*(G1^2 + GW^2)*vev*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc377*(G1*Conjugate[CuB[e2x2, e1x2]] - GW*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc377*(G1*CuB[e1x2, e2x2] - GW*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc377*(G1*Conjugate[CuB[e2x2, e1x2]] - GW*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc377*(G1*CuB[e1x2, e2x2] - GW*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[2] , V[2] ] == {{I*gc378*(Cphiq1[e1x2, e2x2] + Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc378*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , S[1] , V[2] ] == {{I*gc379*(Cphiq1[e1x2, e2x2] + Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc379*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[2] ] == {{(-I)*Sqrt[2]*gc380*(G1^2 + GW^2)*vev*(Cphiq1[e1x2, e2x2] + Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc380*(G1^2 + GW^2)*vev*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc380*(G1*Conjugate[CdB[e2x2, e1x2]] + GW*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc380*(G1*CdB[e1x2, e2x2] + GW*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc380*(G1*Conjugate[CdB[e2x2, e1x2]] + GW*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc380*(G1*CdB[e1x2, e2x2] + GW*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , -S[3] , V[3] ] == {{gc381*IndexDelta[e1x3, e2x3]*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {gc381*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , S[1] , V[3] ] == {{I*gc382*IndexDelta[e1x3, e2x3]*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {I*gc382*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , V[3] ] == {{I*gc383*GW*vev*IndexDelta[e1x3, e2x3]*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {I*gc383*GW*vev*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*Sqrt[2]*gc383*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*Sqrt[2]*gc383*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , -S[3] , V[3] ] == {{gc384*Cphiq1[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {gc384*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , -S[3] , S[1] , V[3] ] == {{I*gc385*Cphiq1[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc385*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , -S[3] , V[3] ] == {{(-I)*gc386*GW*vev*Cphiq1[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc386*GW*vev*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc386*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*Sqrt[2]*gc386*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[3] , -V[3] ] == {{gc387*IndexDelta[e1x3, e2x3]*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {gc387*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[3] , S[1] , -V[3] ] == {{I*gc388*IndexDelta[e1x3, e2x3]*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {I*gc388*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[3] , -V[3] ] == {{I*gc389*GW*vev*IndexDelta[e1x3, e2x3]*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {I*gc389*GW*vev*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc389*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*Sqrt[2]*gc389*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[3] , -V[3] ] == {{gc390*Cphiq1[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {gc390*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , S[1] , -V[3] ] == {{I*gc391*Cphiq1[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc391*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , -V[3] ] == {{(-I)*gc392*GW*vev*Cphiq1[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc392*GW*vev*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*Sqrt[2]*gc392*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*Sqrt[2]*gc392*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {2*gc393*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {-(gc393*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-2*gc393*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {gc393*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , -S[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {2*gc394*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {-(gc394*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-2*gc394*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {gc394*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , -S[3] , V[1] ] == {{-2*gc395*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {gc395*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , S[1] , V[1] ] == {{(2*I)*gc396*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc396*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , V[1] ] == {{(2*I)*G1*gc397*GW*vev*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*G1*gc397*GW*vev*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*Sqrt[2]*gc397*IndexDelta[e1x3, e2x3]*(GW*IndexSum[Conjugate[CdB[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}] + G1*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {I*Sqrt[2]*gc397*IndexDelta[e1x3, e2x3]*(-(GW*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuB[Generation$1, e2x2], {Generation$1, 1, 3}]) + G1*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc397*IndexDelta[e1x3, e2x3]*(GW*IndexSum[Conjugate[CdB[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}] + G1*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {I*Sqrt[2]*gc397*IndexDelta[e1x3, e2x3]*(GW*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuB[Generation$1, e2x2], {Generation$1, 1, 3}] - G1*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[3] , V[1] ] == {{-2*gc398*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {gc398*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , S[1] , V[1] ] == {{(2*I)*gc399*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc399*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , V[1] ] == {{(-2*I)*G1*gc400*GW*vev*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*G1*gc400*GW*vev*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*Sqrt[2]*gc400*IndexDelta[e1x3, e2x3]*(GW*IndexSum[Conjugate[CuB[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}] - G1*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc400*IndexDelta[e1x3, e2x3]*(GW*IndexSum[CdB[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + G1*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {I*Sqrt[2]*gc400*IndexDelta[e1x3, e2x3]*(-(GW*IndexSum[Conjugate[CuB[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]) + G1*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {I*Sqrt[2]*gc400*IndexDelta[e1x3, e2x3]*(GW*IndexSum[CdB[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + G1*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , -S[3] , V[2] ] == {{2*G1^2*gc401*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {gc401*GW^2*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , S[1] , V[2] ] == {{(-2*I)*G1^2*gc402*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc402*GW^2*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , V[2] ] == {{(2*I)*G1^2*gc403*vev*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc403*GW^2*vev*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*Sqrt[2]*gc403*IndexDelta[e1x3, e2x3]*(G1*IndexSum[Conjugate[CdB[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}] - GW*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc403*IndexDelta[e1x3, e2x3]*(G1*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuB[Generation$1, e2x2], {Generation$1, 1, 3}] + GW*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc403*IndexDelta[e1x3, e2x3]*(G1*IndexSum[Conjugate[CdB[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}] - GW*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {I*Sqrt[2]*gc403*IndexDelta[e1x3, e2x3]*(G1*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuB[Generation$1, e2x2], {Generation$1, 1, 3}] + GW*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[3] , V[2] ] == {{2*G1^2*gc404*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {gc404*GW^2*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , S[1] , V[2] ] == {{(-2*I)*G1^2*gc405*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc405*GW^2*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , V[2] ] == {{(-2*I)*G1^2*gc406*vev*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc406*GW^2*vev*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*Sqrt[2]*gc406*IndexDelta[e1x3, e2x3]*(G1*IndexSum[Conjugate[CuB[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}] + GW*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc406*IndexDelta[e1x3, e2x3]*(G1*IndexSum[CdB[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] - GW*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc406*IndexDelta[e1x3, e2x3]*(G1*IndexSum[Conjugate[CuB[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}] + GW*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {I*Sqrt[2]*gc406*IndexDelta[e1x3, e2x3]*(G1*IndexSum[CdB[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] - GW*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[3] , -S[3] , -V[3] ] == {{I*gc407[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[2] , V[3] ] == {{(-2*I)*gc408*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc408*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , S[1] , V[3] ] == {{(2*I)*gc409*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc409*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[3] ] == {{(-2*I)*gc410*GW*vev*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc410*GW*vev*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc410*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*Sqrt[2]*gc410*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*Sqrt[2]*gc410*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*Sqrt[2]*gc410*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , -S[3] , V[3] ] == {{I*gc411[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[2] , -V[3] ] == {{(-2*I)*gc412*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc412*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , S[1] , -V[3] ] == {{(2*I)*gc413*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc413*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , -V[3] ] == {{(-2*I)*gc414*GW*vev*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc414*GW*vev*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc414*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*Sqrt[2]*gc414*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*Sqrt[2]*gc414*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*Sqrt[2]*gc414*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , S[1] , -V[3] ] == {{0, 0}, {0, 0}, {gc415[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , -V[3] ] == {{0, 0}, {0, 0}, {-(gc416*GW*vev*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-(Sqrt[2]*gc416*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {-(Sqrt[2]*gc416*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {Sqrt[2]*gc416*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {Sqrt[2]*gc416*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , -S[3] , V[3] ] == {{0, 0}, {0, 0}, {I*gc417[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , S[1] , V[3] ] == {{0, 0}, {0, 0}, {gc418[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , V[3] ] == {{0, 0}, {0, 0}, {-(gc419*GW*vev*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-(Sqrt[2]*gc419*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {-(Sqrt[2]*gc419*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {Sqrt[2]*gc419*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {Sqrt[2]*gc419*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , S[3] , -V[3] ] == {{0, 0}, {0, 0}, {I*gc420[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[2] , -V[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {-gc421[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {gc421[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , V[1] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {gc422*(GW*Conjugate[CeB[e2x2, e1x2]] - G1*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {-(gc422*GW*CeB[e1x2, e2x2]) + G1*gc422*CeW[e1x2, e2x2], 0}, {0, 0}, {-(gc422*GW*Conjugate[CeB[e2x2, e1x2]]) + G1*gc422*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {gc422*(GW*CeB[e1x2, e2x2] - G1*CeW[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {gc423*(G1*Conjugate[CeB[e2x2, e1x2]] + GW*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {-(gc423*(G1*CeB[e1x2, e2x2] + GW*CeW[e1x2, e2x2])), 0}, {0, 0}, {-(gc423*(G1*Conjugate[CeB[e2x2, e1x2]] + GW*Conjugate[CeW[e2x2, e1x2]])), 0}, {0, 0}, {gc423*(G1*CeB[e1x2, e2x2] + GW*CeW[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[2] , V[1] , -V[3] ] == {{-gc424[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {gc424[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[1] , V[1] , -V[3] ] == {{(-I)*gc425[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc425[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , V[1] , -V[3] ] == {{(-I)*gc426[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc426[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , -S[3] , V[1] , V[3] ] == {{(-I)*gc427[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc427[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -S[3] , V[3] , -V[3] ] == {{(-I)*gc428[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc428[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[2] , V[3] , -V[3] ] == {{gc429*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {-(gc429*CeW[e1x2, e2x2]), 0}, {0, 0}, {-(gc429*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {gc429*CeW[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , V[3] , -V[3] ] == {{(-I)*gc430*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {(-I)*gc430*CeW[e1x2, e2x2], 0}, {0, 0}, {I*gc430*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {I*gc430*CeW[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , V[3] , -V[3] ] == {{(-I)*gc431*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {(-I)*gc431*CeW[e1x2, e2x2], 0}, {0, 0}, {I*gc431*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {I*gc431*CeW[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[2] , -V[3] , V[2] ] == {{-gc432[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {gc432[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[1] , -V[3] , V[2] ] == {{(-I)*gc433[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc433[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -V[3] , V[2] ] == {{(-I)*gc434[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc434[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , -S[3] , V[3] , V[2] ] == {{(-I)*gc435[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc435[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[2] , V[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {-gc436[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {gc436[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[2] , V[1] , V[3] ] == {{0, 0}, {0, 0}, {-gc437[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {gc437[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[1] , V[1] , V[3] ] == {{0, 0}, {0, 0}, {(-I)*gc438[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc438[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , V[1] , V[3] ] == {{0, 0}, {0, 0}, {(-I)*gc439[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc439[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , V[1] , -V[3] ] == {{0, 0}, {0, 0}, {(-I)*gc440[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc440[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[3] , V[3] , -V[3] ] == {{0, 0}, {0, 0}, {(-I)*gc441[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc441[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[2] , V[3] , V[2] ] == {{0, 0}, {0, 0}, {-gc442[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {gc442[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[1] , V[3] , V[2] ] == {{0, 0}, {0, 0}, {(-I)*gc443[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc443[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , V[3] , V[2] ] == {{0, 0}, {0, 0}, {(-I)*gc444[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc444[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[3] , -V[3] , V[2] ] == {{0, 0}, {0, 0}, {(-I)*gc445[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc445[e1x2, e2x2], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , V[4, {e3x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc446*IndexSum[Conjugate[CuG[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(-I)*gc446*IndexSum[CdG[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(-I)*gc446*IndexSum[Conjugate[CuG[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc446*IndexSum[CdG[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , V[4, {e3x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {gc447*Conjugate[CuG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {-(gc447*CuG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3]), 0}, {0, 0}, {-(gc447*Conjugate[CuG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3]), 0}, {0, 0}, {gc447*CuG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[4, {e3x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc448*Conjugate[CuG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(-I)*gc448*CuG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc448*Conjugate[CuG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc448*CuG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{(-I)*gc449*IndexSum[Conjugate[CuG[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc449*IndexSum[CdG[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc449*IndexSum[Conjugate[CuG[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc449*IndexSum[CdG[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{gc450*Conjugate[CuG[e2x2, e1x2]]*(-SUNT[e3x2, e4x2, e1x3, e2x3] + SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {gc450*CuG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {gc450*Conjugate[CuG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {-(gc450*CuG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3])), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*gc451*Conjugate[CuG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc451*CuG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc451*Conjugate[CuG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc451*CuG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*gc452*Conjugate[CuG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc452*CuG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc452*Conjugate[CuG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc452*CuG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , V[4, {e3x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc453*IndexSum[Conjugate[CdG[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(-I)*gc453*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuG[Generation$1, e2x2], {Generation$1, 1, 3}]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(-I)*gc453*IndexSum[Conjugate[CdG[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc453*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuG[Generation$1, e2x2], {Generation$1, 1, 3}]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{(-I)*gc454*IndexSum[Conjugate[CdG[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc454*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuG[Generation$1, e2x2], {Generation$1, 1, 3}]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc454*IndexSum[Conjugate[CdG[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc454*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuG[Generation$1, e2x2], {Generation$1, 1, 3}]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , V[1] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {gc455*(GW*Conjugate[CuB[e2x2, e1x2]] + G1*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc455*(GW*CuB[e1x2, e2x2] + G1*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-(gc455*(GW*Conjugate[CuB[e2x2, e1x2]] + G1*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc455*(GW*CuB[e1x2, e2x2] + G1*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {-(gc456*(G1*Conjugate[CuB[e2x2, e1x2]] - GW*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc456*(G1*CuB[e1x2, e2x2] - GW*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {gc456*(G1*Conjugate[CuB[e2x2, e1x2]] - GW*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc456*(G1*CuB[e1x2, e2x2] - GW*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[3] , V[1] , -V[3] ] == {{(-I)*gc457[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc457[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , V[1] , V[3] ] == {{-(gc458*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {-(gc458*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {gc458*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {gc458*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[1] , V[3] ] == {{(-I)*gc459*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc459*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc459*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc459*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[1] , V[3] ] == {{(-I)*gc460*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc460*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc460*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc460*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , V[3] , -V[3] ] == {{gc461*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc461*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-(gc461*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc461*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[3] , -V[3] ] == {{(-I)*gc462*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc462*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc462*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc462*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[3] , -V[3] ] == {{(-I)*gc463*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc463*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc463*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc463*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , V[3] , -V[3] ] == {{(-I)*gc464*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc464*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc464*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc464*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[3] , -V[3] , V[2] ] == {{(-I)*gc465[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc465[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , V[3] , V[2] ] == {{-(gc466*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {-(gc466*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {gc466*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {gc466*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[3] , V[2] ] == {{(-I)*gc467*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc467*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc467*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc467*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[3] , V[2] ] == {{(-I)*gc468*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc468*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc468*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc468*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , V[1] , V[3] ] == {{0, 0}, {0, 0}, {(-I)*gc469[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc469[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , V[1] , -V[3] ] == {{-(gc470*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {-(gc470*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {gc470*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {gc470*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[1] , -V[3] ] == {{(-I)*gc471*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc471*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc471*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc471*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[1] , -V[3] ] == {{(-I)*gc472*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc472*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc472*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc472*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , V[3] , -V[3] ] == {{(-I)*gc473*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc473*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc473*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc473*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -S[3] , V[3] , V[2] ] == {{0, 0}, {0, 0}, {(-I)*gc474[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc474[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[2] , -V[3] , V[2] ] == {{-(gc475*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {-(gc475*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {gc475*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {gc475*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , -V[3] , V[2] ] == {{(-I)*gc476*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc476*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc476*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc476*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -V[3] , V[2] ] == {{(-I)*gc477*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc477*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc477*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc477*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , V[4, {e3x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {gc478*Conjugate[CdG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {-(gc478*CdG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3]), 0}, {0, 0}, {-(gc478*Conjugate[CdG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3]), 0}, {0, 0}, {gc478*CdG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[4, {e3x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc479*Conjugate[CdG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(-I)*gc479*CdG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc479*Conjugate[CdG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc479*CdG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{gc480*Conjugate[CdG[e2x2, e1x2]]*(-SUNT[e3x2, e4x2, e1x3, e2x3] + SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {gc480*CdG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {gc480*Conjugate[CdG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {-(gc480*CdG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3])), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*gc481*Conjugate[CdG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc481*CdG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc481*Conjugate[CdG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc481*CdG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*gc482*Conjugate[CdG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc482*CdG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc482*Conjugate[CdG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc482*CdG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , V[1] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {gc483*(GW*Conjugate[CdB[e2x2, e1x2]] - G1*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc483*(GW*CdB[e1x2, e2x2] - G1*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-(gc483*(GW*Conjugate[CdB[e2x2, e1x2]] - G1*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc483*(GW*CdB[e1x2, e2x2] - G1*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {gc484*(G1*Conjugate[CdB[e2x2, e1x2]] + GW*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc484*(G1*CdB[e1x2, e2x2] + GW*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-(gc484*(G1*Conjugate[CdB[e2x2, e1x2]] + GW*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc484*(G1*CdB[e1x2, e2x2] + GW*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , -S[3] , V[1] , V[3] ] == {{(-I)*gc485[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc485[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[2] , V[3] , -V[3] ] == {{gc486*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {-(gc486*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {-(gc486*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3]), 0}, {0, 0}, {gc486*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[3] , -V[3] ] == {{(-I)*gc487*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc487*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc487*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc487*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[3] , -V[3] ] == {{(-I)*gc488*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc488*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc488*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc488*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , -S[3] , V[3] , V[2] ] == {{(-I)*gc489[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc489[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , V[1] , -V[3] ] == {{0, 0}, {0, 0}, {(-I)*gc490[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc490[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[3] , -V[3] , V[2] ] == {{0, 0}, {0, 0}, {(-I)*gc491[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc491[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}}

}

(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)

(* Parameter replacement lists (These lists were created by FeynRules) *)

(* FA Couplings *)

M$FACouplings = {
     gc1 -> -1,
     gc2 -> -1/2,
     gc3 -> -1,
     gc4 -> -1,
     gc5 -> -1/2,
     gc6 -> -1,
     gc17 -> -vev/4,
     gc18 -> -vev/4,
     gc19 -> -vev/4,
     gc37 -> -2/(G1^2 + GW^2)^2,
     gc39 -> -((CphiD*G1*GW*Lam)/Sqrt[G1^2 + GW^2]),
     gc40 -> (CphiD*G1*GW*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc41 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc42 -> -((G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc43 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc44 -> (2*CphiD*G1*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc45 -> -(CphiD*Lam)/2,
     gc46 -> (CphiD*Lam*vev)/2,
     gc47 -> (4*Lam)/(G1^2 + GW^2),
     gc48 -> (4*Lam)/(G1^2 + GW^2),
     gc49 -> (4*Lam*vev)/(G1^2 + GW^2),
     gc50 -> -4*Lam,
     gc51 -> -4*Lam,
     gc52 -> -4*Lam,
     gc53 -> -4*Lam*vev,
     gc54 -> GW/(8*(G1^2 + GW^2)^(3/2)),
     gc55 -> -GW/(8*(G1^2 + GW^2)^(3/2)),
     gc56 -> (GW*vev)/(2*(G1^2 + GW^2)^(3/2)),
     gc57 -> -1/4,
     gc58 -> -1/2,
     gc59 -> -1/4,
     gc60 -> vev/8,
     gc61 -> -GW/(8*(G1^2 + GW^2)^(3/2)),
     gc62 -> -GW/(8*(G1^2 + GW^2)^(3/2)),
     gc63 -> (GW*vev)/(2*(G1^2 + GW^2)^(3/2)),
     gc64 -> (G1^2 + GW^2)^(-3/2),
     gc65 -> (2*Lam)/(G1^2 + GW^2),
     gc66 -> 1/(2*(G1^2 + GW^2)^2),
     gc67 -> (2*Lam)/(G1^2 + GW^2),
     gc68 -> (2*Lam*vev)/(G1^2 + GW^2),
     gc69 -> -1/(4*(G1^2 + GW^2)),
     gc70 -> -1/(2*(G1^2 + GW^2)^2),
     gc71 -> -1/(4*(G1^2 + GW^2)),
     gc72 -> vev/(8*(G1^2 + GW^2)),
     gc73 -> -1/(8*(G1^2 + GW^2)^(3/2)),
     gc74 -> 1/(8*(G1^2 + GW^2)^(3/2)),
     gc75 -> -vev/(4*(G1^2 + GW^2)^(3/2)),
     gc76 -> 1/(8*(G1^2 + GW^2)^(3/2)),
     gc77 -> 1/(8*(G1^2 + GW^2)^(3/2)),
     gc78 -> -vev/(4*(G1^2 + GW^2)^(3/2)),
     gc79 -> GW/(G1^2 + GW^2)^(3/2),
     gc80 -> -1,
     gc81 -> -4*GS*Lam,
     gc82 -> -4*GS*Lam,
     gc83 -> -4*GS*Lam,
     gc84 -> -4*GS*Lam*vev,
     gc85 -> GS,
     gc86 -> 4*GS^2*Lam,
     gc87 -> 4*GS^2*Lam,
     gc88 -> 4*GS^2*Lam,
     gc89 -> 4*GS^2*Lam*vev,
     gc90 -> -(GS^2*Lam),
     gc91 -> GS^3*Lam,
     gc92 -> -GS,
     gc93[e1x2_, e2x2_] -> -((Sqrt[2]*YO*Conjugate[Kq[e2x2, e1x2]]*mddiag[e1x2])/vev),
     gc94[e1x2_] -> ((-4 + CphiD*Lam*vev^2)*YO*mddiag[e1x2])/(4*vev),
     gc95[e1x2_, e2x2_] -> (Lam*vev^2*Conjugate[Cdphi[e2x2, e1x2]])/Sqrt[2] - ((4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2)*YO*mddiag[e1x2])/(4*vev),
     gc96[e1x2_] -> ((-4 + CphiD*Lam*vev^2)*YO*mldiag[e1x2])/(4*vev),
     gc97 -> -1/(4*vev),
     gc98[e1x2_, e2x2_] -> (Sqrt[2]*YO*Kq[e1x2, e2x2]*mudiag[e1x2])/vev,
     gc99[e1x2_] -> (YO/vev - (CphiD*Lam*vev*YO)/4)*mudiag[e1x2],
     gc100[e1x2_, e2x2_] -> (Lam*vev^2*Conjugate[Cuphi[e2x2, e1x2]])/Sqrt[2] - ((4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2)*YO*mudiag[e1x2])/(4*vev),
     gc101 -> -(Lam/Sqrt[2]),
     gc102 -> Lam/Sqrt[2],
     gc103 -> -(Lam/Sqrt[2]),
     gc104 -> (-3*Lam)/Sqrt[2],
     gc105 -> Lam/Sqrt[2],
     gc106 -> -(Lam/Sqrt[2]),
     gc107 -> (3*Lam)/Sqrt[2],
     gc108 -> (Lam*vev)/Sqrt[2],
     gc109 -> Lam/Sqrt[2],
     gc110 -> (3*Lam*vev)/Sqrt[2],
     gc111 -> Lam,
     gc112 -> 2*Lam,
     gc113 -> Lam,
     gc114 -> -(Lam/Sqrt[2]),
     gc115 -> (3*Lam)/Sqrt[2],
     gc116 -> Lam/Sqrt[2],
     gc117 -> Lam/Sqrt[2],
     gc118 -> Lam/Sqrt[2],
     gc119 -> Lam/Sqrt[2],
     gc120 -> (3*Lam)/Sqrt[2],
     gc121 -> (Lam*vev)/Sqrt[2],
     gc122 -> -(Lam/Sqrt[2]),
     gc123 -> Lam/Sqrt[2],
     gc124 -> (3*Lam*vev)/Sqrt[2],
     gc125 -> -2*Lam,
     gc126 -> -(Lam/Sqrt[2]),
     gc127 -> Lam/Sqrt[2],
     gc128 -> -(Lam/Sqrt[2]),
     gc129 -> -Lam,
     gc130 -> -Lam,
     gc131 -> Lam/Sqrt[2],
     gc132 -> (-3*Lam)/Sqrt[2],
     gc133 -> Lam/Sqrt[2],
     gc134 -> -(Lam/Sqrt[2]),
     gc135 -> (3*Lam)/Sqrt[2],
     gc136 -> (Lam*vev)/Sqrt[2],
     gc137 -> Lam/Sqrt[2],
     gc138 -> (3*Lam*vev)/Sqrt[2],
     gc139 -> -Lam/2,
     gc140 -> Lam/6,
     gc141 -> Lam,
     gc143[e1x2_, e2x2_] -> 2*Lam*IndexSum[Cephi[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}],
     gc144[e1x2_, e2x2_] -> Lam*IndexSum[Cephi[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}],
     gc145[e1x2_, e2x2_] -> Lam*IndexSum[Cephi[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}],
     gc146 -> -Lam,
     gc147 -> Lam/2,
     gc148[e1x2_, e2x2_] -> -((Sqrt[2]*YO*mldiag[e1x2]*Ul[e1x2, e2x2])/vev),
     gc149[e1x2_, e2x2_] -> 2*Lam*IndexSum[Conjugate[Cephi[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}],
     gc150[e1x2_, e2x2_] -> Lam*IndexSum[Conjugate[Cephi[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}],
     gc151[e1x2_, e2x2_] -> Lam*IndexSum[Conjugate[Cephi[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}],
     gc152 -> Lam,
     gc153 -> Lam/2,
     gc154 -> (G1^2*GW)/(G1^2 + GW^2)^2,
     gc155 -> -((G1*GW^2)/(G1^2 + GW^2)^2),
     gc156 -> (2*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc157 -> (2*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc158 -> (2*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc159 -> (2*GW*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc160 -> (-2*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc161 -> (2*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc162 -> (2*G1*GW^2*Lam*vev)/(G1^2 + GW^2),
     gc163 -> (2*GW*Lam)/(G1^2 + GW^2),
     gc164 -> (-2*GW*Lam)/(G1^2 + GW^2),
     gc165 -> (-2*GW*Lam*vev)/(G1^2 + GW^2),
     gc166 -> -((GW*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc167 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc168 -> (GW*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc169 -> -((GW^2*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc170 -> GW/8,
     gc171 -> -(GW*(4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2))/8,
     gc175 -> (CphiD*GW*Lam)/2,
     gc176 -> -(CphiD*GW*Lam)/2,
     gc177 -> (CphiD*GW*Lam*vev)/2,
     gc178 -> -(CphiD*GW*Lam*vev)/2,
     gc179 -> -(CphiD*GW*Lam)/2,
     gc180 -> (CphiD*GW*Lam)/2,
     gc181 -> (CphiD*GW*Lam*vev)/2,
     gc187 -> -GW,
     gc188 -> (2*G1^3*GW^2*Lam)/(G1^2 + GW^2)^(3/2),
     gc189 -> (2*G1^2*GW^3*Lam)/(G1^2 + GW^2)^(3/2),
     gc190 -> (2*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2],
     gc191 -> (2*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc192 -> (-2*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc193 -> (2*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc194 -> (2*GW*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc195 -> (4*CphiW*G1^2*GW^2*Lam)/(G1^2 + GW^2),
     gc196 -> (4*CphiW*G1^2*GW^2*Lam)/(G1^2 + GW^2),
     gc197 -> (4*CphiW*G1^2*GW^2*Lam)/(G1^2 + GW^2),
     gc198 -> (4*CphiW*G1^2*GW^2*Lam*vev)/(G1^2 + GW^2),
     gc199 -> (-2*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc200 -> (-2*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc201 -> (-2*G1*GW^2*Lam*vev)/(G1^2 + GW^2),
     gc202 -> (2*GW*Lam)/(G1^2 + GW^2),
     gc203 -> (2*GW*Lam)/(G1^2 + GW^2),
     gc204 -> (2*GW*Lam*vev)/(G1^2 + GW^2),
     gc205 -> (GW*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc206 -> -((G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc207 -> -((GW*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc208 -> (GW^2*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc209 -> GW/8,
     gc210 -> (GW*(4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2))/8,
     gc214 -> -(CphiD*GW*Lam)/2,
     gc215 -> -(CphiD*GW*Lam)/2,
     gc216 -> -(CphiD*GW*Lam*vev)/2,
     gc217 -> -(CphiD*GW*Lam*vev)/2,
     gc218 -> -(CphiD*GW*Lam)/2,
     gc219 -> (CphiD*GW*Lam)/2,
     gc220 -> (CphiD*GW*Lam*vev)/2,
     gc229 -> -4*CphiW*GW^2*Lam,
     gc230 -> -4*CphiW*GW^2*Lam,
     gc231 -> -4*CphiW*GW^2*Lam,
     gc232 -> -4*CphiW*GW^2*Lam*vev,
     gc233 -> (12*CW*G1^2*GW^3*Lam)/(G1^2 + GW^2),
     gc234 -> GW^3/(G1^2 + GW^2)^2,
     gc235 -> (2*G1*GW^4*Lam)/(G1^2 + GW^2)^(3/2),
     gc236 -> (2*GW^3*Lam)/Sqrt[G1^2 + GW^2],
     gc237 -> (12*CW*G1*GW^4*Lam)/(G1^2 + GW^2),
     gc238 -> (-4*CphiW*G1*GW^3*Lam)/(G1^2 + GW^2),
     gc239 -> (-4*CphiW*G1*GW^3*Lam)/(G1^2 + GW^2),
     gc240 -> (-4*CphiW*G1*GW^3*Lam)/(G1^2 + GW^2),
     gc241 -> (-4*CphiW*G1*GW^3*Lam*vev)/(G1^2 + GW^2),
     gc242 -> (-2*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc243 -> (2*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc244 -> (2*G1*GW^2*Lam*vev)/(G1^2 + GW^2),
     gc245 -> (-2*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc246 -> (-2*G1*GW^2*Lam)/(G1^2 + GW^2),
     gc247 -> (-2*G1*GW^2*Lam*vev)/(G1^2 + GW^2),
     gc248 -> (GW*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc249 -> -((GW*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2))/(G1^2 + GW^2)^(3/2)),
     gc250 -> 1/(2*Sqrt[G1^2 + GW^2]),
     gc251 -> (2*CphiWB*G1^3*GW*Lam*vev^2 - 2*CphiD*G1^2*GW^2*Lam*vev^2 - 2*CphiWB*G1*GW^3*Lam*vev^2 + GW^4*(2 - CphiD*Lam*vev^2) - G1^4*(2 + CphiD*Lam*vev^2))/(4*(G1^2 + GW^2)^(3/2)),
     gc256 -> -(CphiD*Sqrt[G1^2 + GW^2]*Lam)/2,
     gc257 -> (CphiD*(G1^2 - GW^2)*Lam)/(2*Sqrt[G1^2 + GW^2]),
     gc258 -> (CphiD*Sqrt[G1^2 + GW^2]*Lam)/2,
     gc259 -> -(CphiD*Sqrt[G1^2 + GW^2]*Lam*vev)/2,
     gc260 -> (CphiD*(-G1^2 + GW^2)*Lam*vev)/(2*Sqrt[G1^2 + GW^2]),
     gc261 -> (CphiD*Sqrt[G1^2 + GW^2]*Lam*vev)/2,
     gc262 -> (CphiD*Sqrt[G1^2 + GW^2]*Lam)/2,
     gc263 -> -((CphiD*(G1^2 - GW^2)*Lam)/Sqrt[G1^2 + GW^2]),
     gc264 -> -(CphiD*Sqrt[G1^2 + GW^2]*Lam)/2,
     gc265 -> -(CphiD*Sqrt[G1^2 + GW^2]*Lam*vev)/2,
     gc295 -> (4*CphiW*GW^4*Lam)/(G1^2 + GW^2),
     gc296 -> (4*CphiW*GW^4*Lam)/(G1^2 + GW^2),
     gc297 -> (4*CphiW*GW^4*Lam)/(G1^2 + GW^2),
     gc298 -> (4*CphiW*GW^4*Lam*vev)/(G1^2 + GW^2),
     gc299 -> (2*GW^5*Lam)/(G1^2 + GW^2)^(3/2),
     gc300 -> (12*CW*GW^5*Lam)/(G1^2 + GW^2),
     gc301 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc302 -> (-2*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(3*(G1^2 + GW^2)^(3/2)),
     gc303 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(3*(G1^2 + GW^2)^(3/2)),
     gc304 -> -GS,
     gc305 -> -GS,
     gc306[e1x2_, e2x2_] -> -((GW*(Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + Kq[e1x2, e2x2]))/Sqrt[2]),
     gc307[e1x2_, e2x2_] -> -((GW*(Conjugate[Kq[e2x2, e1x2]] + Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]))/Sqrt[2]),
     gc308[e1x2_, e2x2_] -> -((GW*(Conjugate[Ul[e2x2, e1x2]] + Lam*vev^2*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}]))/Sqrt[2]),
     gc309[e1x2_, e2x2_] -> -((GW*(Lam*vev^2*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}] + Ul[e1x2, e2x2]))/Sqrt[2]),
     gc310 -> 1/(6*(G1^2 + GW^2)^(3/2)),
     gc311[e1x2_, e2x2_] -> (G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2)/(6*(G1^2 + GW^2)^(3/2)) + (Sqrt[G1^2 + GW^2]*Lam*vev^2*(Cphiq1[e1x2, e2x2] + Cphiq3[e1x2, e2x2]))/2,
     gc312 -> 1/(2*Sqrt[G1^2 + GW^2]),
     gc313 -> -1/(2*(G1^2 + GW^2)^(3/2)),
     gc314 -> Lam,
     gc315 -> Lam,
     gc316 -> Lam,
     gc317 -> Lam,
     gc318 -> Lam,
     gc319 -> Lam/6,
     gc320 -> Lam/6,
     gc321[e1x2_, e2x2_] -> -(Lam*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}])),
     gc322[e1x2_, e2x2_] -> Lam*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc324[e1x2_, e2x2_] -> (-2*G1*GW*Lam*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]))/Sqrt[G1^2 + GW^2],
     gc325 -> (-2*G1*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc326 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc327[e1x2_, e2x2_] -> ((G1^2 - GW^2)*Lam*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]))/Sqrt[G1^2 + GW^2],
     gc328 -> ((G1^2 - GW^2)*Lam)/Sqrt[G1^2 + GW^2],
     gc329[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc330[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc331[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*vev*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc332 -> Sqrt[G1^2 + GW^2]*Lam,
     gc333 -> Sqrt[G1^2 + GW^2]*Lam,
     gc334 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc335[e1x2_, e2x2_] -> GW*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}],
     gc336[e1x2_, e2x2_] -> -(GW*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc337[e1x2_, e2x2_] -> -(GW*Lam*vev*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc338 -> GW*Lam,
     gc339 -> -(GW*Lam),
     gc340 -> Lam,
     gc341[e1x2_, e2x2_] -> -(GW*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc342[e1x2_, e2x2_] -> -(GW*Lam*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc343[e1x2_, e2x2_] -> -(GW*Lam*vev*IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc344 -> -(GW*Lam),
     gc345 -> -(GW*Lam),
     gc346 -> Lam,
     gc347[e1x2_, e2x2_] -> Sqrt[2]*Lam*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}],
     gc348[e1x2_, e2x2_] -> Sqrt[2]*Lam*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}],
     gc349[e1x2_, e2x2_] -> (Sqrt[2]*G1*GW*Lam*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc350[e1x2_, e2x2_] -> -((Sqrt[2]*G1*GW*Lam*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc351 -> Lam/Sqrt[G1^2 + GW^2],
     gc352[e1x2_, e2x2_] -> -((Sqrt[2]*G1*GW*Lam*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc353[e1x2_, e2x2_] -> -((Sqrt[2]*G1*GW*Lam*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc354 -> Lam/Sqrt[G1^2 + GW^2],
     gc355[e1x2_, e2x2_] -> -((Sqrt[2]*G1^2*Lam*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc356[e1x2_, e2x2_] -> (Sqrt[2]*G1^2*Lam*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc357 -> Lam/Sqrt[G1^2 + GW^2],
     gc358[e1x2_, e2x2_] -> (Sqrt[2]*G1^2*Lam*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc359[e1x2_, e2x2_] -> (Sqrt[2]*G1^2*Lam*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc360 -> Lam/Sqrt[G1^2 + GW^2],
     gc361[e1x2_, e2x2_] -> -(Sqrt[2]*GW*Lam*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}]),
     gc362[e1x2_, e2x2_] -> -(Sqrt[2]*GW*Lam*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}]),
     gc363[e1x2_, e2x2_] -> -(Sqrt[2]*GW*Lam*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}]),
     gc364 -> Lam,
     gc365[e1x2_, e2x2_] -> -(Sqrt[2]*GW*Lam*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}]),
     gc366[e1x2_, e2x2_] -> -(Sqrt[2]*GW*Lam*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}]),
     gc367[e1x2_, e2x2_] -> -(Sqrt[2]*GW*Lam*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}]),
     gc368 -> Lam,
     gc369 -> (-2*G1*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc370 -> (-2*G1*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc371 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc372 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc373 -> ((G1^2 - GW^2)*Lam)/Sqrt[G1^2 + GW^2],
     gc374 -> ((G1^2 - GW^2)*Lam)/Sqrt[G1^2 + GW^2],
     gc375 -> Sqrt[G1^2 + GW^2]*Lam,
     gc376 -> Sqrt[G1^2 + GW^2]*Lam,
     gc377 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc378 -> Sqrt[G1^2 + GW^2]*Lam,
     gc379 -> Sqrt[G1^2 + GW^2]*Lam,
     gc380 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc381 -> GW*Lam,
     gc382 -> -(GW*Lam),
     gc383 -> -Lam,
     gc384 -> GW*Lam,
     gc385 -> -(GW*Lam),
     gc386 -> Lam,
     gc387 -> -(GW*Lam),
     gc388 -> -(GW*Lam),
     gc389 -> -Lam,
     gc390 -> -(GW*Lam),
     gc391 -> -(GW*Lam),
     gc392 -> Lam,
     gc393 -> -(Lam/Sqrt[2]),
     gc394 -> -(Lam/Sqrt[2]),
     gc395 -> -((G1*GW*Lam)/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc396 -> -((G1*GW*Lam)/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc397 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc398 -> (G1*GW*Lam)/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc399 -> -((G1*GW*Lam)/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc400 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc401 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc402 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc403 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc404 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc405 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc406 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc407[e1x2_, e2x2_] -> -(Sqrt[2]*GW*Lam*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]),
     gc408 -> (GW*Lam)/Sqrt[2],
     gc409 -> -((GW*Lam)/Sqrt[2]),
     gc410 -> Lam/Sqrt[2],
     gc411[e1x2_, e2x2_] -> -(Sqrt[2]*GW*Lam*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}]),
     gc412 -> (GW*Lam)/Sqrt[2],
     gc413 -> -((GW*Lam)/Sqrt[2]),
     gc414 -> Lam/Sqrt[2],
     gc415[e1x2_, e2x2_] -> -((GW*Lam*Conjugate[Cphiud[e2x2, e1x2]])/Sqrt[2]),
     gc416 -> Lam/Sqrt[2],
     gc417[e1x2_, e2x2_] -> Sqrt[2]*GW*Lam*Conjugate[Cphiud[e2x2, e1x2]],
     gc418[e1x2_, e2x2_] -> (GW*Lam*Cphiud[e1x2, e2x2])/Sqrt[2],
     gc419 -> -(Lam/Sqrt[2]),
     gc420[e1x2_, e2x2_] -> Sqrt[2]*GW*Lam*Cphiud[e1x2, e2x2],
     gc421[e1x2_, e2x2_] -> Lam*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}],
     gc422 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc423 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc424[e1x2_, e2x2_] -> -((G1*GW*Lam*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc425[e1x2_, e2x2_] -> -((G1*GW*Lam*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc426[e1x2_, e2x2_] -> -((G1*GW*Lam*vev*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc427[e1x2_, e2x2_] -> (Sqrt[2]*G1*GW*Lam*Conjugate[CeW[e2x2, e1x2]])/Sqrt[G1^2 + GW^2],
     gc428[e1x2_, e2x2_] -> GW*Lam*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}],
     gc429 -> (GW*Lam)/Sqrt[2],
     gc430 -> -((GW*Lam)/Sqrt[2]),
     gc431 -> -((GW*Lam*vev)/Sqrt[2]),
     gc432[e1x2_, e2x2_] -> (GW^2*Lam*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc433[e1x2_, e2x2_] -> (GW^2*Lam*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc434[e1x2_, e2x2_] -> (GW^2*Lam*vev*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc435[e1x2_, e2x2_] -> -((Sqrt[2]*GW^2*Lam*Conjugate[CeW[e2x2, e1x2]])/Sqrt[G1^2 + GW^2]),
     gc436[e1x2_, e2x2_] -> -(Lam*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}]),
     gc437[e1x2_, e2x2_] -> -((G1*GW*Lam*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc438[e1x2_, e2x2_] -> (G1*GW*Lam*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc439[e1x2_, e2x2_] -> (G1*GW*Lam*vev*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc440[e1x2_, e2x2_] -> -((Sqrt[2]*G1*GW*Lam*CeW[e1x2, e2x2])/Sqrt[G1^2 + GW^2]),
     gc441[e1x2_, e2x2_] -> GW*Lam*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}],
     gc442[e1x2_, e2x2_] -> (GW^2*Lam*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc443[e1x2_, e2x2_] -> -((GW^2*Lam*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc444[e1x2_, e2x2_] -> -((GW^2*Lam*vev*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc445[e1x2_, e2x2_] -> (Sqrt[2]*GW^2*Lam*CeW[e1x2, e2x2])/Sqrt[G1^2 + GW^2],
     gc446 -> Lam,
     gc447 -> Lam/Sqrt[2],
     gc448 -> Lam/Sqrt[2],
     gc449 -> -(GS*Lam),
     gc450 -> -((GS*Lam)/Sqrt[2]),
     gc451 -> -((GS*Lam)/Sqrt[2]),
     gc452 -> -((GS*Lam*vev)/Sqrt[2]),
     gc453 -> -Lam,
     gc454 -> GS*Lam,
     gc455 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc456 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc457[e1x2_, e2x2_] -> (Sqrt[2]*G1*GW*Lam*Conjugate[CuW[e2x2, e1x2]])/Sqrt[G1^2 + GW^2],
     gc458 -> -((G1*GW*Lam)/Sqrt[G1^2 + GW^2]),
     gc459 -> (G1*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc460 -> (G1*GW*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc461 -> (GW*Lam)/Sqrt[2],
     gc462 -> (GW*Lam)/Sqrt[2],
     gc463 -> (GW*Lam*vev)/Sqrt[2],
     gc464 -> GW*Lam,
     gc465[e1x2_, e2x2_] -> -((Sqrt[2]*GW^2*Lam*Conjugate[CuW[e2x2, e1x2]])/Sqrt[G1^2 + GW^2]),
     gc466 -> (GW^2*Lam)/Sqrt[G1^2 + GW^2],
     gc467 -> -((GW^2*Lam)/Sqrt[G1^2 + GW^2]),
     gc468 -> -((GW^2*Lam*vev)/Sqrt[G1^2 + GW^2]),
     gc469[e1x2_, e2x2_] -> -((Sqrt[2]*G1*GW*Lam*CuW[e1x2, e2x2])/Sqrt[G1^2 + GW^2]),
     gc470 -> -((G1*GW*Lam)/Sqrt[G1^2 + GW^2]),
     gc471 -> -((G1*GW*Lam)/Sqrt[G1^2 + GW^2]),
     gc472 -> -((G1*GW*Lam*vev)/Sqrt[G1^2 + GW^2]),
     gc473 -> GW*Lam,
     gc474[e1x2_, e2x2_] -> (Sqrt[2]*GW^2*Lam*CuW[e1x2, e2x2])/Sqrt[G1^2 + GW^2],
     gc475 -> (GW^2*Lam)/Sqrt[G1^2 + GW^2],
     gc476 -> (GW^2*Lam)/Sqrt[G1^2 + GW^2],
     gc477 -> (GW^2*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc478 -> -(Lam/Sqrt[2]),
     gc479 -> Lam/Sqrt[2],
     gc480 -> (GS*Lam)/Sqrt[2],
     gc481 -> -((GS*Lam)/Sqrt[2]),
     gc482 -> -((GS*Lam*vev)/Sqrt[2]),
     gc483 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc484 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc485[e1x2_, e2x2_] -> (Sqrt[2]*G1*GW*Lam*Conjugate[CdW[e2x2, e1x2]])/Sqrt[G1^2 + GW^2],
     gc486 -> (GW*Lam)/Sqrt[2],
     gc487 -> -((GW*Lam)/Sqrt[2]),
     gc488 -> -((GW*Lam*vev)/Sqrt[2]),
     gc489[e1x2_, e2x2_] -> -((Sqrt[2]*GW^2*Lam*Conjugate[CdW[e2x2, e1x2]])/Sqrt[G1^2 + GW^2]),
     gc490[e1x2_, e2x2_] -> -((Sqrt[2]*G1*GW*Lam*CdW[e1x2, e2x2])/Sqrt[G1^2 + GW^2]),
     gc491[e1x2_, e2x2_] -> (Sqrt[2]*GW^2*Lam*CdW[e1x2, e2x2])/Sqrt[G1^2 + GW^2]};

