(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*                                                                             *)
(*         This file has been automatically generated by FeynRules.            *)
(*                                                                             *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)


FR$ModelInformation={
  ModelName->"SMEFT: SM extended with dim 5 and dim 6 operators",
  Authors -> {"A. Dedes, M. Paraskevas, J. Rosiek, K. Suxho, L. Trifyllis"},
  Version -> "2.01",
  Date -> "05. 09. 2019"};

FR$ClassesTranslation={};

FR$InteractionOrderPerturbativeExpansion={{QCD, 0}, {NP, 0}, {QED, 0}};

FR$GoldstoneList={S[2], S[3]};

(*     Declared indices    *)

IndexRange[ Index[Gluon] ] = NoUnfold[ Range[ 8 ] ]

IndexRange[ Index[Generation] ] = Range[ 3 ]

IndexRange[ Index[Colour] ] = NoUnfold[ Range[ 3 ] ]

(*     Declared particles    *)

M$ClassesDescription = {
V[1] == {
    SelfConjugate -> True,
    PropagatorLabel -> "A",
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> 0,
    Indices -> {} },

V[2] == {
    SelfConjugate -> True,
    PropagatorLabel -> "Z",
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> MZ,
    Indices -> {} },

V[3] == {
    SelfConjugate -> False,
    QuantumNumbers -> {Q},
    PropagatorLabel -> "W",
    PropagatorType -> Sine,
    PropagatorArrow -> Forward,
    Mass -> MW,
    Indices -> {} },

V[4] == {
    SelfConjugate -> True,
    Indices -> {Index[Gluon]},
    PropagatorLabel -> "g",
    PropagatorType -> Cycles,
    PropagatorArrow -> None,
    Mass -> 0 },

F[1] == {
    Indices -> {Index[Generation]},
    SelfConjugate -> False,
    QuantumNumbers -> {LeptonNumber},
    PropagatorLabel -> "v",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mvdiag },

F[2] == {
    Indices -> {Index[Generation]},
    SelfConjugate -> False,
    QuantumNumbers -> {-Q, LeptonNumber},
    PropagatorLabel -> "l",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mldiag },

F[3] == {
    Indices -> {Index[Generation], Index[Colour]},
    SelfConjugate -> False,
    QuantumNumbers -> {(2*Q)/3},
    PropagatorLabel -> "uq",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mudiag },

F[4] == {
    Indices -> {Index[Generation], Index[Colour]},
    SelfConjugate -> False,
    QuantumNumbers -> {-Q/3},
    PropagatorLabel -> "dq",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> mddiag },

S[1] == {
    SelfConjugate -> True,
    PropagatorLabel -> "H",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MH,
    Indices -> {} },

S[2] == {
    SelfConjugate -> True,
    PropagatorLabel -> "G0",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MG0,
    Indices -> {} },

S[3] == {
    SelfConjugate -> False,
    QuantumNumbers -> {Q},
    PropagatorLabel -> "GP",
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    Mass -> MGP,
    Indices -> {} },

U[1] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> "\[Eta]A",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0,
    Indices -> {} },

U[2] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> "\[Eta]Z",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MgZ,
    Indices -> {} },

U[31] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber, Q},
    PropagatorLabel -> "\[Eta]Wp",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MgW,
    Indices -> {} },

U[32] == {
    SelfConjugate -> False,
    QuantumNumbers -> {GhostNumber, -Q},
    PropagatorLabel -> "\[Eta]Wm",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> MgW,
    Indices -> {} },

U[4] == {
    SelfConjugate -> False,
    Indices -> {Index[Gluon]},
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> "\[Eta]G",
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0 }
}


(*        Definitions       *)

GaugeXi[ V[1] ] = GaugeXi[A];
GaugeXi[ V[2] ] = GaugeXi[Z];
GaugeXi[ V[3] ] = GaugeXi[W];
GaugeXi[ V[4] ] = GaugeXi[G];
GaugeXi[ S[1] ] = 1;
GaugeXi[ S[2] ] = GaugeXi[Z];
GaugeXi[ S[3] ] = GaugeXi[W];
GaugeXi[ U[1] ] = GaugeXi[A];
GaugeXi[ U[2] ] = GaugeXi[Z];
GaugeXi[ U[31] ] = GaugeXi[W];
GaugeXi[ U[32] ] = GaugeXi[W];
GaugeXi[ U[4] ] = GaugeXi[G];

MZ[ ___ ] := MZ;
MW[ ___ ] := MW;
mvdiag[ 1 ] := mve;
mvdiag[ 2 ] := mvm;
mvdiag[ 3 ] := mvt;
mldiag[ 1 ] := mle;
mldiag[ 2 ] := mlm;
mldiag[ 3 ] := mlt;
mudiag[ 1, _ ] := mqu;
mudiag[ 1 ] := mqu;
mudiag[ 2, _ ] := mqc;
mudiag[ 2 ] := mqc;
mudiag[ 3, _ ] := mqt;
mudiag[ 3 ] := mqt;
mddiag[ 1, _ ] := mqd;
mddiag[ 1 ] := mqd;
mddiag[ 2, _ ] := mqs;
mddiag[ 2 ] := mqs;
mddiag[ 3, _ ] := mqb;
mddiag[ 3 ] := mqb;
MH[ ___ ] := MH;
MG0[ ___ ] := MG0;
MGP[ ___ ] := MGP;
MgZ[ ___ ] := MgZ;
MgW[ ___ ] := MgW;


TheLabel[ V[4, {__}] ] := TheLabel[V[4]];
TheLabel[ F[1, {1}] ] := "ve";
TheLabel[ F[1, {2}] ] := "vm";
TheLabel[ F[1, {3}] ] := "vt";
TheLabel[ F[2, {1}] ] := "e";
TheLabel[ F[2, {2}] ] := "mu";
TheLabel[ F[2, {3}] ] := "ta";
TheLabel[ F[3, {1, _}] ] := "u";
TheLabel[ F[3, {1}] ] := "u";
TheLabel[ F[3, {2, _}] ] := "c";
TheLabel[ F[3, {2}] ] := "c";
TheLabel[ F[3, {3, _}] ] := "t";
TheLabel[ F[3, {3}] ] := "t";
TheLabel[ F[4, {1, _}] ] := "d";
TheLabel[ F[4, {1}] ] := "d";
TheLabel[ F[4, {2, _}] ] := "s";
TheLabel[ F[4, {2}] ] := "s";
TheLabel[ F[4, {3, _}] ] := "b";
TheLabel[ F[4, {3}] ] := "b";
TheLabel[ U[4, {__}] ] := TheLabel[U[4]];


(*      Couplings (calculated by FeynRules)      *)

M$CouplingMatrices = {

C[ S[1] , S[1] , S[1] , S[1] ] == {{(3*I)*gc1*(hlambda - 15*Cphi*Lam*vev^2 + 4*CphiBox*hlambda*Lam*vev^2 - CphiD*hlambda*Lam*vev^2), 0}, {(3*I)*CphiBox*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {(3*I)*CphiBox*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {(3*I)*CphiBox*gc1*Lam, 0}, {I*(2*CphiBox + CphiD)*gc1*Lam, 0}, {(3*I)*CphiBox*gc1*Lam, 0}},

C[ S[1] , S[1] , S[1] , S[1] , S[1] , S[1] ] == {{(90*I)*Cphi*Lam, 0}},

C[ S[1] , S[1] , S[1] ] == {{(3*I)*gc3*(-20*Cphi*Lam*vev^2 + hlambda*(4 + 12*CphiBox*Lam*vev^2 - 3*CphiD*Lam*vev^2)), 0}, {(12*I)*CphiBox*gc3*Lam, 0}, {(4*I)*(2*CphiBox + CphiD)*gc3*Lam, 0}, {(4*I)*(2*CphiBox + CphiD)*gc3*Lam, 0}, {(12*I)*CphiBox*gc3*Lam, 0}, {(4*I)*(2*CphiBox + CphiD)*gc3*Lam, 0}, {(12*I)*CphiBox*gc3*Lam, 0}},

C[ S[1] , S[1] , S[1] , S[1] , S[1] ] == {{(90*I)*Cphi*Lam*vev, 0}},

C[ S[1] , S[1] , V[1] , V[1] ] == {{I*gc5*(CphiWtilde*G1^2 + GW*(-(CphiWtildeB*G1) + CphiBtilde*GW)), 0}, {I*gc5*(CphiW*G1^2 + GW*(-(CphiWB*G1) + CphiB*GW)), 0}, {(-I)*gc5*(CphiW*G1^2 + GW*(-(CphiWB*G1) + CphiB*GW)), 0}, {0, 0}},

C[ S[1] , V[1] , V[1] ] == {{I*gc6*(CphiWtilde*G1^2 + GW*(-(CphiWtildeB*G1) + CphiBtilde*GW)), 0}, {I*gc6*(CphiW*G1^2 + GW*(-(CphiWB*G1) + CphiB*GW)), 0}, {(-I)*gc6*(CphiW*G1^2 + GW*(-(CphiWB*G1) + CphiB*GW)), 0}, {0, 0}},

C[ S[1] , S[1] , V[4, {e1x2}] , V[4, {e2x2}] ] == {{(-I)*CphiGtilde*gc7*IndexDelta[e1x2, e2x2], 0}, {(-I)*CphiG*gc7*IndexDelta[e1x2, e2x2], 0}, {I*CphiG*gc7*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ S[1] , V[4, {e1x2}] , V[4, {e2x2}] ] == {{(-I)*CphiGtilde*gc8*IndexDelta[e1x2, e2x2], 0}, {(-I)*CphiG*gc8*IndexDelta[e1x2, e2x2], 0}, {I*CphiG*gc8*IndexDelta[e1x2, e2x2], 0}, {0, 0}},

C[ S[1] , S[1] , V[3] , -V[3] ] == {{(16*I)*CphiWtilde*gc9*Lam, 0}, {(16*I)*CphiW*gc9*Lam, 0}, {(-16*I)*CphiW*gc9*Lam, 0}, {I*gc9*GW^2*(2 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2), 0}},

C[ S[1] , V[3] , -V[3] ] == {{(32*I)*CphiWtilde*gc10*Lam, 0}, {(32*I)*CphiW*gc10*Lam, 0}, {(-32*I)*CphiW*gc10*Lam, 0}, {I*gc10*GW^2*(4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2), 0}},

C[ V[1] , V[3] , -V[3] ] == {{(-I)*gc11*GW*(-2*CphiWtilde*G1 + CphiWtildeB*GW)*(G1^2 + GW^2)*Lam*vev^2, 0}, {(2*I)*CphiWtilde*G1*gc11*GW*(G1^2 + GW^2)*Lam*vev^2, 0}, {(2*I)*CphiWtilde*G1*gc11*GW*(G1^2 + GW^2)*Lam*vev^2, 0}, {(-2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {I*gc11*GW*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2), 0}, {(-I)*G1*gc11*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc11*GW*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2), 0}, {I*G1*gc11*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {I*G1*gc11*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(-I)*G1*gc11*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*G1*gc11*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*G1*gc11*(G1^2 + GW^2)*Lam, 0}},

C[ S[1] , S[1] , V[1] , V[2] ] == {{I*gc12*(2*(-CphiBtilde + CphiWtilde)*G1*GW + CphiWtildeB*(G1^2 - GW^2)), 0}, {I*gc12*(2*(-CphiB + CphiW)*G1*GW + CphiWB*(G1^2 - GW^2)), 0}, {I*gc12*(2*(CphiB - CphiW)*G1*GW + CphiWB*(-G1^2 + GW^2)), 0}, {0, 0}},

C[ S[1] , V[1] , V[2] ] == {{I*gc13*(2*(-CphiBtilde + CphiWtilde)*G1*GW + CphiWtildeB*(G1^2 - GW^2)), 0}, {I*gc13*(2*(-CphiB + CphiW)*G1*GW + CphiWB*(G1^2 - GW^2)), 0}, {I*gc13*(2*(CphiB - CphiW)*G1*GW + CphiWB*(-G1^2 + GW^2)), 0}, {0, 0}},

C[ S[1] , S[1] , V[2] , V[2] ] == {{(16*I)*gc14*(CphiBtilde*G1^2 + GW*(CphiWtildeB*G1 + CphiWtilde*GW))*Lam, 0}, {(16*I)*gc14*(CphiB*G1^2 + GW*(CphiWB*G1 + CphiW*GW))*Lam, 0}, {(-16*I)*gc14*(CphiB*G1^2 + GW*(CphiWB*G1 + CphiW*GW))*Lam, 0}, {I*gc14*(G1^2 + GW^2)*(4*CphiWB*G1*GW*Lam*vev^2 + G1^2*(2 + 4*CphiBox*Lam*vev^2 + 5*CphiD*Lam*vev^2) + GW^2*(2 + 4*CphiBox*Lam*vev^2 + 5*CphiD*Lam*vev^2)), 0}},

C[ S[1] , V[2] , V[2] ] == {{(32*I)*gc15*(CphiBtilde*G1^2 + GW*(CphiWtildeB*G1 + CphiWtilde*GW))*Lam, 0}, {(32*I)*gc15*(CphiB*G1^2 + GW*(CphiWB*G1 + CphiW*GW))*Lam, 0}, {(-32*I)*gc15*(CphiB*G1^2 + GW*(CphiWB*G1 + CphiW*GW))*Lam, 0}, {I*gc15*(G1^2 + GW^2)*(8*CphiWB*G1*GW*Lam*vev^2 + G1^2*(4 + 4*CphiBox*Lam*vev^2 + 3*CphiD*Lam*vev^2) + GW^2*(4 + 4*CphiBox*Lam*vev^2 + 3*CphiD*Lam*vev^2)), 0}},

C[ V[3] , -V[3] , V[2] ] == {{(2*I)*CphiWtilde*gc16*GW*(G1^2 + GW^2)*Lam*vev^2, 0}, {(2*I)*CphiWtilde*gc16*GW*(G1^2 + GW^2)*Lam*vev^2, 0}, {I*gc16*(CphiWtildeB*G1 + 2*CphiWtilde*GW)*(G1^2 + GW^2)*Lam*vev^2, 0}, {(-2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc16*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc16*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {I*gc16*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {(-I)*gc16*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {(2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc16*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {I*gc16*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {I*gc16*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2), 0}, {(-I)*gc16*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2), 0}, {(2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc16*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc16*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc16*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc16*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc16*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc16*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc16*(G1^2 + GW^2)*Lam, 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{2*CphiGtilde*gc17*GS*Lam*vev^2*SUNF[e1x2, e2x2, e3x2], 0}, {2*CphiGtilde*gc17*GS*Lam*vev^2*SUNF[e1x2, e2x2, e3x2], 0}, {2*CphiGtilde*gc17*GS*Lam*vev^2*SUNF[e1x2, e2x2, e3x2], 0}, {-2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-6*CG*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {6*CG*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {gc17*GS*SUNF[e1x2, e2x2, e3x2], 0}, {-(gc17*GS*SUNF[e1x2, e2x2, e3x2]), 0}, {2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-(gc17*GS*SUNF[e1x2, e2x2, e3x2]), 0}, {gc17*GS*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {gc17*GS*SUNF[e1x2, e2x2, e3x2], 0}, {-(gc17*GS*SUNF[e1x2, e2x2, e3x2]), 0}, {2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-6*CG*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {6*CG*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {6*CG*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-6*CG*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {2*CGtilde*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {-6*CG*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}, {6*CG*gc17*Lam*SUNF[e1x2, e2x2, e3x2], 0}},

C[ S[1] , S[1] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{CphiGtilde*gc18*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc18*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc18*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc18*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc18*SUNF[e1x2, e2x2, e3x2], 0}, {CphiG*gc18*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc18*SUNF[e1x2, e2x2, e3x2]), 0}, {-(CphiG*gc18*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc18*SUNF[e1x2, e2x2, e3x2], 0}},

C[ S[1] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{CphiGtilde*gc19*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc19*SUNF[e1x2, e2x2, e3x2], 0}, {CphiGtilde*gc19*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc19*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc19*SUNF[e1x2, e2x2, e3x2], 0}, {CphiG*gc19*SUNF[e1x2, e2x2, e3x2], 0}, {-(CphiG*gc19*SUNF[e1x2, e2x2, e3x2]), 0}, {-(CphiG*gc19*SUNF[e1x2, e2x2, e3x2]), 0}, {CphiG*gc19*SUNF[e1x2, e2x2, e3x2], 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{(2*I)*CphiGtilde*gc20*GS*Lam*vev^2*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {I*gc20*GS*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-I)*gc20*GS*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-I)*gc20*GS*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e4x2, e2x2, e3x2], 0}, {(-2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e3x2, e2x2, e4x2], 0}, {(2*I)*CGtilde*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(-6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}, {(6*I)*CG*gc20*Lam*SUNF[e1x2, e2x2, e3x2, e4x2], 0}},

C[ S[1] , S[1] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*CphiGtilde*gc21*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(-I)*CphiG*gc21*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0}, {I*CphiG*gc21*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {I*CphiG*gc21*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}},

C[ S[1] , V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*CphiGtilde*gc22*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {(-I)*CphiG*gc22*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0}, {I*CphiG*gc22*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0}, {I*CphiG*gc22*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] , V[4, {e5x2}] ] == {{2*CGtilde*gc23*(SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {-2*CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {2*CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {-2*CGtilde*gc23*(SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {2*CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2]), 0}, {2*CGtilde*gc23*(SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2]), 0}, {-2*CGtilde*gc23*(SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {2*CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2]), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2]), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc23*(SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {-2*CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2]), 0}, {-(CGtilde*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e2x2, e5x2, e3x2, e1x2, e4x2])), 0}, {CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {-(CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e2x2, e4x2, e5x2, e1x2, e3x2])), 0}, {2*CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {-(CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e3x2, e5x2, e2x2, e1x2, e4x2])), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {-(CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2])), 0}, {CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-(CGtilde*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2])), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2]), 0}, {CGtilde*gc23*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {2*CGtilde*gc23*(SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {CGtilde*gc23*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-(CGtilde*gc23*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2])), 0}, {CGtilde*gc23*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2]), 0}, {CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2]), 0}, {2*CGtilde*gc23*(SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2]), 0}, {CGtilde*gc23*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-(CGtilde*gc23*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2])), 0}, {-3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-(CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2])), 0}, {-2*CGtilde*gc23*(SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {CGtilde*gc23*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2]), 0}, {-(CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2])), 0}, {3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e3x2, e5x2, e2x2, e1x2, e4x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-(CGtilde*gc23*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2])), 0}, {2*CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {CGtilde*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-(CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2])), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] + SUNF[e3x2, e5x2, e2x2, e1x2, e4x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {CGtilde*gc23*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {CGtilde*gc23*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e2x2, e5x2, e3x2, e1x2, e4x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] - SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2]), 0}, {CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {-2*CGtilde*gc23*(SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] + SUNF[e2x2, e5x2, e3x2, e1x2, e4x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e2x2, e4x2, e5x2, e1x2, e3x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2] + SUNF[e4x2, e5x2, e2x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e1x2, e2x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {-(CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2])), 0}, {-(CGtilde*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2])), 0}, {CGtilde*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {2*CGtilde*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] - SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] + SUNF[e2x2, e5x2, e4x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] - SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] + SUNF[e2x2, e4x2, e5x2, e1x2, e3x2]), 0}, {-3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e5x2, e4x2] - SUNF[e2x2, e3x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e3x2, e1x2, e4x2, e5x2] - SUNF[e2x2, e3x2, e5x2, e1x2, e4x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}, {3*CG*gc23*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2] - SUNF[e3x2, e4x2, e2x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2] - SUNF[e3x2, e5x2, e2x2, e1x2, e4x2]), 0}, {3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e5x2, e3x2] - SUNF[e2x2, e4x2, e3x2, e1x2, e5x2] + SUNF[e2x2, e5x2, e1x2, e4x2, e3x2] - SUNF[e2x2, e5x2, e3x2, e1x2, e4x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e5x2, e1x2, e3x2, e4x2] - SUNF[e2x2, e5x2, e4x2, e1x2, e3x2] + SUNF[e3x2, e5x2, e1x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e4x2, e1x2, e2x2]), 0}, {-3*CG*gc23*(SUNF[e2x2, e4x2, e1x2, e3x2, e5x2] - SUNF[e2x2, e4x2, e5x2, e1x2, e3x2] + SUNF[e3x2, e4x2, e1x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e5x2, e1x2, e2x2]), 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] , V[4, {e5x2}] , V[4, {e6x2}] ] == {{(-I)*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {(-I)*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-I)*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-I)*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-I)*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc24*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {(3*I)*CG*gc24*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {(-3*I)*CG*gc24*(SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {I*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {I*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-I)*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] + SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] - SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {(-I)*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] - SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] + SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] - SUNF[e5x2, e6x2, e1x2, e2x2, e3x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] + SUNF[e5x2, e6x2, e3x2, e4x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] - SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] + SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e5x2, e6x2, e1x2, e3x2, e2x2, e4x2] - SUNF[e5x2, e6x2, e1x2, e4x2, e2x2, e3x2] + SUNF[e5x2, e6x2, e2x2, e3x2, e1x2, e4x2] - SUNF[e5x2, e6x2, e2x2, e4x2, e1x2, e3x2]), 0}, {(-I)*CGtilde*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] + SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] - SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] - SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] + SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] + SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2]), 0}, {(3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc24*(SUNF[e3x2, e4x2, e1x2, e5x2, e2x2, e6x2] + SUNF[e3x2, e4x2, e1x2, e6x2, e2x2, e5x2] - SUNF[e3x2, e4x2, e2x2, e5x2, e1x2, e6x2] - SUNF[e3x2, e4x2, e2x2, e6x2, e1x2, e5x2] - SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] + SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] - SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] + SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e2x2, e3x2, e6x2] + SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] - SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e3x2, e6x2, e1x2, e2x2] + SUNF[e4x2, e6x2, e1x2, e2x2, e3x2, e5x2] + SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] - SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e3x2, e5x2, e1x2, e2x2]), 0}, {(-3*I)*CG*gc24*(SUNF[e3x2, e5x2, e1x2, e4x2, e2x2, e6x2] - SUNF[e3x2, e5x2, e1x2, e6x2, e2x2, e4x2] + SUNF[e3x2, e5x2, e2x2, e4x2, e1x2, e6x2] - SUNF[e3x2, e5x2, e2x2, e6x2, e1x2, e4x2] + SUNF[e3x2, e6x2, e1x2, e4x2, e2x2, e5x2] - SUNF[e3x2, e6x2, e1x2, e5x2, e2x2, e4x2] + SUNF[e3x2, e6x2, e2x2, e4x2, e1x2, e5x2] - SUNF[e3x2, e6x2, e2x2, e5x2, e1x2, e4x2] + SUNF[e4x2, e5x2, e1x2, e3x2, e2x2, e6x2] - SUNF[e4x2, e5x2, e1x2, e6x2, e2x2, e3x2] + SUNF[e4x2, e5x2, e2x2, e3x2, e1x2, e6x2] - SUNF[e4x2, e5x2, e2x2, e6x2, e1x2, e3x2] + SUNF[e4x2, e6x2, e1x2, e3x2, e2x2, e5x2] - SUNF[e4x2, e6x2, e1x2, e5x2, e2x2, e3x2] + SUNF[e4x2, e6x2, e2x2, e3x2, e1x2, e5x2] - SUNF[e4x2, e6x2, e2x2, e5x2, e1x2, e3x2]), 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] ] == {{(I*gc25[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*(2*Sqrt[2]*Lam*vev^3*Conjugate[Cdphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mddiag[e1x2]))/(2*Sqrt[2]*Lam*vev^3*Conjugate[Cdphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*mddiag[e1x2]), 0}, {0, 0}, {(I*gc25[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*(2*Sqrt[2]*Lam*vev^3*Cdphi[e1x2, e2x2] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mddiag[e1x2]))/(2*Sqrt[2]*Lam*vev^3*Conjugate[Cdphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*mddiag[e1x2]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] ] == {{(-I)*gc26*(2*Sqrt[2]*Lam*vev^3*Conjugate[Cephi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mldiag[e1x2]), 0}, {0, 0}, {(-I)*gc26*(2*Sqrt[2]*Lam*vev^3*Cephi[e1x2, e2x2] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mldiag[e1x2]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] ] == {{(I*gc27[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*(2*Sqrt[2]*Lam*vev^3*Conjugate[Cuphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mudiag[e1x2]))/(2*Sqrt[2]*Lam*vev^3*Conjugate[Cuphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*mudiag[e1x2]), 0}, {0, 0}, {(I*gc27[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*(2*Sqrt[2]*Lam*vev^3*Cuphi[e1x2, e2x2] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*IndexDelta[e1x2, e2x2]*mudiag[e1x2]))/(2*Sqrt[2]*Lam*vev^3*Conjugate[Cuphi[e2x2, e1x2]] + (-4 - 4*CphiBox*Lam*vev^2 + CphiD*Lam*vev^2)*YO*mudiag[e1x2]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , S[1] , S[1] ] == {{I*gc28*Conjugate[Cephi[e2x2, e1x2]], 0}, {0, 0}, {I*gc28*Cephi[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , S[1] ] == {{I*gc29*Conjugate[Cephi[e2x2, e1x2]], 0}, {0, 0}, {I*gc29*Cephi[e1x2, e2x2], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , S[1] , S[1] ] == {{I*gc30*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc30*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , S[1] ] == {{I*gc31*Conjugate[Cuphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc31*Cuphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , S[1] , S[1] ] == {{I*gc32*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc32*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , S[1] ] == {{I*gc33*Conjugate[Cdphi[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc33*Cdphi[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[2, {e1x2}] , -F[3, {e3x2, e3x3}] , F[2, {e2x2}] , F[3, {e4x2, e4x3}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc34*IndexDelta[e3x3, e4x3]*IndexSum[Conjugate[Clequ1[e2x2, e1x2, Generation$1, e3x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc34*IndexDelta[e3x3, e4x3]*IndexSum[Clequ1[e1x2, e2x2, Generation$1, e4x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc34*IndexDelta[e3x3, e4x3]*(IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Clq1[e1x2, e2x2, Generation$1, Generation$2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}] - IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Clq3[e1x2, e2x2, Generation$1, Generation$2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc34*IndexDelta[e3x3, e4x3]*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqe[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc34*Clu[e1x2, e2x2, e3x2, e4x2]*IndexDelta[e3x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc34*Ceu[e1x2, e2x2, e3x2, e4x2]*IndexDelta[e3x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc34*IndexDelta[e3x3, e4x3]*IndexSum[Conjugate[Clequ3[e2x2, e1x2, Generation$1, e3x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc34*IndexDelta[e3x3, e4x3]*IndexSum[Clequ3[e1x2, e2x2, Generation$1, e4x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc34*IndexDelta[e3x3, e4x3]*IndexSum[Conjugate[Clequ3[e2x2, e1x2, Generation$1, e3x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc34*IndexDelta[e3x3, e4x3]*IndexSum[Clequ3[e1x2, e2x2, Generation$1, e4x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[3, {e3x2, e3x3}] , F[4, {e2x2, e2x3}] , F[3, {e4x2, e4x3}] ] == {{(-I)*gc35*(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(6*IndexSum[Conjugate[Cquqd1[e2x2, e3x2, Generation$1, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}] - IndexSum[Conjugate[Cquqd8[e2x2, e3x2, Generation$1, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*IndexSum[Conjugate[Cquqd8[e2x2, e3x2, Generation$1, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc35*(IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(6*IndexSum[Conjugate[Cquqd1[Generation$1, e3x2, e2x2, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}] - IndexSum[Conjugate[Cquqd8[Generation$1, e3x2, e2x2, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}]) + 3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*IndexSum[Conjugate[Cquqd8[Generation$1, e3x2, e2x2, e1x2]]*Conjugate[Kq[e4x2, Generation$1]], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc35*(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(6*IndexSum[Cquqd1[e1x2, e4x2, Generation$1, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}] - IndexSum[Cquqd8[e1x2, e4x2, Generation$1, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*IndexSum[Cquqd8[e1x2, e4x2, Generation$1, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc35*(IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(6*IndexSum[Cquqd1[Generation$1, e4x2, e1x2, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}] - IndexSum[Cquqd8[Generation$1, e4x2, e1x2, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}]) + 3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*IndexSum[Cquqd8[Generation$1, e4x2, e1x2, e2x2]*Kq[e3x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(12*I)*gc35*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq3[e1x2, Generation$1, Generation$2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq3[Generation$2, e2x2, e1x2, Generation$1], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc35*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq1[e1x2, e2x2, Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq1[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq3[e1x2, e2x2, Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqq3[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc35*(IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(6*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqd1[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqd8[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]) + 3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqd8[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc35*(6*Cqu1[e1x2, e2x2, e3x2, e4x2]*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3] + Cqu8[e1x2, e2x2, e3x2, e4x2]*(3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] - IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc35*(6*Cud1[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3] + Cud8[e3x2, e4x2, e1x2, e2x2]*(3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] - IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[2, {e3x2}] , F[4, {e2x2, e2x3}] , F[2, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc36*Conjugate[Cledq[e4x2, e3x2, e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc36*Cledq[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc36*(Clq1[e3x2, e4x2, e1x2, e2x2] + Clq3[e3x2, e4x2, e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc36*Cld[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc36*Cqe[e1x2, e2x2, e3x2, e4x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc36*Ced[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[1, {e3x2}] , F[2, {e2x2}] , F[3, {e4x2, e4x3}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc37*IndexDelta[e1x3, e4x3]*IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Cledq[Generation$1, e2x2, e1x2, Generation$2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc37*IndexDelta[e1x3, e4x3]*IndexSum[Clequ1[Generation$1, e2x2, e1x2, e4x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(4*I)*gc37*IndexDelta[e1x3, e4x3]*IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Clq3[Generation$1, e2x2, e1x2, Generation$2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc37*IndexDelta[e1x3, e4x3]*IndexSum[Clequ3[Generation$1, e2x2, e1x2, e4x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc37*IndexDelta[e1x3, e4x3]*IndexSum[Clequ3[Generation$1, e2x2, e1x2, e4x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , -F[3, {e3x2, e3x3}] , F[4, {e2x2, e2x3}] , F[1, {e4x2}] ] == {{(2*I)*gc38*IndexDelta[e2x3, e3x3]*IndexSum[Conjugate[Clequ1[Generation$1, e1x2, e2x2, e3x2]]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*gc38*IndexDelta[e2x3, e3x3]*IndexSum[IndexSum[Conjugate[Cledq[Generation$1, e1x2, e2x2, Generation$2]]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(4*I)*gc38*IndexDelta[e2x3, e3x3]*IndexSum[IndexSum[Clq3[e1x2, Generation$1, Generation$2, e2x2]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc38*IndexDelta[e2x3, e3x3]*IndexSum[Conjugate[Clequ3[Generation$1, e1x2, e2x2, e3x2]]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc38*IndexDelta[e2x3, e3x3]*IndexSum[Conjugate[Clequ3[Generation$1, e1x2, e2x2, e3x2]]*Ul[Generation$1, e4x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[1] , V[3] , -V[3] ] == {{0, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {I*gc39*GW*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {0, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {I*gc39*GW*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*gc39*GW*(G1^2 + GW^2 - 2*CphiWB*G1*GW*Lam*vev^2), 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc39*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc39*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[3] , -V[3] , V[2] ] == {{0, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*gc40*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2 - CphiWB*G1*GW^2*Lam*vev^2), 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc40*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2 - CphiWB*G1*GW^2*Lam*vev^2), 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(-I)*gc40*(G1^2*GW + GW^3 + CphiWB*G1^3*Lam*vev^2 - CphiWB*G1*GW^2*Lam*vev^2), 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc40*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc40*(G1^2 + GW^2)*Lam, 0}},

C[ S[1] , S[1] , V[1] , V[3] , -V[3] ] == {{I*gc41*(2*CphiWtilde*G1 - CphiWtildeB*GW), 0}, {(2*I)*CphiWtilde*G1*gc41, 0}, {(2*I)*CphiWtilde*G1*gc41, 0}, {(-I)*gc41*(2*CphiW*G1 - CphiWB*GW), 0}, {(2*I)*CphiW*G1*gc41, 0}, {I*gc41*(2*CphiW*G1 - CphiWB*GW), 0}, {(-2*I)*CphiW*G1*gc41, 0}, {(-2*I)*CphiW*G1*gc41, 0}, {(2*I)*CphiW*G1*gc41, 0}},

C[ S[1] , V[1] , V[3] , -V[3] ] == {{I*gc42*(2*CphiWtilde*G1 - CphiWtildeB*GW), 0}, {(2*I)*CphiWtilde*G1*gc42, 0}, {(2*I)*CphiWtilde*G1*gc42, 0}, {(-I)*gc42*(2*CphiW*G1 - CphiWB*GW), 0}, {(2*I)*CphiW*G1*gc42, 0}, {I*gc42*(2*CphiW*G1 - CphiWB*GW), 0}, {(-2*I)*CphiW*G1*gc42, 0}, {(-2*I)*CphiW*G1*gc42, 0}, {(2*I)*CphiW*G1*gc42, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {0, 0}, {I*gc43*GW, 0}, {0, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {0, 0}, {I*gc43*GW, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {0, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {0, 0}, {(-6*I)*CW*gc43*Lam, 0}, {0, 0}, {(-2*I)*gc43*GW, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {(2*I)*CWtilde*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {(-2*I)*CWtilde*gc43*Lam, 0}, {(-6*I)*CW*gc43*Lam, 0}, {(6*I)*CW*gc43*Lam, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[1] , V[1] , V[3] , -V[3] ] == {{(2*I)*CWtilde*gc44, 0}, {(2*I)*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc44, 0}, {(-2*I)*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc44, 0}, {(-2*I)*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc44, 0}, {(-2*I)*CWtilde*gc44, 0}, {(-2*I)*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc44, 0}, {(-2*I)*CWtilde*gc44, 0}, {(-2*I)*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc44, 0}, {(-I)*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc44, 0}, {I*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc44, 0}, {(-2*I)*CWtilde*gc44, 0}, {(-2*I)*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc44, 0}, {(-3*I)*CW*gc44, 0}, {(-3*I)*CW*gc44, 0}, {0, 0}, {(-6*I)*CW*gc44, 0}, {(3*I)*CW*gc44, 0}, {(3*I)*CW*gc44, 0}, {0, 0}, {I*CWtilde*gc44, 0}, {0, 0}, {(-I)*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc44, 0}, {(6*I)*CW*gc44, 0}, {(-3*I)*CW*gc44, 0}, {0, 0}, {(3*I)*CW*gc44, 0}, {(-3*I)*CW*gc44, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc44, 0}, {0, 0}, {I*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc44, 0}, {(-6*I)*CW*gc44, 0}, {(3*I)*CW*gc44, 0}, {0, 0}, {(-3*I)*CW*gc44, 0}, {(3*I)*CW*gc44, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc44, 0}, {(-I)*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc44, 0}, {(-3*I)*CW*gc44, 0}, {(6*I)*CW*gc44, 0}, {0, 0}, {(3*I)*CW*gc44, 0}, {(-3*I)*CW*gc44, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc44, 0}, {(-3*I)*CW*gc44, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc44, 0}, {I*CWtilde*gc44, 0}, {0, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc44, 0}, {(3*I)*CW*gc44, 0}, {(-6*I)*CW*gc44, 0}, {0, 0}, {(-3*I)*CW*gc44, 0}, {(3*I)*CW*gc44, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc44, 0}, {(3*I)*CW*gc44, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[1] , V[3] , -V[3] , V[2] ] == {{(2*I)*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc45, 0}, {(2*I)*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc45, 0}, {(-2*I)*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc45, 0}, {(-2*I)*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc45, 0}, {0, 0}, {(-I)*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc45, 0}, {0, 0}, {I*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc45, 0}, {(-2*I)*CWtilde*gc45, 0}, {(-2*I)*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc45, 0}, {(-I)*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc45, 0}, {(3*I)*CW*gc45, 0}, {(-3*I)*CW*gc45, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc45, 0}, {(6*I)*CW*gc45, 0}, {0, 0}, {(-3*I)*CW*gc45, 0}, {I*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc45, 0}, {(-3*I)*CW*gc45, 0}, {(3*I)*CW*gc45, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc45, 0}, {(-6*I)*CW*gc45, 0}, {0, 0}, {(3*I)*CW*gc45, 0}, {(-2*I)*CWtilde*gc45, 0}, {(-2*I)*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc45, 0}, {(6*I)*CW*gc45, 0}, {(-3*I)*CW*gc45, 0}, {0, 0}, {(-3*I)*CW*gc45, 0}, {(-6*I)*CW*gc45, 0}, {(3*I)*CW*gc45, 0}, {0, 0}, {(3*I)*CW*gc45, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc45, 0}, {(-I)*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc45, 0}, {(-3*I)*CW*gc45, 0}, {0, 0}, {(6*I)*CW*gc45, 0}, {(3*I)*CW*gc45, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc45, 0}, {(3*I)*CW*gc45, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc45, 0}, {(-I)*CWtilde*gc45, 0}, {I*CWtilde*gc45, 0}, {0, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc45, 0}, {(3*I)*CW*gc45, 0}, {0, 0}, {(-6*I)*CW*gc45, 0}, {(-3*I)*CW*gc45, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc45, 0}, {(-3*I)*CW*gc45, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc45, 0}},

C[ V[1] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc46, 0}, {(-2*I)*CWtilde*gc46, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc46, 0}, {(2*I)*CWtilde*gc46, 0}, {0, 0}, {(2*I)*CWtilde*gc46, 0}, {(2*I)*CWtilde*gc46, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc46, 0}, {(-2*I)*CWtilde*gc46, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc46, 0}, {(-I)*CWtilde*gc46, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc46, 0}, {(-I)*CWtilde*gc46, 0}, {0, 0}, {(-I)*CWtilde*gc46, 0}, {I*CWtilde*gc46, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc46, 0}, {I*CWtilde*gc46, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc46, 0}, {(2*I)*CWtilde*gc46, 0}, {0, 0}, {(3*I)*CW*gc46, 0}, {(3*I)*CW*gc46, 0}, {(-6*I)*CW*gc46, 0}, {0, 0}, {(3*I)*CW*gc46, 0}, {(3*I)*CW*gc46, 0}, {(-6*I)*CW*gc46, 0}, {0, 0}, {(-2*I)*CWtilde*gc46, 0}, {(-I)*CWtilde*gc46, 0}, {(-2*I)*CWtilde*gc46, 0}, {(-I)*CWtilde*gc46, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc46, 0}, {(3*I)*CW*gc46, 0}, {0, 0}, {(-3*I)*CW*gc46, 0}, {0, 0}, {(3*I)*CW*gc46, 0}, {0, 0}, {(-2*I)*CWtilde*gc46, 0}, {(-I)*CWtilde*gc46, 0}, {(-I)*CWtilde*gc46, 0}, {(-2*I)*CWtilde*gc46, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc46, 0}, {(3*I)*CW*gc46, 0}, {0, 0}, {(-3*I)*CW*gc46, 0}, {(3*I)*CW*gc46, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc46, 0}, {(-2*I)*CWtilde*gc46, 0}, {(-2*I)*CWtilde*gc46, 0}, {(-I)*CWtilde*gc46, 0}, {0, 0}, {(-3*I)*CW*gc46, 0}, {0, 0}, {(3*I)*CW*gc46, 0}, {0, 0}, {(-3*I)*CW*gc46, 0}, {0, 0}, {(3*I)*CW*gc46, 0}, {(3*I)*CW*gc46, 0}, {(3*I)*CW*gc46, 0}, {(-3*I)*CW*gc46, 0}, {(-3*I)*CW*gc46, 0}, {0, 0}, {(-I)*CWtilde*gc46, 0}, {(-2*I)*CWtilde*gc46, 0}, {(-I)*CWtilde*gc46, 0}, {(-2*I)*CWtilde*gc46, 0}, {0, 0}, {(-3*I)*CW*gc46, 0}, {0, 0}, {(3*I)*CW*gc46, 0}, {0, 0}, {(-3*I)*CW*gc46, 0}, {(3*I)*CW*gc46, 0}, {0, 0}, {(3*I)*CW*gc46, 0}, {(3*I)*CW*gc46, 0}, {(-3*I)*CW*gc46, 0}, {(-3*I)*CW*gc46, 0}, {0, 0}, {(2*I)*CWtilde*gc46, 0}, {(-2*I)*CWtilde*gc46, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc46, 0}, {(-3*I)*CW*gc46, 0}, {(-3*I)*CW*gc46, 0}, {0, 0}, {(6*I)*CW*gc46, 0}, {(-3*I)*CW*gc46, 0}, {(-3*I)*CW*gc46, 0}, {(-6*I)*CW*gc46, 0}, {(-6*I)*CW*gc46, 0}, {(6*I)*CW*gc46, 0}, {(6*I)*CW*gc46, 0}},

C[ S[1] , S[1] , V[3] , -V[3] , V[2] ] == {{(2*I)*CphiWtilde*gc47*GW, 0}, {(2*I)*CphiWtilde*gc47*GW, 0}, {I*gc47*(CphiWtildeB*G1 + 2*CphiWtilde*GW), 0}, {(-2*I)*CphiW*gc47*GW, 0}, {(2*I)*CphiW*gc47*GW, 0}, {(2*I)*CphiW*gc47*GW, 0}, {(-I)*gc47*(CphiWB*G1 + 2*CphiW*GW), 0}, {(-2*I)*CphiW*gc47*GW, 0}, {I*gc47*(CphiWB*G1 + 2*CphiW*GW), 0}},

C[ S[1] , V[3] , -V[3] , V[2] ] == {{(2*I)*CphiWtilde*gc48*GW, 0}, {(2*I)*CphiWtilde*gc48*GW, 0}, {I*gc48*(CphiWtildeB*G1 + 2*CphiWtilde*GW), 0}, {(-2*I)*CphiW*gc48*GW, 0}, {(2*I)*CphiW*gc48*GW, 0}, {(2*I)*CphiW*gc48*GW, 0}, {(-I)*gc48*(CphiWB*G1 + 2*CphiW*GW), 0}, {(-2*I)*CphiW*gc48*GW, 0}, {I*gc48*(CphiWB*G1 + 2*CphiW*GW), 0}},

C[ S[1] , S[1] , V[1] , V[1] , V[3] , -V[3] ] == {{0, 0}, {(-I)*gc49, 0}, {(-I)*gc49, 0}, {(2*I)*gc49, 0}},

C[ S[1] , V[1] , V[1] , V[3] , -V[3] ] == {{0, 0}, {(-I)*gc50, 0}, {(-I)*gc50, 0}, {(2*I)*gc50, 0}},

C[ S[1] , S[1] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {(-I)*gc51, 0}, {(-I)*gc51, 0}, {(2*I)*gc51, 0}},

C[ S[1] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {(-I)*gc52, 0}, {(-I)*gc52, 0}, {(2*I)*gc52, 0}},

C[ V[1] , V[1] , V[3] , V[3] , -V[3] , -V[3] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc53, 0}, {(-2*I)*gc53, 0}, {0, 0}, {I*gc53, 0}, {I*gc53, 0}, {0, 0}, {I*gc53, 0}, {I*gc53, 0}, {0, 0}, {I*gc53, 0}, {I*gc53, 0}, {(-2*I)*gc53, 0}, {0, 0}, {I*gc53, 0}, {I*gc53, 0}, {(-2*I)*gc53, 0}, {0, 0}, {(-2*I)*gc53, 0}, {(-2*I)*gc53, 0}, {(4*I)*gc53, 0}},

C[ V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {I*gc54*(G1^2*GW + GW^3 + 2*CphiWB*G1^3*Lam*vev^2), 0}, {0, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {I*gc54*(G1^2*GW + GW^3 + 2*CphiWB*G1^3*Lam*vev^2), 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {(-2*I)*gc54*(G1^2*GW + GW^3 + 2*CphiWB*G1^3*Lam*vev^2), 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(-2*I)*CWtilde*gc54*(G1^2 + GW^2)*Lam, 0}, {(-6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {(6*I)*CW*gc54*(G1^2 + GW^2)*Lam, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[1] , V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {0, 0}, {(2*I)*CWtilde*gc55, 0}, {(2*I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc55, 0}, {(-2*I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc55, 0}, {(-I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc55, 0}, {I*CWtilde*gc55, 0}, {(-2*I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc55, 0}, {(-2*I)*CWtilde*gc55, 0}, {(-2*I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc55, 0}, {(-2*I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc55, 0}, {(3*I)*CW*gc55, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc55, 0}, {(-3*I)*CW*gc55, 0}, {0, 0}, {(6*I)*CW*gc55, 0}, {(-3*I)*CW*gc55, 0}, {(-I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc55, 0}, {0, 0}, {(3*I)*CW*gc55, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc55, 0}, {(-3*I)*CW*gc55, 0}, {0, 0}, {(-3*I)*CW*gc55, 0}, {(6*I)*CW*gc55, 0}, {I*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc55, 0}, {(-3*I)*CW*gc55, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc55, 0}, {(3*I)*CW*gc55, 0}, {0, 0}, {(-6*I)*CW*gc55, 0}, {(3*I)*CW*gc55, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc55, 0}, {(-3*I)*CW*gc55, 0}, {I*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc55, 0}, {0, 0}, {(-3*I)*CW*gc55, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc55, 0}, {(3*I)*CW*gc55, 0}, {0, 0}, {(3*I)*CW*gc55, 0}, {(-6*I)*CW*gc55, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc55, 0}, {(3*I)*CW*gc55, 0}, {(-2*I)*CWtilde*gc55, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc55, 0}, {(-2*I)*CWtilde*gc55, 0}, {(6*I)*CW*gc55, 0}, {0, 0}, {(-3*I)*CW*gc55, 0}, {(-3*I)*CW*gc55, 0}, {(-6*I)*CW*gc55, 0}, {0, 0}, {(3*I)*CW*gc55, 0}, {(3*I)*CW*gc55, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] , V[2] ] == {{0, 0}, {(2*I)*CWtilde*gc56, 0}, {(2*I)*CWtilde*gc56, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc56, 0}, {(-2*I)*CWtilde*gc56, 0}, {0, 0}, {(-2*I)*CWtilde*gc56, 0}, {(-2*I)*CWtilde*gc56, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc56, 0}, {(2*I)*CWtilde*gc56, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc56, 0}, {(2*I)*CWtilde*gc56, 0}, {0, 0}, {(-2*I)*CWtilde*gc56, 0}, {(-I)*CWtilde*gc56, 0}, {(-2*I)*CWtilde*gc56, 0}, {(-I)*CWtilde*gc56, 0}, {0, 0}, {(-2*I)*CWtilde*gc56, 0}, {(-I)*CWtilde*gc56, 0}, {(-I)*CWtilde*gc56, 0}, {(-2*I)*CWtilde*gc56, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc56, 0}, {(-I)*CWtilde*gc56, 0}, {0, 0}, {(-I)*CWtilde*gc56, 0}, {(-2*I)*CWtilde*gc56, 0}, {(-2*I)*CWtilde*gc56, 0}, {(-I)*CWtilde*gc56, 0}, {0, 0}, {(3*I)*CW*gc56, 0}, {(3*I)*CW*gc56, 0}, {(-3*I)*CW*gc56, 0}, {(-3*I)*CW*gc56, 0}, {(-3*I)*CW*gc56, 0}, {0, 0}, {(3*I)*CW*gc56, 0}, {0, 0}, {(-I)*CWtilde*gc56, 0}, {(-2*I)*CWtilde*gc56, 0}, {(-I)*CWtilde*gc56, 0}, {(-2*I)*CWtilde*gc56, 0}, {0, 0}, {(3*I)*CW*gc56, 0}, {(3*I)*CW*gc56, 0}, {(-3*I)*CW*gc56, 0}, {(-3*I)*CW*gc56, 0}, {(-3*I)*CW*gc56, 0}, {0, 0}, {(3*I)*CW*gc56, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc56, 0}, {(-I)*CWtilde*gc56, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc56, 0}, {(3*I)*CW*gc56, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc56, 0}, {(3*I)*CW*gc56, 0}, {0, 0}, {(2*I)*CWtilde*gc56, 0}, {(-2*I)*CWtilde*gc56, 0}, {0, 0}, {0, 0}, {0, 0}, {(-6*I)*CW*gc56, 0}, {(-6*I)*CW*gc56, 0}, {(6*I)*CW*gc56, 0}, {(6*I)*CW*gc56, 0}, {(6*I)*CW*gc56, 0}, {(-3*I)*CW*gc56, 0}, {(-3*I)*CW*gc56, 0}, {0, 0}, {(6*I)*CW*gc56, 0}, {(-3*I)*CW*gc56, 0}, {(-3*I)*CW*gc56, 0}, {0, 0}, {(-I)*CWtilde*gc56, 0}, {I*CWtilde*gc56, 0}, {0, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc56, 0}, {(3*I)*CW*gc56, 0}, {(-6*I)*CW*gc56, 0}, {0, 0}, {(-3*I)*CW*gc56, 0}, {(3*I)*CW*gc56, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc56, 0}, {(3*I)*CW*gc56, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc56, 0}, {I*CWtilde*gc56, 0}, {0, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc56, 0}, {(3*I)*CW*gc56, 0}, {(-6*I)*CW*gc56, 0}, {0, 0}, {(-3*I)*CW*gc56, 0}, {0, 0}, {(3*I)*CW*gc56, 0}, {0, 0}, {(-3*I)*CW*gc56, 0}, {0, 0}, {(3*I)*CW*gc56, 0}, {0, 0}},

C[ V[1] , V[3] , V[3] , -V[3] , -V[3] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc57, 0}, {I*gc57, 0}, {0, 0}, {(-2*I)*gc57, 0}, {I*gc57, 0}, {0, 0}, {I*gc57, 0}, {I*gc57, 0}, {0, 0}, {(4*I)*gc57, 0}, {(-2*I)*gc57, 0}, {(-2*I)*gc57, 0}, {0, 0}, {(-2*I)*gc57, 0}, {I*gc57, 0}, {I*gc57, 0}, {0, 0}, {(-2*I)*gc57, 0}, {I*gc57, 0}, {I*gc57, 0}},

C[ S[1] , S[1] , V[1] , V[3] , -V[3] , V[2] ] == {{0, 0}, {(-2*I)*gc58, 0}, {I*gc58, 0}, {I*gc58, 0}},

C[ S[1] , V[1] , V[3] , -V[3] , V[2] ] == {{0, 0}, {(-2*I)*gc59, 0}, {I*gc59, 0}, {I*gc59, 0}},

C[ S[1] , S[1] , S[1] , S[1] , V[2] , V[2] ] == {{3*CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam, 0}},

C[ S[1] , S[1] , S[1] , V[2] , V[2] ] == {{3*CphiD*(G1 + I*GW)*(I*G1 + GW)*Lam*vev, 0}},

C[ S[1] , S[1] , V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*gc62, 0}, {(-I)*gc62, 0}, {(2*I)*gc62, 0}},

C[ S[1] , V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {(-I)*gc63, 0}, {(-I)*gc63, 0}, {(2*I)*gc63, 0}},

C[ V[3] , -V[3] , V[2] , V[2] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc64, 0}, {(2*I)*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {(2*I)*CWtilde*gc64, 0}, {(-2*I)*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc64, 0}, {(-2*I)*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc64, 0}, {(-I)*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc64, 0}, {0, 0}, {(-I)*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {I*CWtilde*gc64, 0}, {(-I)*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc64, 0}, {I*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc64, 0}, {(-3*I)*CW*gc64, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc64, 0}, {(-3*I)*CW*gc64, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc64, 0}, {0, 0}, {I*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc64, 0}, {(3*I)*CW*gc64, 0}, {0, 0}, {0, 0}, {(3*I)*CW*gc64, 0}, {(-3*I)*CW*gc64, 0}, {0, 0}, {0, 0}, {(-I)*CWtilde*gc64, 0}, {I*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc64, 0}, {(3*I)*CW*gc64, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc64, 0}, {(3*I)*CW*gc64, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc64, 0}, {(-2*I)*CWtilde*gc64, 0}, {(-2*I)*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc64, 0}, {(-3*I)*CW*gc64, 0}, {(6*I)*CW*gc64, 0}, {0, 0}, {(3*I)*CW*gc64, 0}, {(3*I)*CW*gc64, 0}, {(-6*I)*CW*gc64, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc64, 0}, {(-2*I)*CWtilde*gc64, 0}, {(-2*I)*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-3*I)*CW*gc64, 0}, {(6*I)*CW*gc64, 0}, {(-3*I)*CW*gc64, 0}, {0, 0}, {(3*I)*CW*gc64, 0}, {(-6*I)*CW*gc64, 0}, {(3*I)*CW*gc64, 0}, {0, 0}, {0, 0}, {(-2*I)*CWtilde*gc64, 0}, {(-2*I)*CWtilde*gc64, 0}, {(-2*I)*CWtilde*gc64, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*CW*gc64, 0}, {(-3*I)*CW*gc64, 0}, {(-3*I)*CW*gc64, 0}, {0, 0}, {(-6*I)*CW*gc64, 0}, {(3*I)*CW*gc64, 0}, {(3*I)*CW*gc64, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] , V[2] , V[2] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-2*I)*gc65, 0}, {(-2*I)*gc65, 0}, {0, 0}, {I*gc65, 0}, {I*gc65, 0}, {0, 0}, {I*gc65, 0}, {I*gc65, 0}, {0, 0}, {I*gc65, 0}, {I*gc65, 0}, {(-2*I)*gc65, 0}, {0, 0}, {I*gc65, 0}, {I*gc65, 0}, {(-2*I)*gc65, 0}, {0, 0}, {(-2*I)*gc65, 0}, {(-2*I)*gc65, 0}, {(4*I)*gc65, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , V[1] ] == {{I*gc66*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {I*gc66*IndexDelta[e1x2, e2x2], 0}, {0, 0}, {(I*gc66*(G1^2 + GW^2)*Lam*vev*(-(GW*Conjugate[CeB[e2x2, e1x2]]) + G1*Conjugate[CeW[e2x2, e1x2]]))/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {(I*gc66*(G1^2 + GW^2)*Lam*vev*(-(GW*CeB[e1x2, e2x2]) + G1*CeW[e1x2, e2x2]))/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {((-I)*gc66*(G1^2 + GW^2)*Lam*vev*(-(GW*Conjugate[CeB[e2x2, e1x2]]) + G1*Conjugate[CeW[e2x2, e1x2]]))/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {((-I)*gc66*(G1^2 + GW^2)*Lam*vev*(-(GW*CeB[e1x2, e2x2]) + G1*CeW[e1x2, e2x2]))/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[1] ] == {{I*gc67*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc67*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(((3*I)/2)*gc67*(G1^2 + GW^2)*Lam*vev*(GW*Conjugate[CuB[e2x2, e1x2]] + G1*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {(((3*I)/2)*gc67*(G1^2 + GW^2)*Lam*vev*(GW*CuB[e1x2, e2x2] + G1*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {(((-3*I)/2)*gc67*(G1^2 + GW^2)*Lam*vev*(GW*Conjugate[CuB[e2x2, e1x2]] + G1*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {(((-3*I)/2)*gc67*(G1^2 + GW^2)*Lam*vev*(GW*CuB[e1x2, e2x2] + G1*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[1] ] == {{I*gc68*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc68*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((3*I)*gc68*(G1^2 + GW^2)*Lam*vev*(-(GW*Conjugate[CdB[e2x2, e1x2]]) + G1*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {((3*I)*gc68*(G1^2 + GW^2)*Lam*vev*(-(GW*CdB[e1x2, e2x2]) + G1*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {((-3*I)*gc68*(G1^2 + GW^2)*Lam*vev*(-(GW*Conjugate[CdB[e2x2, e1x2]]) + G1*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}, {((-3*I)*gc68*(G1^2 + GW^2)*Lam*vev*(-(GW*CdB[e1x2, e2x2]) + G1*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(Sqrt[2]*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[4, {e3x2}] ] == {{I*gc69*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc69*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(I*gc69*Lam*vev*Conjugate[CuG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {(I*gc69*Lam*vev*CuG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {((-I)*gc69*Lam*vev*Conjugate[CuG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {((-I)*gc69*Lam*vev*CuG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[4, {e3x2}] ] == {{I*gc70*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc70*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(I*gc70*Lam*vev*Conjugate[CdG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {(I*gc70*Lam*vev*CdG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {((-I)*gc70*Lam*vev*Conjugate[CdG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}, {((-I)*gc70*Lam*vev*CdG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3])/(Sqrt[2]*GS), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[3] ] == {{I*gc71[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((I/2)*Lam*vev^2*Cphiud[e1x2, e2x2]*gc71[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + Kq[e1x2, e2x2]), 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc71[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + GW*Kq[e1x2, e2x2]), 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc71[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + GW*Kq[e1x2, e2x2]), 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc71[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + GW*Kq[e1x2, e2x2]), 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc71[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + GW*Kq[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -V[3] ] == {{I*gc72[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {((I/2)*Lam*vev^2*Conjugate[Cphiud[e2x2, e1x2]]*gc72[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(Conjugate[Kq[e2x2, e1x2]] + Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc72[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}])/(GW*Conjugate[Kq[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc72[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Conjugate[Kq[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc72[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}])/(GW*Conjugate[Kq[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc72[e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Conjugate[Kq[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]), 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , V[3] ] == {{I*gc73[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc73[e1x2, e2x2]*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/(GW*Conjugate[Ul[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc73[e1x2, e2x2]*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/(GW*Conjugate[Ul[e2x2, e1x2]] + GW*Lam*vev^2*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -V[3] ] == {{I*gc74[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {(I*Sqrt[2]*Lam*vev*gc74[e1x2, e2x2]*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}] + GW*Ul[e1x2, e2x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {((-I)*Sqrt[2]*Lam*vev*gc74[e1x2, e2x2]*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/(GW*Lam*vev^2*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}] + GW*Ul[e1x2, e2x2]), 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[2] ] == {{I*gc75*IndexDelta[e1x3, e2x3]*((G1^4 - 2*G1^2*GW^2 - 3*GW^4 - 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}])), 0}, {0, 0}, {I*gc75*(3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiu[e1x2, e2x2] + 4*G1*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(3*I)*Sqrt[2]*gc75*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CuB[e2x2, e1x2]] - GW*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(3*I)*Sqrt[2]*gc75*(G1^2 + GW^2)*Lam*vev*(G1*CuB[e1x2, e2x2] - GW*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-3*I)*Sqrt[2]*gc75*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CuB[e2x2, e1x2]] - GW*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-3*I)*Sqrt[2]*gc75*(G1^2 + GW^2)*Lam*vev*(G1*CuB[e1x2, e2x2] - GW*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[2] ] == {{(I*gc76[e1x2, e2x2]*(3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2] + (G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}, {(I*gc76[e1x2, e2x2]*(3*(G1^2 + GW^2)^2*Lam*vev^2*Cphid[e1x2, e2x2] - 2*G1*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2])*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}, {((3*I)*Sqrt[2]*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CdB[e2x2, e1x2]] + GW*Conjugate[CdW[e2x2, e1x2]])*gc76[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}, {((3*I)*Sqrt[2]*(G1^2 + GW^2)*Lam*vev*(G1*CdB[e1x2, e2x2] + GW*CdW[e1x2, e2x2])*gc76[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}, {((-3*I)*Sqrt[2]*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CdB[e2x2, e1x2]] + GW*Conjugate[CdW[e2x2, e1x2]])*gc76[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}, {((-3*I)*Sqrt[2]*(G1^2 + GW^2)*Lam*vev*(G1*CdB[e1x2, e2x2] + GW*CdW[e1x2, e2x2])*gc76[e1x2, e2x2]*IndexDelta[e1x3, e2x3])/(G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2 + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq1[e1x2, e2x2] + 3*(G1^2 + GW^2)^2*Lam*vev^2*Cphiq3[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , V[2] ] == {{(-I)*gc77*((G1^2 + GW^2 + CphiWB*G1*GW*Lam*vev^2)*IndexDelta[e1x2, e2x2] - (G1^2 + GW^2)*Lam*vev^2*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , V[2] ] == {{(-I)*gc78*((G1^2 + GW^2)^2*Lam*vev^2*(Cphil1[e1x2, e2x2] + Cphil3[e1x2, e2x2]) - (G1^2 - GW^2)*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2)*IndexDelta[e1x2, e2x2]), 0}, {0, 0}, {(-I)*gc78*((G1^2 + GW^2)^2*Lam*vev^2*Cphie[e1x2, e2x2] - 2*G1*(G1^3 + G1*GW^2 + CphiWB*GW^3*Lam*vev^2)*IndexDelta[e1x2, e2x2]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc78*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CeB[e2x2, e1x2]] + GW*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc78*(G1^2 + GW^2)*Lam*vev*(G1*CeB[e1x2, e2x2] + GW*CeW[e1x2, e2x2]), 0}, {0, 0}, {I*Sqrt[2]*gc78*(G1^2 + GW^2)*Lam*vev*(G1*Conjugate[CeB[e2x2, e1x2]] + GW*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {I*Sqrt[2]*gc78*(G1^2 + GW^2)*Lam*vev*(G1*CeB[e1x2, e2x2] + GW*CeW[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[2, {e1x2}] , -F[2, {e3x2}] , F[2, {e2x2}] , F[2, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc79*(Cll[e1x2, e4x2, e3x2, e2x2] + Cll[e3x2, e2x2, e1x2, e4x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc79*(Cll[e1x2, e2x2, e3x2, e4x2] + Cll[e3x2, e4x2, e1x2, e2x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc79*Cle[e3x2, e4x2, e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc79*Cle[e3x2, e2x2, e1x2, e4x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc79*Cle[e1x2, e4x2, e3x2, e2x2], 0}, {0, 0}, {I*gc79*Cle[e1x2, e2x2, e3x2, e4x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc79*(Cee[e1x2, e4x2, e3x2, e2x2] + Cee[e3x2, e2x2, e1x2, e4x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc79*(Cee[e1x2, e2x2, e3x2, e4x2] + Cee[e3x2, e4x2, e1x2, e2x2]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , -F[1, {e3x2}] , F[2, {e2x2}] , F[1, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc80*(IndexSum[IndexSum[Cll[e1x2, e2x2, Generation$1, Generation$2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}] + IndexSum[IndexSum[Cll[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc80*IndexSum[IndexSum[Cle[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , -F[1, {e3x2}] , F[1, {e2x2}] , F[1, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc81*(IndexSum[IndexSum[Conjugate[Ul[Generation$3, e3x2]]*IndexSum[IndexSum[Cll[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}], {Generation$3, 1, 3}]*Ul[Generation$4, e2x2], {Generation$4, 1, 3}] + IndexSum[IndexSum[Conjugate[Ul[Generation$3, e1x2]]*IndexSum[IndexSum[Cll[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}], {Generation$3, 1, 3}]*Ul[Generation$4, e4x2], {Generation$4, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc81*(IndexSum[IndexSum[Conjugate[Ul[Generation$3, e1x2]]*IndexSum[IndexSum[Cll[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}], {Generation$3, 1, 3}]*Ul[Generation$4, e2x2], {Generation$4, 1, 3}] + IndexSum[IndexSum[Conjugate[Ul[Generation$3, e3x2]]*IndexSum[IndexSum[Cll[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}], {Generation$3, 1, 3}]*Ul[Generation$4, e4x2], {Generation$4, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[1, {e3x2}] , F[4, {e2x2, e2x3}] , F[1, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc82*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Clq1[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Clq3[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc82*IndexDelta[e1x3, e2x3]*IndexSum[IndexSum[Cld[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , -F[1, {e3x2}] , F[3, {e2x2, e2x3}] , F[1, {e4x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc83*IndexDelta[e1x3, e2x3]*(IndexSum[Conjugate[Kq[e2x2, Generation$4]]*IndexSum[IndexSum[IndexSum[Clq1[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}], {Generation$4, 1, 3}] + IndexSum[Conjugate[Kq[e2x2, Generation$4]]*IndexSum[IndexSum[IndexSum[Clq3[Generation$1, Generation$2, Generation$3, Generation$4]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}], {Generation$4, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc83*IndexDelta[e1x3, e2x3]*IndexSum[IndexSum[Clu[Generation$1, Generation$2, e1x2, e2x2]*Conjugate[Ul[Generation$1, e3x2]], {Generation$1, 1, 3}]*Ul[Generation$2, e4x2], {Generation$2, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , -F[4, {e3x2, e3x3}] , F[4, {e2x2, e2x3}] , F[4, {e4x2, e4x3}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc84*(Cqq1[e1x2, e4x2, e3x2, e2x2] + Cqq1[e3x2, e2x2, e1x2, e4x2] + Cqq3[e1x2, e4x2, e3x2, e2x2] + Cqq3[e3x2, e2x2, e1x2, e4x2])*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc84*(Cqq1[e1x2, e2x2, e3x2, e4x2] + Cqq1[e3x2, e4x2, e1x2, e2x2] + Cqq3[e1x2, e2x2, e3x2, e4x2] + Cqq3[e3x2, e4x2, e1x2, e2x2])*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc84*(6*Cqd1[e3x2, e4x2, e1x2, e2x2]*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3] + Cqd8[e3x2, e4x2, e1x2, e2x2]*(3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] - IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc84*(6*Cqd1[e3x2, e2x2, e1x2, e4x2]*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] + Cqd8[e3x2, e2x2, e1x2, e4x2]*(-(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc84*(6*Cqd1[e1x2, e4x2, e3x2, e2x2]*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] + Cqd8[e1x2, e4x2, e3x2, e2x2]*(-(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {I*gc84*(6*Cqd1[e1x2, e2x2, e3x2, e4x2]*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3] + Cqd8[e1x2, e2x2, e3x2, e4x2]*(3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3] - IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3])), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc84*(Cdd[e1x2, e4x2, e3x2, e2x2] + Cdd[e3x2, e2x2, e1x2, e4x2])*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc84*(Cdd[e1x2, e2x2, e3x2, e4x2] + Cdd[e3x2, e4x2, e1x2, e2x2])*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , -F[3, {e3x2, e3x3}] , F[3, {e2x2, e2x3}] , F[3, {e4x2, e4x3}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc85*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq1[Generation$3, Generation$1, Generation$4, Generation$2], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e3x2, Generation$3], {Generation$3, 1, 3}]*Kq[e1x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq3[Generation$3, Generation$1, Generation$4, Generation$2], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e3x2, Generation$3], {Generation$3, 1, 3}]*Kq[e1x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq1[Generation$3, Generation$2, Generation$4, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}]*Kq[e3x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq3[Generation$3, Generation$2, Generation$4, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}]*Kq[e3x2, Generation$4], {Generation$4, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc85*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq1[Generation$3, Generation$2, Generation$4, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e3x2, Generation$3], {Generation$3, 1, 3}]*Kq[e1x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq3[Generation$3, Generation$2, Generation$4, Generation$1], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e3x2, Generation$3], {Generation$3, 1, 3}]*Kq[e1x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq1[Generation$3, Generation$1, Generation$4, Generation$2], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}]*Kq[e3x2, Generation$4], {Generation$4, 1, 3}] + IndexSum[IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$2]]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqq3[Generation$3, Generation$1, Generation$4, Generation$2], {Generation$1, 1, 3}], {Generation$2, 1, 3}]*Kq[e1x2, Generation$3], {Generation$3, 1, 3}]*Kq[e3x2, Generation$4], {Generation$4, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc85*(IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(6*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu1[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]) + 3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e1x2, e2x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc85*(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(6*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu1[Generation$2, Generation$1, e1x2, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e1x2, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e1x2, e4x2], {Generation$1, 1, 3}]*Kq[e3x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc85*(IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*(6*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu1[Generation$2, Generation$1, e3x2, e2x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e3x2, e2x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]) + 3*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*IndexSum[IndexSum[Conjugate[Kq[e4x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e3x2, e2x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {I*gc85*(IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3]*(6*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu1[Generation$2, Generation$1, e3x2, e4x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e3x2, e4x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]) + 3*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3]*IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cqu8[Generation$2, Generation$1, e3x2, e4x2], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc85*(Cuu[e1x2, e4x2, e3x2, e2x2] + Cuu[e3x2, e2x2, e1x2, e4x2])*IndexDelta[e1x3, e4x3]*IndexDelta[e2x3, e3x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(6*I)*gc85*(Cuu[e1x2, e2x2, e3x2, e4x2] + Cuu[e3x2, e4x2, e1x2, e2x2])*IndexDelta[e1x3, e2x3]*IndexDelta[e3x3, e4x3], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , V[1] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc86*(GW*Conjugate[CeB[e2x2, e1x2]] - G1*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {I*gc86*(GW*CeB[e1x2, e2x2] - G1*CeW[e1x2, e2x2]), 0}, {0, 0}, {(-I)*gc86*(GW*Conjugate[CeB[e2x2, e1x2]] - G1*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {(-I)*gc86*(GW*CeB[e1x2, e2x2] - G1*CeW[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[1] , S[1] , V[2] ] == {{I*gc87[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[1, {e2x2}] , S[1] , V[2] ] == {{I*gc88[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , S[1] , V[2] ] == {{I*gc89*(Cphil1[e1x2, e2x2] + Cphil3[e1x2, e2x2]), 0}, {0, 0}, {I*gc89*Cphie[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , V[2] ] == {{(-I)*Sqrt[2]*gc90*(G1^2 + GW^2)*vev*(Cphil1[e1x2, e2x2] + Cphil3[e1x2, e2x2]), 0}, {0, 0}, {(-I)*Sqrt[2]*gc90*(G1^2 + GW^2)*vev*Cphie[e1x2, e2x2], 0}, {0, 0}, {(-I)*gc90*(G1*Conjugate[CeB[e2x2, e1x2]] + GW*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {(-I)*gc90*(G1*CeB[e1x2, e2x2] + GW*CeW[e1x2, e2x2]), 0}, {0, 0}, {I*gc90*(G1*Conjugate[CeB[e2x2, e1x2]] + GW*Conjugate[CeW[e2x2, e1x2]]), 0}, {0, 0}, {I*gc90*(G1*CeB[e1x2, e2x2] + GW*CeW[e1x2, e2x2]), 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[1] , S[1] , V[3] ] == {{I*gc91[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[1] , V[3] ] == {{(-I)*Sqrt[2]*gc92*GW*vev*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc92*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc92*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[1] , S[1] , -V[3] ] == {{I*gc93[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[1] , -V[3] ] == {{(-I)*Sqrt[2]*gc94*GW*vev*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc94*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc94*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[1] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc95*(GW*Conjugate[CuB[e2x2, e1x2]] + G1*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc95*(GW*CuB[e1x2, e2x2] + G1*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc95*(GW*Conjugate[CuB[e2x2, e1x2]] + G1*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc95*(GW*CuB[e1x2, e2x2] + G1*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[1] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc96*(GW*Conjugate[CdB[e2x2, e1x2]] - G1*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc96*(GW*CdB[e1x2, e2x2] - G1*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc96*(GW*Conjugate[CdB[e2x2, e1x2]] - G1*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc96*(GW*CdB[e1x2, e2x2] - G1*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , S[1] , V[2] ] == {{I*gc97*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {I*gc97*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[2] ] == {{I*Sqrt[2]*gc98*(G1^2 + GW^2)*vev*IndexDelta[e1x3, e2x3]*(IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq1[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[Generation$2, Generation$1], {Generation$1, 1, 3}]*Kq[e1x2, Generation$2], {Generation$2, 1, 3}]), 0}, {0, 0}, {I*Sqrt[2]*gc98*(G1^2 + GW^2)*vev*Cphiu[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc98*(G1*Conjugate[CuB[e2x2, e1x2]] - GW*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc98*(G1*CuB[e1x2, e2x2] - GW*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc98*(G1*Conjugate[CuB[e2x2, e1x2]] - GW*Conjugate[CuW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc98*(G1*CuB[e1x2, e2x2] - GW*CuW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , S[1] , V[2] ] == {{I*gc99*(Cphiq1[e1x2, e2x2] + Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc99*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[2] ] == {{(-I)*Sqrt[2]*gc100*(G1^2 + GW^2)*vev*(Cphiq1[e1x2, e2x2] + Cphiq3[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc100*(G1^2 + GW^2)*vev*Cphid[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc100*(G1*Conjugate[CdB[e2x2, e1x2]] + GW*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc100*(G1*CdB[e1x2, e2x2] + GW*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc100*(G1*Conjugate[CdB[e2x2, e1x2]] + GW*Conjugate[CdW[e2x2, e1x2]])*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc100*(G1*CdB[e1x2, e2x2] + GW*CdW[e1x2, e2x2])*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , S[1] , V[3] ] == {{(2*I)*gc101*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc101*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[3] ] == {{(-2*I)*gc102*GW*vev*IndexDelta[e1x3, e2x3]*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc102*GW*vev*Cphiud[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc102*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*Sqrt[2]*gc102*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*Sqrt[2]*gc102*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*Sqrt[2]*gc102*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , S[1] , -V[3] ] == {{(2*I)*gc103*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc103*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , -V[3] ] == {{(-2*I)*gc104*GW*vev*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc104*GW*vev*Conjugate[Cphiud[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*Sqrt[2]*gc104*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*Sqrt[2]*gc104*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*Sqrt[2]*gc104*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*Sqrt[2]*gc104*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[1] , V[1] , -V[3] ] == {{(-I)*gc105[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc105[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , V[1] , -V[3] ] == {{(-I)*gc106[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc106[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , S[1] , V[3] , -V[3] ] == {{(-I)*gc107*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {(-I)*gc107*CeW[e1x2, e2x2], 0}, {0, 0}, {I*gc107*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {I*gc107*CeW[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[2, {e2x2}] , V[3] , -V[3] ] == {{(-I)*gc108*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {(-I)*gc108*CeW[e1x2, e2x2], 0}, {0, 0}, {I*gc108*Conjugate[CeW[e2x2, e1x2]], 0}, {0, 0}, {I*gc108*CeW[e1x2, e2x2], 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , S[1] , -V[3] , V[2] ] == {{(-I)*gc109[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc109[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -V[3] , V[2] ] == {{(-I)*gc110[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc110[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[1] , V[1] , V[3] ] == {{0, 0}, {0, 0}, {(-I)*gc111[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc111[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , V[1] , V[3] ] == {{0, 0}, {0, 0}, {(-I)*gc112[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc112[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , S[1] , V[3] , V[2] ] == {{0, 0}, {0, 0}, {(-I)*gc113[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc113[e1x2, e2x2], 0}, {0, 0}},

C[ -F[1, {e1x2}] , F[2, {e2x2}] , V[3] , V[2] ] == {{0, 0}, {0, 0}, {(-I)*gc114[e1x2, e2x2], 0}, {0, 0}, {0, 0}, {0, 0}, {I*gc114[e1x2, e2x2], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[4, {e3x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc115*Conjugate[CuG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(-I)*gc115*CuG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc115*Conjugate[CuG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc115*CuG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*gc116*Conjugate[CuG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc116*CuG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc116*Conjugate[CuG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc116*CuG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*gc117*Conjugate[CuG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc117*CuG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc117*Conjugate[CuG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc117*CuG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[1] , V[3] ] == {{(-I)*gc118*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc118*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc118*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc118*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[1] , V[3] ] == {{(-I)*gc119*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc119*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc119*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc119*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[3] , -V[3] ] == {{(-I)*gc120*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc120*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc120*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc120*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[3] , -V[3] ] == {{(-I)*gc121*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc121*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc121*Conjugate[CuW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc121*CuW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[3] , V[2] ] == {{(-I)*gc122*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc122*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc122*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc122*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[3, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[3] , V[2] ] == {{(-I)*gc123*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc123*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc123*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CuW[Generation$1, e1x2]]*Kq[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc123*IndexDelta[e1x3, e2x3]*IndexSum[CdW[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , V[1] , -V[3] ] == {{(-I)*gc124*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc124*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc124*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc124*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , V[1] , -V[3] ] == {{(-I)*gc125*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc125*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc125*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc125*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , S[1] , -V[3] , V[2] ] == {{(-I)*gc126*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc126*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc126*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc126*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -V[3] , V[2] ] == {{(-I)*gc127*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {(-I)*gc127*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc127*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[CdW[Generation$1, e1x2]]*Conjugate[Kq[e2x2, Generation$1]], {Generation$1, 1, 3}], 0}, {0, 0}, {I*gc127*IndexDelta[e1x3, e2x3]*IndexSum[Conjugate[Kq[Generation$1, e1x2]]*CuW[Generation$1, e2x2], {Generation$1, 1, 3}], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[4, {e3x2}] ] == {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {(-I)*gc128*Conjugate[CdG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {(-I)*gc128*CdG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc128*Conjugate[CdG[e2x2, e1x2]]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}, {I*gc128*CdG[e1x2, e2x2]*SUNT[e3x2, e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*gc129*Conjugate[CdG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc129*CdG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc129*Conjugate[CdG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc129*CdG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{I*gc130*Conjugate[CdG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {I*gc130*CdG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc130*Conjugate[CdG[e2x2, e1x2]]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}, {(-I)*gc130*CdG[e1x2, e2x2]*(SUNT[e3x2, e4x2, e1x3, e2x3] - SUNT[e4x2, e3x2, e1x3, e2x3]), 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , S[1] , V[3] , -V[3] ] == {{(-I)*gc131*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc131*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc131*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc131*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[4, {e2x2, e2x3}] , V[3] , -V[3] ] == {{(-I)*gc132*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {(-I)*gc132*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc132*Conjugate[CdW[e2x2, e1x2]]*IndexDelta[e1x3, e2x3], 0}, {0, 0}, {I*gc132*CdW[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0}, {0, 0}}

}

(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)

(* Parameter replacement lists (These lists were created by FeynRules) *)

(* FA Couplings *)

M$FACouplings = {
     gc1 -> -1,
     gc3 -> -vev/4,
     gc5 -> (4*Lam)/(G1^2 + GW^2),
     gc6 -> (4*Lam*vev)/(G1^2 + GW^2),
     gc7 -> -4*Lam,
     gc8 -> -4*Lam*vev,
     gc9 -> 1/4,
     gc10 -> vev/8,
     gc11 -> (G1^2 + GW^2)^(-3/2),
     gc12 -> (2*Lam)/(G1^2 + GW^2),
     gc13 -> (2*Lam*vev)/(G1^2 + GW^2),
     gc14 -> (4*G1^2 + 4*GW^2)^(-1),
     gc15 -> vev/(8*(G1^2 + GW^2)),
     gc16 -> GW/(G1^2 + GW^2)^(3/2),
     gc17 -> -1,
     gc18 -> -4*GS*Lam,
     gc19 -> -4*GS*Lam*vev,
     gc20 -> GS,
     gc21 -> 4*GS^2*Lam,
     gc22 -> 4*GS^2*Lam*vev,
     gc23 -> -(GS^2*Lam),
     gc24 -> GS^3*Lam,
     gc25[e1x2_, e2x2_] -> (Lam*vev^2*Conjugate[Cdphi[e2x2, e1x2]])/Sqrt[2] - ((4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2)*YO*mddiag[e1x2])/(4*vev),
     gc26 -> -1/(4*vev),
     gc27[e1x2_, e2x2_] -> (Lam*vev^2*Conjugate[Cuphi[e2x2, e1x2]])/Sqrt[2] - ((4 + 4*CphiBox*Lam*vev^2 - CphiD*Lam*vev^2)*YO*mudiag[e1x2])/(4*vev),
     gc28 -> (3*Lam)/Sqrt[2],
     gc29 -> (3*Lam*vev)/Sqrt[2],
     gc30 -> (3*Lam)/Sqrt[2],
     gc31 -> (3*Lam*vev)/Sqrt[2],
     gc32 -> (3*Lam)/Sqrt[2],
     gc33 -> (3*Lam*vev)/Sqrt[2],
     gc34 -> -Lam/2,
     gc35 -> Lam/6,
     gc36 -> Lam,
     gc37 -> Lam/2,
     gc38 -> Lam/2,
     gc39 -> (G1^2*GW)/(G1^2 + GW^2)^2,
     gc40 -> -((G1*GW^2)/(G1^2 + GW^2)^2),
     gc41 -> (2*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc42 -> (2*GW*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc43 -> -GW,
     gc44 -> (2*G1^3*GW^2*Lam)/(G1^2 + GW^2)^(3/2),
     gc45 -> (2*G1^2*GW^3*Lam)/(G1^2 + GW^2)^(3/2),
     gc46 -> (2*G1*GW^2*Lam)/Sqrt[G1^2 + GW^2],
     gc47 -> (2*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc48 -> (2*GW*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc49 -> (4*CphiW*G1^2*GW^2*Lam)/(G1^2 + GW^2),
     gc50 -> (4*CphiW*G1^2*GW^2*Lam*vev)/(G1^2 + GW^2),
     gc51 -> -4*CphiW*GW^2*Lam,
     gc52 -> -4*CphiW*GW^2*Lam*vev,
     gc53 -> (12*CW*G1^2*GW^3*Lam)/(G1^2 + GW^2),
     gc54 -> GW^3/(G1^2 + GW^2)^2,
     gc55 -> (2*G1*GW^4*Lam)/(G1^2 + GW^2)^(3/2),
     gc56 -> (2*GW^3*Lam)/Sqrt[G1^2 + GW^2],
     gc57 -> (12*CW*G1*GW^4*Lam)/(G1^2 + GW^2),
     gc58 -> (-4*CphiW*G1*GW^3*Lam)/(G1^2 + GW^2),
     gc59 -> (-4*CphiW*G1*GW^3*Lam*vev)/(G1^2 + GW^2),
     gc62 -> (4*CphiW*GW^4*Lam)/(G1^2 + GW^2),
     gc63 -> (4*CphiW*GW^4*Lam*vev)/(G1^2 + GW^2),
     gc64 -> (2*GW^5*Lam)/(G1^2 + GW^2)^(3/2),
     gc65 -> (12*CW*GW^5*Lam)/(G1^2 + GW^2),
     gc66 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(G1^2 + GW^2)^(3/2),
     gc67 -> (-2*G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(3*(G1^2 + GW^2)^(3/2)),
     gc68 -> (G1*GW*(G1^2 + GW^2 - CphiWB*G1*GW*Lam*vev^2))/(3*(G1^2 + GW^2)^(3/2)),
     gc69 -> -GS,
     gc70 -> -GS,
     gc71[e1x2_, e2x2_] -> -((GW*(Lam*vev^2*IndexSum[Cphiq3[Generation$1, e2x2]*Kq[e1x2, Generation$1], {Generation$1, 1, 3}] + Kq[e1x2, e2x2]))/Sqrt[2]),
     gc72[e1x2_, e2x2_] -> -((GW*(Conjugate[Kq[e2x2, e1x2]] + Lam*vev^2*IndexSum[Conjugate[Kq[e2x2, Generation$1]]*Cphiq3[e1x2, Generation$1], {Generation$1, 1, 3}]))/Sqrt[2]),
     gc73[e1x2_, e2x2_] -> -((GW*(Conjugate[Ul[e2x2, e1x2]] + Lam*vev^2*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}]))/Sqrt[2]),
     gc74[e1x2_, e2x2_] -> -((GW*(Lam*vev^2*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}] + Ul[e1x2, e2x2]))/Sqrt[2]),
     gc75 -> 1/(6*(G1^2 + GW^2)^(3/2)),
     gc76[e1x2_, e2x2_] -> (G1^4 + 4*G1^2*GW^2 + 3*GW^4 + 3*CphiWB*G1^3*GW*Lam*vev^2 + CphiWB*G1*GW^3*Lam*vev^2)/(6*(G1^2 + GW^2)^(3/2)) + (Sqrt[G1^2 + GW^2]*Lam*vev^2*(Cphiq1[e1x2, e2x2] + Cphiq3[e1x2, e2x2]))/2,
     gc77 -> 1/(2*Sqrt[G1^2 + GW^2]),
     gc78 -> -1/(2*(G1^2 + GW^2)^(3/2)),
     gc79 -> Lam,
     gc80 -> Lam,
     gc81 -> Lam,
     gc82 -> Lam,
     gc83 -> Lam,
     gc84 -> Lam/6,
     gc85 -> Lam/6,
     gc86 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc87[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc88[e1x2_, e2x2_] -> Sqrt[G1^2 + GW^2]*Lam*vev*(IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil1[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}] - IndexSum[IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, Generation$2], {Generation$1, 1, 3}]*Ul[Generation$2, e2x2], {Generation$2, 1, 3}]),
     gc89 -> Sqrt[G1^2 + GW^2]*Lam,
     gc90 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc91[e1x2_, e2x2_] -> -(Sqrt[2]*GW*Lam*IndexSum[Conjugate[Ul[Generation$1, e1x2]]*Cphil3[Generation$1, e2x2], {Generation$1, 1, 3}]),
     gc92 -> Lam,
     gc93[e1x2_, e2x2_] -> -(Sqrt[2]*GW*Lam*IndexSum[Cphil3[e1x2, Generation$1]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}]),
     gc94 -> Lam,
     gc95 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc96 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc97 -> Sqrt[G1^2 + GW^2]*Lam,
     gc98 -> Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2]),
     gc99 -> Sqrt[G1^2 + GW^2]*Lam,
     gc100 -> -(Lam/(Sqrt[2]*Sqrt[G1^2 + GW^2])),
     gc101 -> -((GW*Lam)/Sqrt[2]),
     gc102 -> Lam/Sqrt[2],
     gc103 -> -((GW*Lam)/Sqrt[2]),
     gc104 -> Lam/Sqrt[2],
     gc105[e1x2_, e2x2_] -> -((G1*GW*Lam*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc106[e1x2_, e2x2_] -> -((G1*GW*Lam*vev*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc107 -> -((GW*Lam)/Sqrt[2]),
     gc108 -> -((GW*Lam*vev)/Sqrt[2]),
     gc109[e1x2_, e2x2_] -> (GW^2*Lam*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc110[e1x2_, e2x2_] -> (GW^2*Lam*vev*IndexSum[Conjugate[CeW[Generation$1, e1x2]]*Ul[Generation$1, e2x2], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc111[e1x2_, e2x2_] -> (G1*GW*Lam*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc112[e1x2_, e2x2_] -> (G1*GW*Lam*vev*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2],
     gc113[e1x2_, e2x2_] -> -((GW^2*Lam*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc114[e1x2_, e2x2_] -> -((GW^2*Lam*vev*IndexSum[CeW[Generation$1, e2x2]*Conjugate[Ul[Generation$1, e1x2]], {Generation$1, 1, 3}])/Sqrt[G1^2 + GW^2]),
     gc115 -> Lam/Sqrt[2],
     gc116 -> -((GS*Lam)/Sqrt[2]),
     gc117 -> -((GS*Lam*vev)/Sqrt[2]),
     gc118 -> (G1*GW*Lam)/Sqrt[G1^2 + GW^2],
     gc119 -> (G1*GW*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc120 -> (GW*Lam)/Sqrt[2],
     gc121 -> (GW*Lam*vev)/Sqrt[2],
     gc122 -> -((GW^2*Lam)/Sqrt[G1^2 + GW^2]),
     gc123 -> -((GW^2*Lam*vev)/Sqrt[G1^2 + GW^2]),
     gc124 -> -((G1*GW*Lam)/Sqrt[G1^2 + GW^2]),
     gc125 -> -((G1*GW*Lam*vev)/Sqrt[G1^2 + GW^2]),
     gc126 -> (GW^2*Lam)/Sqrt[G1^2 + GW^2],
     gc127 -> (GW^2*Lam*vev)/Sqrt[G1^2 + GW^2],
     gc128 -> Lam/Sqrt[2],
     gc129 -> -((GS*Lam)/Sqrt[2]),
     gc130 -> -((GS*Lam*vev)/Sqrt[2]),
     gc131 -> -((GW*Lam)/Sqrt[2]),
     gc132 -> -((GW*Lam*vev)/Sqrt[2])};

